#ifndef __archive_bi__
#define __archive_bi__

#include once "common.bi"

' class wxArchiveEntry
_DS(wxArchiveEntry_SetDatetime)    (self as _wxArchiveEntry ptr, dt as _wxDateTime ptr)

_DF(wxArchiveEntry_GetDatetime)    (self as _wxArchiveEntry ptr) as _wxDateTime ptr

_DF(wxArchiveEntry_GetInternalName)(self as _wxArchiveEntry ptr) as _wxString ptr

_DF(wxArchiveEntry_GetName)        (self as _wxArchiveEntry ptr) as _wxString ptr

_DS(wxArchiveEntry_SetName)        (self as _wxArchiveEntry ptr, nam  as _wxString ptr)

_DF(wxArchiveEntry_IsDir)          (self as _wxArchiveEntry ptr) as wxChar

_DS(wxArchiveEntry_SetIsDir)       (self as _wxArchiveEntry ptr, value as wxChar)

_DF(wxArchiveEntry_IsReadOnly)     (self as _wxArchiveEntry ptr) as wxChar

_DS(wxArchiveEntry_SetIsReadOnly)  (self as _wxArchiveEntry ptr, value as wxChar)

_DF(wxArchiveEntry_Offset)         (self as _wxArchiveEntry ptr) as wxInt

_DF(wxArchiveEntry_GetSize)        (self as _wxArchiveEntry ptr) as wxInt

_DS(wxArchiveEntry_SetSize)        (self as _wxArchiveEntry ptr, size as wxInt)


' class wxArchiveOutputStreamPair
_DF(wxArchiveOutputStream_CTor)              (filename as _wxString ptr, typ as wxArchiveType=wxZip) as _wxArchiveOutputStreamPair ptr

_DF(wxArchiveOutputStream_Write)             (self as _wxArchiveOutputStreamPair ptr, buffer as wxChar ptr, offset as size_t, count as size_t) as size_t

_DS(wxArchiveOutputStream_WriteByte)         (self as _wxArchiveOutputStreamPair ptr, value as wxChar)

_DS(wxArchiveOutputStream_CloseEntry)        (self as _wxArchiveOutputStreamPair ptr)

_DF(wxArchiveOutputStream_PutNextEntryNow)   (self as _wxArchiveOutputStreamPair ptr, nam as _wxString ptr) as wxChar

_DF(wxArchiveOutputStream_PutNextEntry)      (self as _wxArchiveOutputStreamPair ptr, nam as _wxString ptr, dt as _wxDateTime ptr) as wxChar

_DF(wxArchiveOutputStream_PutNextDirEntryNow)(self as _wxArchiveOutputStreamPair ptr, nam as _wxString ptr) as wxChar

_DF(wxArchiveOutputStream_PutNextDirEntry)   (self as _wxArchiveOutputStreamPair ptr, nam as _wxString ptr, dt as _wxDateTime ptr) as wxChar

_DF(wxArchiveOutputStream_Close)             (self as _wxArchiveOutputStreamPair ptr) as wxChar

_DF(wxArchiveOutputStream_GetType)           (self as _wxArchiveOutputStreamPair ptr) as wxInt

_DF(wxArchiveOutputStream_IsOk)              (self as _wxArchiveOutputStreamPair ptr) as wxChar

_DF(wxArchiveOutput_CopyEntry)               (self as _wxArchiveOutputStreamPair ptr, entry as _wxArchiveEntry ptr, ins as _wxArchiveInputStream ptr) as wxChar

_DF(wxArchiveOutput_CopyArchiveMetaData)     (self as _wxArchiveOutputStreamPair ptr, ins as _wxArchiveInputStream ptr) as wxChar

' class wxArchiveInputStreamPair
_DF(wxArchiveInputStream_CTor)          (filename as _wxString ptr, typ as wxArchiveType=wxZip) as _wxArchiveInputStreamPair ptr

_DF(wxArchiveInputStream_CTorFromStream)(ins as _wxInputStream ptr,typ as wxArchiveType=wxZip) as _wxArchiveInputStreamPair ptr

_DS(wxArchiveInputStream_CloseEntry)    (self as _wxArchiveInputStreamPair ptr)

_DF(wxArchiveInputStream_OpenEntry)     (self as _wxArchiveInputStreamPair ptr, entry as _wxArchiveEntry ptr) as wxChar

_DF(wxArchiveInputStream_GetNextEntry)  (self as _wxArchiveInputStreamPair ptr) as _wxArchiveEntry ptr

_DF(wxArchiveInputStream_GetSize)       (self as _wxArchiveInputStreamPair ptr) as size_t

_DF(wxArchiveInputStream_IsSeekable)    (self as _wxArchiveInputStreamPair ptr) as wxChar

_DF(wxArchiveInputStream_Seek)          (self as _wxArchiveInputStreamPair ptr, posi as wxInt, mode as wxSeekMode) as wxChar

_DF(wxArchiveInputStream_Tell)          (self as _wxArchiveInputStreamPair ptr) as size_t

_DF(wxArchiveInputStream_Read)          (self as _wxArchiveInputStreamPair ptr, buffer as wxChar ptr, offset as size_t, count as size_t) as size_t

_DF(wxArchiveInputStream_ReadChar)      (self as _wxArchiveInputStreamPair ptr) as wxInt

_DF(wxArchiveInputStream_GetType)       (self as _wxArchiveInputStreamPair ptr) as wxArchiveType

_DF(wxArchiveInputStream_IsOk)          (self as _wxArchiveInputStreamPair ptr) as wxChar

_DF(wxArchiveEntry_ConvertIntoInternalName)(self as _wxArchiveInputStreamPair ptr, localFilename as _wxString ptr) as _wxString ptr

#endif ' __archive_bi__

