#ifndef __bitmapbutton_bi__
#define __bitmapbutton_bi__

#include once "common.bi"

type Virtual_OnSetBitmap as sub APICALL

' class wxBitmapButton
_DF(wxBitmapButton_ctor) as _wxBitmapButton ptr

_DS(wxBitmapButton_RegisterVirtual)  (self as _wxBitmapButton ptr, onSetBitmap as Virtual_OnSetBitmap)

_DF(wxBitmapButton_Create)           (self      as _wxBitmapButton ptr     , _
                                      parent    as _wxWindow       ptr     , _
                                      id        as  wxWindowID         = -1, _
                                      bitmap    as _wxBitmap       ptr     , _
                                      x         as  wxInt              = -1, _
                                      y         as  wxInt              = -1, _
                                      w         as  wxInt              = -1, _
                                      h         as  wxInt              = -1, _
                                      style     as  wxUInt             =  0, _
                                      validator as _wxValidator    ptr = WX_NULL, _
                                      nameArg   as _wxString       ptr = WX_NULL) as wxBool

_DS(wxBitmapButton_OnSetBitmap)      (self as _wxBitmapButton ptr)

_DS(wxBitmapButton_SetLabel)         (self as _wxBitmapButton ptr, label as _wxString ptr)

_DF(wxBitmapButton_GetLabel)         (self as _wxBitmapButton ptr) as _wxString ptr

_DF(wxBitmapButton_Enable)           (self as _wxBitmapButton ptr, enable as wxBool) as wxBool

_DS(wxBitmapButton_SetBitmapLabel)   (self as _wxBitmapButton ptr, bitmapLabel as _wxBitmap ptr)

_DF(wxBitmapButton_GetBitmapLabel)   (self as _wxBitmapButton ptr) as _wxBitmap ptr

_DS(wxBitmapButton_SetBitmapSelected)(self as _wxBitmapButton ptr, bitmapSelected as _wxBitmap ptr)

_DF(wxBitmapButton_GetBitmapSelected)(self as _wxBitmapButton ptr) as _wxBitmap ptr

_DS(wxBitmapButton_SetBitmapDisabled)(self as _wxBitmapButton ptr, bitmapDisabled as _wxBitmap ptr)

_DF(wxBitmapButton_GetBitmapDisabled)(self as _wxBitmapButton ptr) as _wxBitmap ptr

_DS(wxBitmapButton_SetBitmapFocus)   (self as _wxBitmapButton ptr, bitmapFocus as _wxBitmap ptr)

_DF(wxBitmapButton_GetBitmapFocus)   (self as _wxBitmapButton ptr) as _wxBitmap ptr

_DS(wxBitmapButton_SetDefault)       (self as _wxBitmapButton ptr)

_DS(wxBitmapButton_SetMargins)       (self as _wxBitmapButton ptr, x as wxInt, y as wxInt)

_DF(wxBitmapButton_GetMarginX)       (self as _wxBitmapButton ptr) as wxInt

_DF(wxBitmapButton_GetMarginY)       (self as _wxBitmapButton ptr) as wxInt

#endif ' __bitmapbutton_bi__
