#ifndef __checkbox_object_bi__
#define __checkbox_object_bi__

#include once "checkbox.bi"

' class wxCheckbox
type wxCheckBox
  declare constructor
  declare operator cast as _wxWindow ptr

  declare function create (parent    as _wxWindow    ptr          , _
                           id        as  wxWindowID      = -1     , _
                           labelArg  as  String          = "Label", _
                           x         as  wxInt           = -1     , _
                           y         as  wxInt           = -1     , _
                           w         as  wxInt           = -1     , _
                           h         as  wxInt           = -1     , _
                           style     as  wxUInt          =  0     , _
                           validator as _wxValidator ptr = WX_NULL, _
                           nameArg   as  String          = "wxCheckBox") as wxBool

  declare property Value (state as wxBool)
  declare property Value as wxBool

  declare function IsChecked as wxBool

  private:
  as _wxCheckBox ptr self
end type

constructor wxCheckBox
  dprint("wxCheckBox()")
end constructor

operator wxCheckBox.cast as _wxWindow ptr
  dprint("wxCheckBox->wxWindow")
  return cptr(_wxwindow ptr,self)
end operator

function wxCheckBox.create(parent    as _wxWindow ptr   , _
                           id        as  wxWindowID     , _
                           labelArg  as  String         , _
                           x         as  wxInt          , _
                           y         as  wxInt          , _
                           w         as  wxInt          , _
                           h         as  wxInt          , _
                           style     as  wxUInt         , _
                           validator as _wxValidator ptr, _
                           nameArg   as  String) as wxBool
  if (self=WX_NULL) then
    dprint("wxCheckBox_ctor()")
    self = wxCheckBox_ctor()
  end if                           
  return wxcheckBox_create(self,parent,id,wxString(labelArg),x,y,w,h,style,validator,wxString(nameArg))
end function

property wxCheckBox.Value (state as wxBool)
  wxCheckBox_SetValue(self,state)
end property
property wxCheckBox.Value as wxBool
  return wxCheckBox_GetValue(self)
end property

function wxCheckBox.IsChecked as wxBool
  return wxCheckBox_IsChecked(self)
end function


#endif ' __checkbox_bi__

