#ifndef __colour_object_bi__
#define __colour_object_bi__

#include once "colour.bi"

type wxColour
  declare destructor
  declare constructor
  declare constructor (other as _wxColour ptr)
  declare constructor (s as string)
  declare constructor (r_ as wxChar, g_ as wxChar, b_ as wxChar)
  declare constructor (r_ as wxChar, g_ as wxChar, b_ as wxChar ,a_ as wxChar)
  declare operator cast as _wxColour ptr
  declare operator cast as string
  declare property r(r_ as wxChar)
  declare property r as wxChar
  declare property g(g_ as wxChar)
  declare property g as wxChar
  declare property b(b_ as wxChar)
  declare property b as wxChar
  declare property a(a_ as wxChar)
  declare property a as wxChar
  declare property colour(c_ as wxUint)
  declare property colour as wxUint
  declare static sub SetRGB (other as _wxColour ptr,r_ as wxChar, g_ as wxChar, b_ as wxChar)
  declare static sub SetRGBA(other as _wxColour ptr,r_ as wxChar, g_ as wxChar, b_ as wxChar, a_ as wxChar)
  private:
  as _wxColour ptr self
end type

destructor wxColour
  wxColour_dtor self
end destructor

constructor wxColour
  self = wxColour_ctor()
end constructor
constructor wxColour(other as _wxColour ptr)
  self = wxColour_ctor()
  wxColour_SetFromColour(self,other)
end constructor
constructor wxColour(s as string)
  self = wxColour_ctorByName(wxString(s))
end constructor
constructor wxColour(r_ as wxChar, g_ as wxChar, b_ as wxChar)
  self = wxColour_ctorByParts(r_,g_,b_)
end constructor
constructor wxColour(r_ as wxChar, g_ as wxChar, b_ as wxChar ,a_ as wxChar)
  self = wxColour_ctorByPartsWithAlpha(r_,g_,b_,a_)
end constructor

operator wxColour.cast as _wxColour ptr
  return self
end operator

operator wxColour.cast as string
  dim as string  fbString = wxString(wxColour_GetAsString(self))
  return fbString
end operator

property wxColour.r (r_ as wxChar)
  wxColour_Set(self,r_,g,b,a)
end property
property wxColour.r as wxChar
  return wxColour_Red(self)
end property
property wxColour.g (g_ as wxChar)
  wxColour_Set(self,r,g_,b,a)
end property
property wxColour.g as wxChar
  return wxColour_Green(self)
end property
property wxColour.b (b_ as wxChar)
  wxColour_Set(self,r,g,b_,a)
end property
property wxColour.b as wxChar
  return wxColour_Blue(self)
end property
property wxColour.a (a_ as wxChar)
  wxColour_Set(self,r,g,b,a_)
end property
property wxColour.a as wxChar
  return wxColour_Alpha(self)
end property
property wxColour.colour(c as wxUInt)
  dim as wxChar r_=c and &HFF:c shr=8
  dim as wxChar g_=c and &HFF:c shr=8
  dim as wxChar b_=c and &HFF:c shr=8
  dim as wxChar a_=c and &HFF
  wxColour_Set(self,r_,g_,b_,a_) 
end property
property wxColour.colour as wxUInt
  dim as wxUInt c    = a:c shl=8
                c or = b:c shl=8
                c or = g:c shl=8
                c or = r
  return c
end property

sub wxColour.SetRGB(other as _wxColour ptr,r_ as wxChar, g_ as wxChar, b_ as wxChar)
  wxColour_Set(other,r_,g_,b_,255) 
end sub
sub wxColour.SetRGBA(other as _wxColour ptr,r_ as wxChar, g_ as wxChar, b_ as wxChar,a_ as wxChar)
  wxColour_Set(other,r_,g_,b_,a_) 
end sub
#endif ' __colour_object_bi__
