#ifndef __comboctrl_bi__
#define __comboctrl_bi__

#include once "common.bi"

type CallInit                as sub      APICALL 
type CallCreate              as function APICALL (parent as _wxWindow ptr) as wxBool
type CallOnPopup             as sub      APICALL 
type CallOnDismiss           as sub      APICALL 
type CallSetStringValue      as sub      APICALL (stringValue as _wxString ptr)
type CallGetStringValue      as function APICALL as _wxString ptr
type CallPaintComboControl   as sub      APICALL (dc as _wxDC ptr, x as wxInt, y as wxInt, w as wxInt, h as wxInt)
type CallOnComboKeyEvent     as sub      APICALL (keyEvent as _wxKeyEvent ptr)
type CallOnComboDoubleClick  as sub      APICALL 
type CallGetAdjustedSize     as sub      APICALL (w as wxInt ptr, h as wxInt ptr, minWidth as wxInt, prefHeight as wxInt, maxHeight as wxInt)
type CallLazyCreate          as function APICALL as wxBool
type CallGetControl          as function APICALL as _wxWindow ptr

type CallOnButtonClick       as sub      APICALL

_DF(wxComboPopup_ctor) as _wxComboPopup ptr

_DS(wxComboPopup_dtor)(self as _wxComboPopup ptr)

_DF(wxComboPopup_ComboControl)(self as _wxComboPopup ptr) as _wxWindow ptr

_DS(wxComboPopup_PaintComboControl)(self as _wxComboPopup ptr, dc as _wxDC ptr, x as wxInt, y as wxInt, w as wxInt, h as wxInt)

_DS(wxComboPopup_GetAdjustedSize)(self as _wxComboPopup ptr,w as wxInt ptr, h as wxInt ptr, minWidth as wxInt, prefHeight as wxInt, maxHeight as wxInt)

_DS(wxComboPopup_Dismiss)(self as _wxComboPopup ptr)

_DF(wxComboPopup_IsCreated)(self as _wxComboPopup ptr) as wxBool

_DS(wxComboPopup_RegisterVirtual)(self                    as _wxComboPopup ptr, _
                                  on_Dispose              as Virtual_Dispose, _
                                  call_Init               as CallInit, _
                                  call_Create             as CallCreate, _
                                  call_OnPopup            as CallOnPopup, _
                                  call_OnDismiss          as CallOnDismiss, _
                                  call_SetStringValue     as CallSetStringValue, _
                                  call_GetStringValueas   as CallGetStringValue, _
                                  call_PaintComboControl  as CallPaintComboControl, _
                                  call_OnComboKeyEvent    as CallOnComboKeyEvent, _
                                  call_OnComboDoubleClick as CallOnComboDoubleClick, _
                                  call_GetAdjustedSize    as CallGetAdjustedSize, _
                                  call_LazyCreate         as CallLazyCreate)

_DF(wxComboCtrl_ctor) as _wxComboCtrl ptr

_DS(wxComboCtrl_Create)(self    as _wxComboCtrl ptr, _
                        parent  as _wxWindow    ptr, _
                        id      as  wxWindowID      = -1, _
                        value   as _wxString    ptr     , _
                        x       as  wxInt           = -1, _
                        y       as  wxInt           = -1, _
                        w       as  wxInt           = -1, _
                        h       as  wxInt           = -1, _
                        style   as  wxUInt          = -1, _
                        nameArg as _wxString    ptr = WX_NULL)

_DS(wxComboCtrl_ShowPopup)(self as _wxComboCtrl ptr)

_DS(wxComboCtrl_HidePopup)(self as _wxComboCtrl ptr)

_DS(wxComboCtrl_OnButtonClick)(self as _wxComboCtrl ptr)

_DF(wxComboCtrl_IsPopupShown)(self as _wxComboCtrl ptr) as wxBool

_DF(wxComboCtrl_GetPopupControl)(self as _wxComboCtrl ptr) as _wxComboPopup ptr

_DF(wxComboCtrl_GetPopupWindow)(self as _wxComboCtrl ptr) as _wxWindow ptr

_DF(wxComboCtrl_GetTextCtrl)(self as _wxComboCtrl ptr) as _wxTextCtrl ptr

_DF(wxComboCtrl_GetButton)(self as _wxComboCtrl ptr) as _wxWindow ptr

_DF(wxComboCtrl_Enable)(self as _wxComboCtrl ptr, enable as wxBool) as wxBool

_DF(wxComboCtrl_Show)(self as _wxComboCtrl ptr, enable as wxBool) as wxBool

_DS(wxComboCtrl_SetFont)(self as _wxComboCtrl ptr, font as _wxFont ptr)

_DS(wxComboCtrl_SetPopupControl)(self as _wxComboCtrl ptr, ctrl as _wxComboPopup ptr)

_DF(wxComboCtrl_GetValue)(self as _wxComboCtrl ptr) as _wxString ptr

_DS(wxComboCtrl_SetValue)(self as _wxComboCtrl ptr, stringValue as _wxString ptr)

_DS(wxComboCtrl_RegisterVirtual)(self as _wxComboCtrl ptr, on_ButtonClick as CallOnButtonClick)

_DS(wxComboCtrl_Copy)(self as _wxComboCtrl ptr)

_DS(wxComboCtrl_Cut)(self as _wxComboCtrl ptr)

_DS(wxComboCtrl_Paste)(self as _wxComboCtrl ptr)

_DS(wxComboCtrl_SetInsertionPoint)(self as _wxComboCtrl ptr, position as wxInt)

_DS(wxComboCtrl_SetInsertionPointEnd)(self as _wxComboCtrl ptr)

_DF(wxComboCtrl_GetInsertionPoint)(self as _wxComboCtrl ptr) as wxInt

_DF(wxComboCtrl_GetLastPosition)(self as _wxComboCtrl ptr) as wxInt

_DS(wxComboCtrl_Replace)(self as _wxComboCtrl ptr, ifrom as wxInt, ito as wxInt, value as _wxString ptr)

_DS(wxComboCtrl_Remove)(self as _wxComboCtrl ptr, ifrom as wxInt, ito as wxInt)

_DS(wxComboCtrl_SetSelection)(self as _wxComboCtrl ptr, ifrom as wxInt, ito as wxInt)

_DS(wxComboCtrl_Undo)(self as _wxComboCtrl ptr)

#endif ' __comboctrl_bi__
