#ifndef __config_bi__
#define __config_bi__

#include once "common.bi"

_DF(wxConfigBase_CTor1)(appName        as _wxString ptr, _
                        vendorName     as _wxString ptr, _
                        localFilename  as _wxString ptr, _
                        globalFilename as _wxString ptr, _
                        style as wxUInt) as _wxConfigBase ptr

_DS(wxConfigBase_DontCreateOnDemand)
_DF(wxConfigBase_Create) as _wxConfigBase ptr

_DF(wxConfigBase_Set)(other as _wxConfigBase ptr) as _wxConfigBase ptr
_DF(wxConfigBase_Get)(createOnDemand as wxBool) as _wxConfigBase ptr

_DS(wxConfigBase_Delete)(self as _wxConfigBase ptr)
_DS(wxConfigBase_SetPath)(self as _wxConfigBase ptr, strPath as _wxString ptr)
_DF(wxConfigBase_GetPath)(self as _wxConfigBase ptr) as _wxString ptr

_DF(wxConfigBase_Flush)(self as _wxConfigBase ptr, bCurrentOnly as wxBool) as wxBool

' groub
_DF(wxConfigBase_HasGroup)(self as _wxConfigBase ptr, nam as _wxString ptr) as wxBool
_DF(wxConfigBase_GetNumberOfGroups)(self as _wxConfigBase ptr, bRecursive as wxBool) as wxInt
_DF(wxConfigBase_GetFirstGroup)(self as _wxConfigBase ptr, nam as _wxString ptr, iIndex as wxInt ptr) as wxBool
_DF(wxConfigBase_GetNextGroup)(self as _wxConfigBase ptr, nam as _wxString ptr, iIndex as wxInt ptr) as wxBool

' entry
_DF(wxConfigBase_HasEntry)          (self as _wxConfigBase ptr, nam as _wxString ptr) as wxBool
_DF(wxConfigBase_GetNumberOfEntries)(self as _wxConfigBase ptr, bRecursive as wxBool) as wxInt
_DF(wxConfigBase_GetFirstEntry)     (self as _wxConfigBase ptr, nam as _wxString ptr, iIndex as wxInt ptr) as wxBool
_DF(wxConfigBase_GetNextEntry)      (self as _wxConfigBase ptr, nam as _wxString ptr, iIndex as wxInt ptr) as wxBool

_DF(wxConfigBase_Exists)(self as _wxConfigBase ptr, what as _wxString ptr) as wxBool
_DF(wxConfigBase_GetEntryType)(self as _wxConfigBase ptr, what as _wxString ptr) as wxInt

' read or return default value
_DF(wxConfigBase_ReadBoolDef)(self as _wxConfigBase ptr, key as _wxString ptr, retValue as wxBool    ptr, defaultValue as  wxBool      ) as wxBool
_DF(wxConfigBase_ReadIntDef) (self as _wxConfigBase ptr, key as _wxString ptr, retValue as wxInt     ptr, defaultValue as  wxInt       ) as wxBool
_DF(wxConfigBase_ReadDblDef) (self as _wxConfigBase ptr, key as _wxString ptr, retValue as wxDouble  ptr, defaultVal   as  wxDouble    ) as wxBool
_DF(wxConfigBase_ReadStrDef) (self as _wxConfigBase ptr, key as _wxString ptr, retValue as _wxString ptr, defaultValue as _wxString ptr) as wxBool

' read values
_DF(wxConfigBase_ReadBool)(self as _wxConfigBase ptr, key as _wxString ptr, retValue as  wxBool   ptr) as wxBool
_DF(wxConfigBase_ReadInt) (self as _wxConfigBase ptr, key as _wxString ptr, retValue as  wxInt    ptr) as wxBool
_DF(wxConfigBase_ReadDbl) (self as _wxConfigBase ptr, key as _wxString ptr, retValue as  wxDouble ptr) as wxBool
_DF(wxConfigBase_ReadStr) (self as _wxConfigBase ptr, key as _wxString ptr, retValue as _wxString ptr) as wxBool

_DF(wxConfigBase_ReadIntRet)(self as _wxConfigBase ptr, key as _wxString ptr, defaultValue as  wxInt) as wxInt
_DF(wxConfigBase_ReadStrRet)(self as _wxConfigBase ptr, key as _wxString ptr, defaultValue as _wxString ptr) as _wxString ptr

' write values
_DF(wxConfigBase_WriteBool)(self as _wxConfigBase ptr, key as _wxString ptr, newValue as  wxBool      ) as wxBool
_DF(wxConfigBase_WriteInt) (self as _wxConfigBase ptr, key as _wxString ptr, newValue as  wxInt       ) as wxBool
_DF(wxConfigBase_WriteDbl) (self as _wxConfigBase ptr, key as _wxString ptr, newValue as  wxDouble    ) as wxBool
_DF(wxConfigBase_WriteStr) (self as _wxConfigBase ptr, key as _wxString ptr, newValue as _wxString ptr) as wxBool

' rename
_DF(wxConfigBase_RenameEntry)(self as _wxConfigBase ptr, oldName as _wxString ptr, newName as _wxString ptr) as wxBool
_DF(wxConfigBase_RenameGroup)(self as _wxConfigBase ptr, oldName as _wxString ptr, newName as _wxString ptr) as wxBool

' delete 
_DF(wxConfigBase_DeleteEntry)(self as _wxConfigBase ptr, key as _wxString ptr, DeleteIfEmpty as wxBool) as wxBool
_DF(wxConfigBase_DeleteGroup)(self as _wxConfigBase ptr, key as _wxString ptr) as wxBool
_DF(wxConfigBase_DeleteAll)  (self as _wxConfigBase ptr) as wxBool

_DS(wxConfigBase_SetExpandEnvVars)  (self as _wxConfigBase ptr, bDoIt as wxBool)
_DF(wxConfigBase_IsExpandingEnvVars)(self as _wxConfigBase ptr) as wxBool

_DF(wxConfigBase_ExpandEnvVars)(self as _wxConfigBase ptr, value as _wxString ptr) as _wxString ptr

_DS(wxConfigBase_SetRecordDefaults)  (self as _wxConfigBase ptr, bDoIt as wxBool)
_DF(wxConfigBase_IsRecordingDefaults)(self as _wxConfigBase ptr) as wxBool

_DS(wxConfigBase_SetAppName)(self as _wxConfigBase ptr, appName as _wxString ptr)
_DF(wxConfigBase_GetAppName)(self as _wxConfigBase ptr) as _wxString ptr

_DS(wxConfigBase_SetVendorName)(self as _wxConfigBase ptr, vendorName as _wxString ptr)
_DF(wxConfigBase_GetVendorName)(self as _wxConfigBase ptr) as _wxString ptr

_DS(wxConfigBase_SetStyle)(self as _wxConfigBase ptr, style as wxUInt)
_DF(wxConfigBase_GetStyle)(self as _wxConfigBase ptr) as WxUInt

#endif ' __config_bi__
