#ifndef __dataobject_bi__
#define __dataobject_bi__

#include once "common.bi"

' class wxDataObject
_DS(wxDataObject_dtor)(self as _wxDataObject ptr)

_DS(wxDataObject_GetPreferredFormat)(self as _wxDataObject ptr, datadir as wxDataObjectDirection, datafmt as _wxDataFormat ptr)

_DF(wxDataObject_GetFormatCount)(self as _wxDataObject ptr, datadir as wxDataObjectDirection) as size_t

_DS(wxDataObject_GetAllFormats)(self as _wxDataObject ptr, formats as _wxDataFormat ptr, datadir as wxDataObjectDirection)

_DF(wxDataObject_GetDataSize)(self as _wxDataObject ptr, datafmt as _wxDataFormat ptr) as size_t 

_DF(wxDataObject_GetDataHere)(self as _wxDataObject ptr, datafmt as _wxDataFormat ptr, pBuffer as any ptr) as wxBool

_DF(wxDataObject_SetData)(self as _wxDataObject ptr, datafmt as _wxDataFormat ptr, length as size_t, pBuffer as any ptr) as wxBool

_DF(wxDataObject_IsSupported)(self as _wxDataObject ptr, datafmt as _wxDataFormat ptr, datadir as wxDataObjectDirection) as wxBool


' class wxDataObjectSimple
_DF(wxDataObjectSimple_ctor)(datafmt as _wxDataFormat ptr) as _wxDataObjectSimple ptr

_DS(wxDataObjectSimple_dtor)(self as _wxDataObjectSimple ptr)

_DS(wxDataObjectSimple_SetFormat)(self as _wxDataObjectSimple ptr, datafmt as _wxDataFormat ptr)

_DF(wxDataObjectSimple_GetDataSize)(self as _wxDataObjectSimple ptr) as size_t

_DF(wxDataObjectSimple_GetDataHere)(self as _wxDataObjectSimple ptr, pBuffer as any ptr) as wxBool

_DF(wxDataObjectSimple_SetData)(self as _wxDataObjectSimple ptr, length as size_t, pBuffer as any ptr) as wxBool


' class wxTextDataObject
_DS(wxTextDataObject_dtor)(self as _wxTextDataObject ptr)

_DS(wxTextDataObject_RegisterDisposable)(self as _wxTextDataObject ptr, on_dispose as Virtual_Dispose)

_DF(wxTextDataObject_GetTextLength)(self as _wxTextDataObject ptr) as size_t

_DF(wxTextDataObject_GetText)(self as _wxTextDataObject ptr) as _wxString ptr

_DS(wxTextDataObject_SetText)(self as _wxTextDataObject ptr, txt as _wxString ptr)


' class wxFileDataObject
_DF(wxFileDataObject_ctor) as _wxFileDataObject ptr

_DS(wxFileDataObject_dtor)(self as _wxFileDataObject ptr)

_DS(wxFileDataObject_RegisterDisposable)(self as _wxFileDataObject ptr, on_dispose as Virtual_Dispose)

_DS(wxFileDataObject_AddFile)(self as _wxFileDataObject ptr, filename as _wxString ptr)

_DF(wxFileDataObject_GetFilenames)(self as _wxFileDataObject ptr) as _wxArrayString ptr


' class wxDataObjectComposite
_DF(wxDataObjectComposite_ctor) as _wxDataObjectComposite ptr

_DS(wxDataObjectComposite_RegisterDisposable)(self as _wxDataObjectComposite ptr, on_dispose as Virtual_Dispose)

_DS(wxDataObjectComposite_Add)(self as _wxDataObjectComposite ptr, obj as _wxDataObjectSimple ptr, preferred as wxBool)

_DF(wxDataObjectComposite_GetReceivedFormat)(self as _wxDataObjectComposite ptr) as _wxDataFormat ptr


' class wxBitmapDataObject
_DF(wxBitmapDataObject_ctor)(bitmap as _wxBitmap ptr) as _wxBitmapDataObject ptr

_DS(wxBitmapDataObject_RegisterDisposable)(self as _wxBitmapDataObject ptr, on_dispose as Virtual_Dispose)

_DF(wxBitmapDataObject_GetBitmap)(self as _wxBitmapDataObject ptr) as _wxBitmap ptr

_DS(wxBitmapDataObject_SetBitmap)(self as _wxBitmapDataObject ptr, bitmap as _wxBitmap ptr)

#endif ' __dataobject_bi__
