#ifndef  __dnd_bi__
#define __dnd_bi__

#include "common.bi"

type DoDragDrop  as function APICALL (ivalue as wxINT) as wxDragResult
type OnDragOver  as function APICALL (x as wxCoord, y as wxCoord, dr as wxDragResult) as wxDragResult
type OnDrop      as function APICALL (x as wxCoord, y as wxCoord) as wxBool
type OnData3     as function APICALL (x as wxCoord, y as wxCoord, dr as wxDragResult) as wxDragResult
type GetData     as function APICALL as wxBool
type OnLeave     as sub      APICALL
type OnEnter     as function APICALL (x as wxCoord, y as wxCoord, dr as wxDragResult) as wxDragResult
type OnDropText  as function APICALL (x as wxCoord, y as wxCoord, txt as _wxString ptr) as wxBool
type OnData      as function APICALL (x as wxCoord, y as wxCoord, dr as wxDragResult) as wxDragResult
type OnDropFiles as function APICALL (x as wxCoord, y as wxCoord, files as _wxArrayString ptr) as wxBool
type OnData2     as function APICALL (x as wxCoord, y as wxCoord, dr as wxDragResult) as wxDragResult

' class wxDropSource
_DF(wxDropSource_Win_ctor)(win as _wxWindow ptr) as _wxDropSource ptr

_DF(wxDropSource_DataObject_ctor)(dataObject as _wxDataObject ptr, win as _wxWindow ptr) as _wxDropSource ptr

_DS(wxDropSource_dtor)(self as _wxDropSource ptr)

_DS(wxDropSource_RegisterVirtual)(self as _wxDropSource ptr,do_DragDrop as DoDragDrop )

_DF(wxDropSource_DoDragDrop)(self as _wxDropSource ptr, flags as wxInt) as wxInt

_DS(wxDropSource_SetData)(self as _wxDropSource ptr, pData as _wxDataObject ptr)

_DF(wxDropSource_GetDataObject)(self as _wxDropSource ptr) as _wxDataObject ptr

_DS(wxDropSource_SetCursor)(self as _wxDropSource ptr, pRes as wxDragResult ptr, cursor as _wxCursor ptr)

_DF(wxDropSource_GiveFeedback)(self as _wxDropSource ptr, pEffect as wxDragResult ptr) as wxBool


' class wxDropTarget
_DF(wxDropTarget_ctor)(dataObject as _wxDataObject ptr) as _wxDropTarget ptr

_DS(wxDropTarget_dtor)(self as _wxDropTarget ptr)

_DS(wxDropTarget_RegisterVirtual)(self as _wxDropTarget ptr, _
                                 on_DragOver as OnDragOver , _
                                 on_Drop     as OnDrop, _
                                 on_Data     as OnData3, _
                                 get_Data    as GetData, _
                                 on_Leave    as OnLeave, _
                                 on_Enter    as OnEnter)

_DS(wxDropTarget_RegisterDisposable)(self as _wxDropTarget ptr, on_onDispose as Virtual_Dispose)

_DS(wxDropTarget_SetDataObject)(self as _wxDropTarget ptr, dataObject as _wxDataObject ptr)

_DF(wxDropTarget_OnEnter)(self as _wxDropTarget ptr, x as wxCoord, y as wxCoord, dr as wxDragResult) as wxDragResult

_DF(wxDropTarget_OnDragOver)(self as _wxDropTarget ptr, x as wxCoord,y as wxCoord, dr as wxDragResult) as wxDragResult

_DS(wxDropTarget_OnLeave)(self as _wxDropTarget ptr)

_DF(wxDropTarget_OnDrop)(self as _wxDropTarget ptr, x as wxCoord, y as wxCoord) as wxBool

_DF(wxDropTarget_GetData)(self as _wxDropTarget ptr) as wxBool


' class wxTextDropTarget
_DF(wxTextDropTarget_ctor) as _wxTextDropTarget ptr

_DS(wxTextDropTarget_RegisterVirtual)(self as _wxTextDropTarget ptr, on_DropText as OnDropText, on_Data as OnData)

_DF(wxTextDropTarget_OnData)(self as _wxTextDropTarget ptr, x as wxCoord, y as wxCoord, dr as wxDragResult) as wxDragResult

_DF(wxTextDropTarget_OnDrop)(self as _wxTextDropTarget ptr, x as wxInt, y as wxInt) as wxBool

_DF(wxTextDropTarget_GetData)(self as _wxTextDropTarget ptr) as wxBool


' class wxFileDropTarget
_DF(wxFileDropTarget_ctor)() as _wxFileDropTarget ptr

_DS(wxFileDropTarget_RegisterVirtual)(self as _wxFileDropTarget ptr, on_DropFiles as OnDropFiles, on_Data as OnData2)

_DF(wxFileDropTarget_OnData)(self as _wxFileDropTarget ptr, x as wxCoord, y as wxCoord, dr as wxDragResult) as wxDragResult

_DF(wxFileDropTarget_OnDrop)(self as _wxFileDropTarget ptr, x as wxInt, y as wxInt) as wxBool

_DF(wxFileDropTarget_GetData)(self as _wxFileDropTarget ptr) as wxBool

#endif ' __dnd_bi__

