#ifndef __evthandler_bi__
#define __evthandler_bi__
'-----------------------------------------------------------------------------
' wx-c - evthandler.cxx
'
' The new wxEvtHandler
'
' Written by d.j.peters (aka. DJLinux, joshy)
' (C) 2011 by shiny3d.
' Licensed under the wxWidgets license, see LICENSE.txt for details.
'-----------------------------------------------------------------------------

#include once "common.bi"

' old
type EventListener as sub APICALL (event as _wxEvent ptr, iListener as wxInt)

_DS(wxEvtHandler_proxy)          (self as _wxWidget ptr, listener as EventListener)

_DS(wxEvtHandler_Connect)        (self as _wxWidget ptr, evtType as wxInt, id as wxInt=-1, lastId as wxInt=-1, iListener as wxInt=0)

_DS(wxEvtHandler_AddPendingEvent)(self as _wxEvtHandler ptr, event as _wxEvent ptr)

_DF(wxEvtHandler_ProcessEvent)(self as _wxEvtHandler ptr, event as _wxEvent ptr) as wxBool


' new
type Virtual_EventHandler as sub APICALL (event as _wxEvent ptr)

' wx-c wxEvtHandler
_DS(wxEvtHandler_ConnectByType)(self      as _wxEvtHandler ptr, _
                                typ       as  wxEventType, _
                                veh       as  Virtual_EventHandler, _
                                UserData  as _wxObject     ptr = WX_NULL, _
                                eventSink as _wxEvtHandler ptr = WX_NULL)

_DS(wxEvtHandler_ConnectById)(self      as _wxEvtHandler ptr, _
                              id        as  wxInt, _
                              typ       as  wxEventType, _
                              veh       as  Virtual_EventHandler, _
                              UserData  as _wxObject     ptr = WX_NULL, _
                              eventSink as _wxEvtHandler ptr = WX_NULL)

_DS(wxEvtHandler_ConnectByIds)(self      as _wxEvtHandler ptr, _
                               id        as  wxInt, _
                               lastId    as  wxInt, _
                               typ       as  wxEventType, _
                               veh       as  Virtual_EventHandler, _
                               UserData  as _wxObject     ptr = WX_NULL, _
                               eventSink as _wxEvtHandler ptr = WX_NULL)


_DS(wxEvtHandler_SetClientData)(self as _wxEvtHandler ptr,cd as any ptr)
_DF(wxEvtHandler_GetClientData)(self as _wxEvtHandler ptr) as any ptr

_DS(wxEvtHandler_SetClientObject)(self as _wxEvtHandler ptr, cdo as _wxClientData ptr)
_DF(wxEvtHandler_GetClientObject)(self as _wxEvtHandler ptr) as _wxClientData ptr

_DS(wxEvtHandler_SetEvtHandlerEnabled)(self as _wxEvtHandler ptr, enabled as wxBool)
_DF(wxEvtHandler_GetEvtHandlerEnabled)(self as _wxEvtHandler ptr) as wxBool

_DS(wxEvtHandler_SetNextHandler)(self as _wxEvtHandler ptr, handler as _wxEvtHandler ptr)
_DF(wxEvtHandler_GetNextHandler)(self as _wxEvtHandler ptr) as _wxEvtHandler ptr

_DS(wxEvtHandler_SetPreviousHandler)(self as _wxEvtHandler ptr, handler as _wxEvtHandler ptr)
_DF(wxEvtHandler_GetPeviousHandler)(self as _wxEvtHandler ptr) as _wxEvtHandler ptr

#endif ' 