#ifndef __font_bi__
#define __font_bi__

#include once "common.bi"

_DF(wxFont_NORMAL_FONT) as _wxFont ptr
_DF(wxFont_SMALL_FONT)  as _wxFont ptr
_DF(wxFont_ITALIC_FONT) as _wxFont ptr
_DF(wxFont_SWISS_FONT)  as _wxFont ptr

_DF(wxFont_ctorDef) as _wxFont ptr

_DF(wxFont_ctor)(PointSize    as wxInt, _
                 Family       as wxInt, _
                 style        as wxInt, _
                 Weight       as wxInt, _
                 Underline    as wxBool , _
                 FaceNameArg  as _wxString ptr, _
                 FontEncoding as wxFontEncoding) as _wxFont ptr

_DS(wxFont_dtor)(self as _wxFont ptr)

_DF(wxFont_New)(strNativeFontDesc as _wxString ptr) as _wxFont ptr

_DS(wxFont_Set)(self as _wxFont ptr, src as _wxFont ptr)

_DF(wxFont_Ok)(self as _wxFont ptr) as wxBool

_DF(wxFont_IsFixedWidth)(self as _wxFont ptr) as wxBool

_DS(wxFont_SetPointSize)(self as _wxFont ptr, pointSize as wxInt)
_DF(wxFont_GetPointSize)(self as _wxFont ptr) as wxInt

_DS(wxFont_SetFamily)(self as _wxFont ptr, family as wxFontFamily)
_DF(wxFont_GetFamily)(self as _wxFont ptr) as wxFontFamily

_DS(wxFont_SetStyle)(self as _wxFont ptr, style as wxInt)
_DF(wxFont_GetStyle)(self as _wxFont ptr) as wxInt

_DS(wxFont_SetWeight)(self as _wxFont ptr, weight as wxInt)
_DF(wxFont_GetWeight)(self as _wxFont ptr) as wxInt

_DS(wxFont_SetUnderlined)(self as _wxFont ptr, underlined as wxBool)
_DF(wxFont_GetUnderlined)(self as _wxFont ptr) as wxBool

_DS(wxFont_SetEncoding)(self as _wxFont ptr, enc as wxFontEncoding)
_DF(wxFont_GetEncoding)(self as _wxFont ptr) as wxFontEncoding

_DS(wxFont_SetNoAntiAliasing)(self as _wxFont ptr, no as wxBool)
_DF(wxFont_GetNoAntiAliasing)(self as _wxFont ptr) as wxBool

_DS(wxFont_SetDefaultEncoding)(enc as wxFontEncoding)
_DF(wxFont_GetDefaultEncoding) as wxFontEncoding

_DS(wxFont_SetNativeFontInfoUserDesc)(self as _wxFont ptr, info as _wxString ptr)
_DF(wxFont_GetNativeFontInfoDesc)(self as _wxFont ptr) as _wxString ptr

_DS(wxFont_SetFaceName)(self as _wxFont ptr, faceName as _wxString ptr)
_DF(wxFont_GetFaceName)(self as _wxFont ptr) as _wxString ptr

_DF(wxFont_GetNativeFontInfo)(self as _wxFont ptr) as _wxNativeFontInfo ptr

_DF(wxFont_GetNativeFontInfoUserDesc)(self as _wxFont ptr) as _wxString ptr

_DF(wxFont_GetFamilyString)(self as _wxFont ptr) as _wxString ptr

_DF(wxFont_GetStyleString)(self as _wxFont ptr) as _wxString ptr

_DF(wxFont_GetWeightString)(self as _wxFont ptr) as _wxString ptr

#endif ' __font_bi__
