#ifndef __fontmisc_bi__
#define __fontmisc_bi__

#include once "common.bi"

type Virtual_EnumerateFacenames as function APICALL (enc       as wxFontEncoding, b as wxBool) as wxBool
type Virtual_EnumerateEncodings as function APICALL (facename  as _wxString ptr) as wxBool
type Virtual_OnFacename         as function APICALL (facename  as _wxString ptr) as wxBool
type Virtual_OnFontEncoding     as function APICALL (facename  as _wxString ptr, enc  as _wxString ptr) as wxBool

' class wxFontMapper
_DF(wxFontMapper_ctor) as _wxFontMapper ptr

_DS(wxFontMapper_dtor)(self as _wxFontMapper ptr)

_DF(wxFontMapper_Get)() as _wxFontMapper ptr

_DF(wxFontMapper_Set)(mapper as _wxFontMapper ptr) as _wxFontMapper ptr

_DF( wxFontMapper_GetSupportedEncodingsCount)() as size_t

_DF(wxFontMapper_GetEncoding)(n as size_t) as wxFontEncoding

_DF(wxFontMapper_GetEncodingName)(enc as wxFontEncoding) as _wxString ptr

_DF(wxFontMapper_GetEncodingFromName)(nameArg as _wxString ptr) as wxFontEncoding

_DF(wxFontMapper_CharsetToEncoding)(self as _wxFontMapper ptr, charset as _wxString ptr, interactive as wxBool) as wxFontEncoding

_DF(wxFontMapper_IsEncodingAvailable)(self as _wxFontMapper ptr, enc as wxFontEncoding, facename as _wxString ptr) as wxBool 

_DF(wxFontMapper_GetAltForEncoding)(self as _wxFontMapper ptr, enc as wxFontEncoding, alt_enc as wxFontEncoding, facename as _wxString ptr, interactive as wxBool) as wxBool

_DF(wxFontMapper_GetEncodingDescription)(enc as wxFontEncoding) as _wxString ptr

_DS(wxFontMapper_SetDialogParent)(self as _wxFontMapper ptr, parent as _wxWindow ptr)

_DS(wxFontMapper_SetDialogTitle)(self as _wxFontMapper ptr, title as _wxString ptr)


' class wxEncodingConverter
_DF( wxEncodingConverter_ctor)() as _wxEncodingConverter ptr

_DF(wxEncodingConverter_Init)(self as _wxEncodingConverter ptr, in_enc as wxFontEncoding, out_enc as wxFontEncoding, method as wxInt) as wxBool

_DF(wxEncodingConverter_Convert)(self as _wxEncodingConverter ptr, in as _wxString ptr) as _wxString ptr


' class _wxFontEnumerator
_DF(wxFontEnumerator_ctor)() as _wxFontEnumerator ptr

_DS(wxFontEnumerator_dtor)(self as _wxFontEnumerator ptr)

_DS(wxFontEnumerator_RegisterVirtual)(self            as _wxFontEnumerator ptr, _
                                      on_Dispose      as Virtual_Dispose, _
                                      fEnumFaceNames  as Virtual_EnumerateFacenames, _
                                      fEnumEncodings  as Virtual_EnumerateEncodings, _
                                      on_Facename     as Virtual_OnFacename, _
                                      on_FontEncoding as Virtual_OnFontEncoding)

_DF(wxFontEnumerator_GetFacenames)(self as _wxFontEnumerator ptr) as _wxArrayString ptr

_DF(wxFontEnumerator_GetEncodings)(self as _wxFontEnumerator ptr) as _wxArrayString ptr

_DF(wxFontEnumerator_OnFacename)(self as _wxFontEnumerator ptr, facename as _wxString ptr) as wxBool

_DF(wxFontEnumerator_OnFontEncoding)(self as _wxFontEnumerator ptr, facename as _wxString ptr, enc as _wxString ptr) as wxBool

_DF(wxFontEnumerator_EnumerateFacenames)(self as _wxFontEnumerator ptr, enc as wxFontEncoding, fixedWidthOnly as wxBool) as wxBool

_DF(wxFontEnumerator_EnumerateEncodings)(self as _wxFontEnumerator ptr, facenameArg as _wxString ptr) as wxBool


#endif ' __fontmisc_bi__
