#ifndef __glcanvas_bi__
#define __glcanvas_bi__

#include once "common.bi"

_DF(wxGLCanvas_ctor)(parent     as _wxWindow ptr   , _
                     id         as  wxWindowID  =-1, _
                     x          as  wxInt       =-1, _
                     y          as  wxInt       =-1, _
                     w          as  wxInt       =-1, _
                     h          as  wxInt       =-1, _
                     style      as  wxUint      = 0, _
                     attribList as  wxInt    ptr=WX_NULL, _
                     nameArg    as _wxString ptr=WX_NULL) as _wxGLCanvas ptr

function SimpleGLCanvas(parent      as _wxWindow ptr   , _
                        id          as  wxWindowID  =-1, _
                        w           as  wxInt          , _
                        h           as  wxInt          , _
                        DepthBits   as  wxInt       =16, _
                        StencilBits as  wxInt       = 0)  as _wxGLCanvas ptr
  dim as wxInt Attr(10)
  dim as wxInt n
  Attr(n)=WX_GL_RGBA:n+=1
  Attr(n)=WX_GL_DOUBLEBUFFER:n+=1
  Attr(n)=WX_GL_LEVEL:n+=1
  Attr(n)=0:n+=1
  if DepthBits>0 then
    Attr(n)=WX_GL_DEPTH_SIZE:n+=1
    Attr(n)=DepthBits:n+=1
  end if
  if StencilBits>0 then
    Attr(n)=WX_GL_STENCIL_SIZE:n+=1
    Attr(n)=StencilBits:n+=1
  end if
  return wxGLCanvas_ctor(parent,-1,0,0,w,h,0,@Attr(0),wxString("glCanvas"))
end function

_DS(wxGLCanvas_dtor)(self as _wxGLCanvas ptr)

_DF(wxGLCanvas_GetContext)(self as _wxGLCanvas ptr) as _wxGLContext ptr

_DS(wxGLCanvas_SetCurent)(self as _wxGLCanvas ptr)

_DS(wxGLCanvas_SwapBuffers)(self as _wxGLCanvas ptr)


#endif ' __glcanvas_bi__
