#ifndef __htmllbox_bi__
#define __htmllbox_bi__

#include once "common.bi"

type Virtual_VoidNoParams     as sub      APICALL 
type Virtual_VoidSizeT        as sub      APICALL (s as size_t)
type Virtual_wxStringSizeT    as function APICALL (s as size_t) as _DisposableStringBox ptr
type Virtual_wxColourwxColour as function APICALL (col as _wxColour ptr) as _wxColour ptr
type Virtual_OnDrawItem       as sub      APICALL (dc as _wxDC ptr, r as _wxRect ptr, s as size_t)
type Virtual_OnMeasureItem    as function APICALL (s as size_t) as wxCoord


_DF(wxHtmlListBox_ctor2)(parent  as _wxWindow ptr     , _
                         id      as  wxWindowID   = -1, _
                         x       as  wxInt        = -1, _
                         y       as  wxInt        = -1, _
                         w       as  wxInt        = -1, _
                         h       as  wxInt        = -1, _
                         style   as  wxUInt       =  0, _
                         nameArg as _wxString ptr = WX_NULL) as _wxHtmlListBox ptr

_DS(wxHtmlListBox_RegisterVirtual)(self                    as _wxHtmlListBox ptr, _
                                   refreshAll              as Virtual_VoidNoParams, _
                                   setItemCount            as Virtual_VoidSizeT, _
                                   onGetItem               as Virtual_wxStringSizeT, _
                                   onGetItemMarkup         as Virtual_wxStringSizeT, _
                                   getSelectedTextColour   as Virtual_wxColourwxColour, _
                                   getSelectedTextBgColour as Virtual_wxColourwxColour, _
                                   onDrawItem              as Virtual_OnDrawItem, _
                                   onMeasureItem           as Virtual_OnMeasureItem, _
                                   onDrawSeparator         as Virtual_OnDrawItem, _
                                   onDrawBackground        as Virtual_OnDrawItem , _
                                   onGetLineHeight         as Virtual_OnMeasureItem )

_DF(wxHtmlListBox_Create)(self    as _wxHtmlListBox ptr, _
                          parent  as _wxWindow ptr, _
                          id      as  wxWindowID, _
                          x       as  wxInt , _
                          y       as  wxInt, _
                          w       as  wxInt, _
                          h       as  wxInt, _
                          style   as  wxUInt, _
                          nameArg as _wxString ptr) as wxBool

_DS(wxHtmlListBox_RefreshAll)(self as _wxHtmlListBox ptr)

_DS(wxHtmlListBox_SetItemCount)(self as _wxHtmlListBox ptr, count as wxInt)

_DF(wxHtmlListBox_OnGetItemMarkup)(self as _wxHtmlListBox ptr, n as wxInt) as _wxString ptr

_DF(wxHtmlListBox_GetSelectedTextColour)(self as _wxHtmlListBox ptr, colFg as _wxColour ptr) as _wxColour ptr

_DF(wxHtmlListBox_GetSelectedTextBgColour)(self as _wxHtmlListBox ptr, colBg as _wxColour ptr) as _wxColour ptr

_DS(wxHtmlListBox_OnDrawItem)(self as _wxHtmlListBox ptr, dc as _wxDC ptr, r as _wxRect ptr, n as wxInt)

_DF(wxHtmlListBox_OnMeasureItem)(self as _wxHtmlListBox ptr, n as wxInt) as wxCoord

_DS(wxHtmlListBox_OnSize)(self as _wxHtmlListBox ptr, event as _wxSizeEvent ptr)

_DS(wxHtmlListBox_Init)(self as _wxHtmlListBox ptr)

_DS(wxHtmlListBox_CacheItem)(self as _wxHtmlListBox ptr, n as wxInt)

_DS(wxHtmlListBox_OnDrawSeparator)(self as _wxHtmlListBox ptr, dc as _wxDC ptr, r as _wxRect ptr, n as wxInt)

_DS(wxHtmlListBox_OnDrawBackground)(self as _wxHtmlListBox ptr, dc as _wxDC ptr, r as _wxRect ptr, n as wxInt)

_DF(wxHtmlListBox_OnGetLineHeight)(self as _wxHtmlListBox ptr, line_ as wxInt) as wxCoord

#endif ' __htmllbox_bi__

