#ifndef __image_bi__
#define __image_bi__

#include once "common.bi"

' added by DJ
_DF(wxImage_ctorFromFile)(FileName as _wxString ptr, typ as wxInt, index as wxInt=-1) as _wxImage ptr
_DF(wxImage_ctorFromData)(w as wxInt, h as wxInt, pixels as wxChar ptr, isStatic as wxBool=WX_TRUE) as _wxImage ptr
_DF(wxImage_GetRGBData)  (self as _wxImage ptr) as any ptr
_DF(wxImage_GetAlphaData)(self as _wxImage ptr) as any ptr
_DF(wxImage_GetRGBAData) (self as _wxImage ptr, pixels as any ptr, nPixels as wxInt) as wxBool


_DS(wxImage_InitAllHandlers)
_DS(wxImage_InitStandardHandlers)
_DS(wxImage_CleanUpHandlers)

_DF(wxImage_GetFirstHandlerNode) as _wxNode ptr
_DF(wxNode_GetData)            (node as _wxNode ptr) as _wxObject ptr
_DF(wxNode_GetNext)            (node as _wxNode ptr) as _wxNode ptr
_DF(wxNode_GetPrevious)        (node as _wxNode ptr) as _wxNode ptr

_DS(wxImage_AddHandler)        (handler as _wxImageHandler ptr)
_DS(wxImage_InsertHandler)     (handler as _wxImageHandler ptr)

_DF(wxImage_RemoveHandler)     (nam as _wxString ptr) as wxBool

_DF(wxImage_GetImageExtWildcard) as _wxString ptr 


' class wxImage
_DF(wxImage_ctor) as _wxImage ptr

_DF(wxImage_ctorByName)(nam as _wxString ptr, typ as wxInt) as _wxImage ptr

_DF(wxImage_ctorByByteArray)(pData as wxChar ptr, length as wxInt, typ as wxInt) as _wxImage ptr

_DF(wxImage_ctorintintbool)(w as wxInt, h as wxInt, DoClear as wxBool) as _wxImage ptr

_DF(wxImage_ctorByImage)(image as _wxImage ptr) as _wxImage ptr


_DS(wxImage_dtor)                (self as _wxImage ptr)

_DS(wxImage_Destroy)             (self as _wxImage ptr)

_DF(wxImage_GetWidth)            (self as _wxImage ptr) as wxInt
_DF(wxImage_GetHeight)           (self as _wxImage ptr) as wxInt

_DF(wxImage_LoadFileByTypeId)    (self as _wxImage ptr, nam as _wxString ptr, typ as wxInt, ind as wxInt) as wxBool
_DF(wxImage_LoadFileByMimeTypeId)(self as _wxImage ptr, nam as _wxString ptr, mimetyp as _wxString ptr, ind as wxInt) as wxBool

_DF(wxImage_SaveFileByType)      (self as _wxImage ptr, nam as _wxString ptr, typ as wxInt) as wxBool
_DF(wxImage_SaveFileByMimeType)  (self as _wxImage ptr, nam as _wxString ptr, mimetyp as _wxString ptr) as wxBool

_DF(wxImage_Rescale)             (self as _wxImage ptr, w as wxInt, h as wxInt) as _wxImage ptr
_DF(wxImage_Scale)               (self as _wxImage ptr, w as wxInt, h as wxInt) as _wxImage ptr

_DS(wxImage_SetMaskColour)       (self as _wxImage ptr, r as wxChar, g as wxChar, b as wxChar)

_DS(wxImage_SetMask)             (self as _wxImage ptr, mask as wxBool)

_DF(wxImage_HasMask)             (self as _wxImage ptr) as wxBool

_DF(wxImage_Copy)                (self as _wxImage ptr) as _wxImage ptr

_DF(wxImage_GetSubImage)         (self as _wxImage ptr, x as wxInt, y as wxInt, w as wxInt, h as wxInt) as _wxImage ptr

_DS(wxImage_Paste)               (self as _wxImage ptr, image as _wxImage ptr, x as wxInt, y as wxInt)

_DF(wxImage_ShrinkBy)            (self as _wxImage ptr, xFactor as wxInt, yFactor as wxInt) as _wxImage ptr

_DF(wxImage_Rotate)              (self as _wxImage ptr, angle as wxDouble, centre_of_rotation as _wxPoint ptr, interpolating as wxBool, offset_after_rotation as _wxPoint ptr) as _wxImage ptr

_DF(wxImage_Rotate90)            (self as _wxImage ptr, clockwise as wxBool) as _wxImage ptr

_DF(wxImage_Mirror)              (self as _wxImage ptr, horizontally as wxBool) as _wxImage ptr

_DS(wxImage_Replace)             (self as _wxImage ptr, r1 as wxChar, g1 as wxChar, b1 as wxChar, r2 as wxChar, g2 as wxChar, b2 as wxChar)

_DF(wxImage_ConvertToMono)       (self as _wxImage ptr, r as wxChar, g as wxChar, b as wxChar) as _wxImage ptr

_DS(wxImage_SetRGB)              (self as _wxImage ptr, x as wxInt, y as wxInt, r as wxChar, g as wxChar, b as wxChar)

_DF(wxImage_GetRed)              (self as _wxImage ptr, x as wxInt, y as wxInt) as wxChar
_DF(wxImage_GetGreen)            (self as _wxImage ptr, x as wxInt, y as wxInt) as wxChar
_DF(wxImage_GetBlue)             (self as _wxImage ptr, x as wxInt, y as wxInt) as wxChar

_DS(wxImage_SetAlpha)            (self as _wxImage ptr, x as wxInt, y as wxInt, a as wxChar)
_DF(wxImage_GetAlpha)            (self as _wxImage ptr, x as wxInt, y as wxInt) as wxChar

_DF(wxImage_FindFirstUnusedColour)(self as _wxImage ptr, r as wxChar ptr, g as wxChar ptr, b as wxChar ptr, startR as wxChar, startG as wxChar, startB as wxChar) as wxBool

_DF(wxImage_SetMaskFromImage)     (self as _wxImage ptr, mask as _wxImage ptr, r as wxChar, g as wxChar, b as wxChar) as wxBool

_DF(wxImage_ConvertAlphaToMask)   (self as _wxImage ptr, threshold as wxChar) as wxBool

_DF(wxImage_CanRead)              (nam as _wxString ptr) as wxBool

_DF(wxImage_GetImageCount)        (nam as _wxString ptr, typ as wxInt) as wxInt

_DF(wxImage_Ok)                   (self as _wxImage ptr) as wxBool

_DF(wxImage_GetMaskRed)           (self as _wxImage ptr) as wxBool
_DF(wxImage_GetMaskGreen)         (self as _wxImage ptr) as wxBool
_DF(wxImage_GetMaskBlue)          (self as _wxImage ptr) as wxBool

_DF(wxImage_HasPalette)           (self as _wxImage ptr) as wxBool

_DF(wxImage_GetPalette)           (self as _wxImage ptr) as _wxPalette ptr

_DS(wxImage_SetPalette)           (self as _wxImage ptr, pal as _wxPalette ptr)

_DS(wxImage_SetOption)            (self as _wxImage ptr, nam as _wxString ptr, value as _wxString ptr)

_DS(wxImage_SetOption2)           (self as _wxImage ptr, nam as _wxString ptr, value as wxInt)

_DF(wxImage_GetOption)            (self as _wxImage ptr, nam as _wxString ptr) as _wxString ptr

_DF(wxImage_GetOptionInt)         (self as _wxImage ptr, nam as _wxString ptr) as wxInt

_DF(wxImage_HasOption)            (self as _wxImage ptr, nam as _wxString ptr) as wxBool

_DF(wxImage_CountColours)         (self as _wxImage ptr, stopafter as wxUint) as wxUInt


' class wxImageHandler
_DF(wxImage_FindHandler)           (nam as _wxString ptr) as _wxImageHandler ptr

_DF(wxImage_FindHandler2)          (nam as _wxString ptr, imageType as wxInt) as _wxImageHandler ptr

_DF(wxImage_FindHandler3)          (imageType as wxInt) as _wxImageHandler ptr

_DF(wxImage_FindHandlerMime)       (mimetyp as _wxString ptr) as _wxImageHandler ptr

_DS(wxImageHandler_SetName)        (self as _wxImageHandler ptr, nam as _wxString ptr)
_DF(wxImageHandler_GetName)        (self as _wxImageHandler ptr) as _wxString ptr

_DS(wxImageHandler_SetExtension)   (self as _wxImageHandler ptr, ext as _wxString ptr)
_DF(wxImageHandler_GetExtension)   (self as _wxImageHandler ptr) as _wxString ptr

_DS(wxImageHandler_SetType)        (self as _wxImageHandler ptr, typ as wxInt)
_DF(wxImageHandler_GetType)        (self as _wxImageHandler ptr) as wxInt

_DS(wxImageHandler_SetMimeType)    (self as _wxImageHandler ptr, typ as _wxString ptr)
_DF(wxImageHandler_GetMimeType)    (self as _wxImageHandler ptr) as _wxString ptr

_DF(wxImageHandler_CanReadFilename)(self as _wxImageHandler ptr, filename as _wxString ptr) as wxBool

_DF(wxImageHandler_CanReadBuffer)  (self as _wxImageHandler ptr, bytestring as wxChar ptr , size as size_t) as wxBool

' class wxImageHistogramEntry
_DF(wxImageHistogramEntry_ctor) as _wxImageHistogramEntry ptr

_DS(wxImageHistogramEntry_dtor)    (self as _wxImageHistogramEntry ptr)

_DF(wxImageHistogramEntry_index)   (self as _wxImageHistogramEntry ptr) as wxUInt

_DS(wxImageHistogramEntry_Setindex)(self as _wxImageHistogramEntry ptr, v as wxUInt)

_DF(wxImageHistogramEntry_value)   (self as _wxImageHistogramEntry ptr) as wxUInt

_DS(wxImageHistogramEntry_Setvalue)(self as _wxImageHistogramEntry ptr, v as wxUInt)


' clas wxImageHistogram
_DF(wxImageHistogram_MakeKey)(r as wxChar, g as wxChar, b as wxChar) as wxUInt
_DF(wxImageHistogram_ctor) as _wxImageHistogram ptr

_DS(wxImageHistogram_dtor) (self as _wxImageHistogram ptr)

_DF(wxImage_ComputeHistogram) (self as _wxImage ptr, h as _wxImageHistogram ptr) as wxUInt

_DF(wxImageHistogram_FindFirstUnusedColour) (self as _wxImageHistogram ptr, r as wxChar ptr, g as wxChar ptr, b as wxChar ptr, startR as wxChar, startG as wxChar, startB as wxChar) as wxBool

#endif ' __image_bi__