#ifndef __laywin_bi__
#define __laywin_bi__

#include once "common.bi"

' class wxSashLayoutWindow
_DF(wxSashLayoutWindow_ctor) as _wxSashLayoutWindow ptr

_DF(wxSashLayoutWindow_Create)(self    as _wxSashLayoutWindow ptr, _
                               parent  as _wxWindow           ptr, _
                               id      as  wxWindowID   = -1, _
                               x       as  wxInt        = -1, _
                               y       as  wxInt        = -1, _
                               w       as  wxInt        = -1, _
                               h       as  wxInt        = -1, _
                               style   as  wxUInt       =  0, _
                               nameArg as _wxString ptr = WX_NULL) as wxBool

_DF(wxSashLayoutWindow_GetAlignment)(self as _wxSashLayoutWindow ptr) as wxLayoutAlignment

_DS(wxSashLayoutWindow_SetAlignment)(self as _wxSashLayoutWindow ptr, align as wxLayoutAlignment)

_DF(wxSashLayoutWindow_GetOrientation)(self as _wxSashLayoutWindow ptr) as wxLayoutOrientation

_DS(wxSashLayoutWindow_SetOrientation)(self as _wxSashLayoutWindow ptr, orient as wxLayoutOrientation)

_DS(wxSashLayoutWindow_SetDefaultSize)(self as _wxSashLayoutWindow ptr, size as _wxSize ptr)

' class wxLayoutAlgorithm
_DF(wxLayoutAlgorithm_ctor) as _wxLayoutAlgorithm ptr

_DF(wxLayoutAlgorithm_LayoutMDIFrame)(self as _wxLayoutAlgorithm ptr, frame as _wxMDIParentFrame ptr, r as _wxRect ptr) as wxBool

_DF(wxLayoutAlgorithm_LayoutFrame)(self as _wxLayoutAlgorithm ptr, frame as _wxFrame ptr, mainWin as _wxWindow ptr) as wxBool

_DF(wxLayoutAlgorithm_LayoutWindow)(self as _wxLayoutAlgorithm ptr, win as _wxWindow ptr, mainWin as _wxWindow ptr) as wxBool


' class wxQueryLayoutInfoEvent
_DF(wxQueryLayoutInfoEvent_ctor)(id as wxWindowID) as _wxQueryLayoutInfoEvent ptr

_DS(wxQueryLayoutInfoEvent_SetRequestedLength)(self as _wxQueryLayoutInfoEvent ptr, length as wxInt)

_DF(wxQueryLayoutInfoEvent_GetRequestedLength)(self as _wxQueryLayoutInfoEvent ptr) as wxInt

_DS(wxQueryLayoutInfoEvent_SetFlags)(self as _wxQueryLayoutInfoEvent ptr, flags as wxInt)

_DF(wxQueryLayoutInfoEvent_GetFlags)(self as _wxQueryLayoutInfoEvent ptr) as wxInt

_DS(wxQueryLayoutInfoEvent_SetSize)(self as _wxQueryLayoutInfoEvent ptr, size as _wxSize ptr)

_DS(wxQueryLayoutInfoEvent_GetSize)(self as _wxQueryLayoutInfoEvent ptr, size as _wxSize ptr)

_DS(wxQueryLayoutInfoEvent_SetOrientation)(self as _wxQueryLayoutInfoEvent ptr, orient as wxLayoutOrientation)

_DF(wxQueryLayoutInfoEvent_GetOrientation)(self as _wxQueryLayoutInfoEvent ptr) as wxLayoutOrientation

_DS(wxQueryLayoutInfoEvent_SetAlignment)(self as _wxQueryLayoutInfoEvent ptr, align as wxLayoutAlignment)

_DF(wxQueryLayoutInfoEvent_GetAlignment)(self as _wxQueryLayoutInfoEvent ptr) as wxLayoutAlignment

' class wxCalculateLayoutEvent
_DF(wxCalculateLayoutEvent_ctor)(id as wxWindowID) as _wxCalculateLayoutEvent ptr 

_DS(wxCalculateLayoutEvent_SetFlags)(self as _wxCalculateLayoutEvent ptr, flags as wxInt)

_DF(wxCalculateLayoutEvent_GetFlags)(self as _wxCalculateLayoutEvent ptr) as wxInt

_DS(wxCalculateLayoutEvent_SetRect)(self as _wxCalculateLayoutEvent ptr, r as _wxRect ptr)

_DS(wxCalculateLayoutEvent_GetRect)(self as _wxCalculateLayoutEvent ptr, r as _wxRect ptr)


#endif ' __laywin_bi__