#ifndef __listctrl_bi__
#define __listctrl_bi__

#include once "common.bi"

type Callback_OnGetItemText        as function APICALL (item as wxInt, col as wxInt) as _DisposableStringBox ptr
type Callback_OnGetItemImage       as function APICALL (item as wxInt) as wxInt
type Callback_OnGetItemColumnImage as function APICALL (item as wxInt, column as wxInt) as wxInt
type Callback_OnGetItemAttr        as function APICALL (item as wxInt) as _wxListItemAttr ptr
type wxListCtrlCompare             as function APICALL (item1 as wxInt, item2 as wxInt, sortData as wxInt) as wxInt


' class wxListItemAttr
_DF(wxListItemAttr_ctor)() as _wxListItemAttr ptr

_DF(wxListItemAttr_ctor2)(colTxt as _wxColour ptr, bg as _wxColour ptr, font as _wxFont ptr) as _wxListItemAttr ptr

_DS(wxListItemAttr_dtor)(self as _wxListItemAttr ptr)

_DS(wxListItemAttr_RegisterDisposable)(self as _wxListItemAttr ptr, on_dispose as Virtual_Dispose)

_DS(wxListItemAttr_SetTextColour)(self as _wxListItemAttr ptr, fg as _wxColour ptr)
_DF(wxListItemAttr_GetTextColour)(self as _wxListItemAttr ptr) as _wxColour ptr

_DS(wxListItemAttr_SetBackgroundColour)(self as _wxListItemAttr ptr, bg as _wxColour ptr)
_DF(wxListItemAttr_GetBackgroundColour)(self as _wxListItemAttr ptr) as _wxColour ptr

_DS(wxListItemAttr_SetFont)(self as _wxListItemAttr ptr, font as _wxFont ptr)
_DF(wxListItemAttr_GetFont)(self as _wxListItemAttr ptr) as _wxFont ptr 

_DF(wxListItemAttr_HasTextColour)(self as _wxListItemAttr ptr) as wxBool

_DF(wxListItemAttr_HasBackgroundColour)(self as _wxListItemAttr ptr) as wxBool

_DF(wxListItemAttr_HasFont)(self as _wxListItemAttr ptr) as wxBool


' class wxListCtrl
_DF(wxListCtrl_ctor)() as _wxListCtrl ptr

_DF(wxListCtrl_Create)(self      as _wxListCtrl  ptr     , _
                       parent    as _wxWindow    ptr     , _
                       id        as  wxWindowID      = -1, _
                       x         as  wxInt           = -1, _
                       y         as  wxInt           = -1, _
                       w         as  wxInt           = -1, _
                       h         as  wxInt           = -1, _
                       style     as  wxUInt          =  0, _
                       validator as _wxValidator ptr = WX_NULL, _
                       nameArg   as _wxString    ptr = WX_NULL) as wxBool

_DS(wxListCtrl_dtor)(self as _wxListCtrl ptr)

_DS(wxListCtrl_RegisterVirtual)(self as _wxListCtrl ptr, _
                                OnGetItemText        as Callback_OnGetItemText, _
                                OnGetItemImage       as Callback_OnGetItemImage, _
                                OnGetItemColumnImage as Callback_OnGetItemColumnImage, _
                                OnGetItemAttr        as Callback_OnGetItemAttr)

_DF(wxListCtrl_SetColumn)(self as _wxListCtrl ptr, column as wxInt, item as _wxListItem ptr) as wxBool
_DF(wxListCtrl_GetColumn)(self as _wxListCtrl ptr, column as wxInt, item as _wxListItem ptr) as wxBool

_DF(wxListCtrl_SetColumnWidth)(self as _wxListCtrl ptr, column as wxInt, w as wxInt) as wxBool
_DF(wxListCtrl_GetColumnWidth)(self as _wxListCtrl ptr, column as wxInt) as wxInt

_DF(wxListCtrl_SetItem)(self as _wxListCtrl ptr, item as _wxListItem ptr) as wxBool
_DF(wxListCtrl_GetItem)(self as _wxListCtrl ptr, item as _wxListItem ptr) as wxBool

_DF(wxListCtrl_SetItemState)(self as _wxListCtrl ptr, item as wxInt, state as wxInt, stateMask as wxInt) as wxBool
_DF(wxListCtrl_GetItemState)(self as _wxListCtrl ptr, item as wxInt, stateMask as wxInt) as wxInt

_DF(wxListCtrl_SetItemData)(self as _wxListCtrl ptr, item as wxInt, pClientData as _wxClientData ptr) as wxBool
_DF(wxListCtrl_GetItemData)(self as _wxListCtrl ptr, item as wxInt) as any ptr

_DS(wxListCtrl_SetItemTextColour)(self as _wxListCtrl ptr, item as wxInt, col as _wxColour ptr)
_DF(wxListCtrl_GetItemTextColour)(self as _wxListCtrl ptr, item as wxInt) as _wxColour ptr

_DS(wxListCtrl_SetItemText)(self as _wxListCtrl ptr, item as wxInt, txt as _wxString ptr)
_DF(wxListCtrl_GetItemText)(self as _wxListCtrl ptr, item as wxInt) as _wxString ptr

_DF(wxListCtrl_SetItemPosition)(self as _wxListCtrl ptr, item as wxInt, p as _wxPoint ptr) as wxBool
_DF(wxListCtrl_GetItemPosition)(self as _wxListCtrl ptr, item as wxInt, p as _wxPoint ptr) as wxBool

_DS(wxListCtrl_SetItemCount)(self as _wxListCtrl ptr, count as wxInt)
_DF(wxListCtrl_GetItemCount)(self as _wxListCtrl ptr) as wxInt

_DS(wxListCtrl_SetItemBackgroundColour)(self as _wxListCtrl ptr, item as wxInt, col as _wxColour ptr)
_DF(wxListCtrl_GetItemBackgroundColour)(self as _wxListCtrl ptr, item as wxInt) as _wxColour ptr

_DS(wxListCtrl_SetImageList)(self as _wxListCtrl ptr, imageList as _wxImageList ptr, witch as wxInt)
_DF(wxListCtrl_GetImageList)(self as _wxListCtrl ptr, witch as wxInt) as _wxImageList ptr

_DS(wxListCtrl_SetTextColour)(self as _wxListCtrl ptr, col as _wxColour ptr)
_DF(wxListCtrl_GetTextColour)(self as _wxListCtrl ptr) as _wxColour ptr

_DF(wxListCtrl_SetItemData2)(self as _wxListCtrl ptr, item as wxInt, iData as wxInt) as wxBool

_DF(wxListCtrl_GetItemRect)(self as _wxListCtrl ptr, item as wxInt, r as _wxRect ptr, iCode as wxInt) as wxBool

_DF(wxListCtrl_GetCountPerPage)(self as _wxListCtrl ptr) as wxInt

_DF(wxListCtrl_SetItem_By_Row_Col)(self as _wxListCtrl ptr, index as wxInt, column as wxInt, label as _wxString ptr, ImageID as wxInt) as wxInt

_DF(wxListCtrl_SetTextImageItem)(self as _wxListCtrl ptr, index as wxInt, column as wxInt, label as _wxString ptr, ImageID as wxInt) as wxInt

_DF(wxListCtrl_SetItemImage)(self as _wxListCtrl ptr, item as wxInt, imageID as wxInt, selImageID as wxInt) as wxBool

_DF(wxListCtrl_GetColumnCount)(self as _wxListCtrl ptr) as wxInt

_DF(wxListCtrl_GetSelectedItemCount)(self as _wxListCtrl ptr) as wxInt



_DF(wxListCtrl_GetTopItem)(self as _wxListCtrl ptr) as wxInt

_DS(wxListCtrl_SetSingleStyle)(self as _wxListCtrl ptr, style as wxUInt, bAdd as wxBool)

_DS(wxListCtrl_SetWindowStyleFlag)(self as _wxListCtrl ptr, style as wxUInt)

_DF(wxListCtrl_GetNextItem)(self as _wxListCtrl ptr, item as wxInt, geometry as wxInt, state as wxInt) as wxInt

_DS(wxListCtrl_AssignImageList)(self as _wxListCtrl ptr, imageList as _wxImageList ptr, witch as wxInt)

_DF(wxListCtrl_Arrange)(self as _wxListCtrl ptr, flag as wxInt) as wxBool

_DS(wxListCtrl_ClearAll)(self as _wxListCtrl ptr)

_DF(wxListCtrl_DeleteItem)(self as _wxListCtrl ptr, item as wxInt) as wxBool

_DF(wxListCtrl_DeleteAllItems)(self as _wxListCtrl ptr) as wxBool

_DF(wxListCtrl_DeleteAllColumns)(self as _wxListCtrl ptr) as wxBool

_DF(wxListCtrl_DeleteColumn)(self as _wxListCtrl ptr, column as wxInt) as wxBool



_DS(wxListCtrl_EditLabel)(self as _wxListCtrl ptr, item as wxInt)

_DF(wxListCtrl_EnsureVisible)(self as _wxListCtrl ptr, item as wxInt) as wxBool

_DF(wxListCtrl_FindItem)(self as _wxListCtrl ptr, iStart as wxInt, txt as _wxString ptr, partial as wxBool) as wxInt

_DF(wxListCtrl_FindItemData)(self as _wxListCtrl ptr, iStart as wxInt, iData as wxInt) as wxInt

_DF(wxListCtrl_FindItemPoint)(self as _wxListCtrl ptr, iStart as wxInt, pt as _wxPoint ptr, iDir as wxInt) as wxInt

_DF(wxListCtrl_HitTest)(self as _wxListCtrl ptr, pt as _wxPoint ptr, flag as wxInt) as wxInt

_DF(wxListCtrl_InsertItem)(self as _wxListCtrl ptr, item as _wxListItem ptr) as wxInt

_DF(wxListCtrl_InsertTextItem)(self as _wxListCtrl ptr, index as wxInt, label as _wxString ptr) as wxInt

_DF(wxListCtrl_InsertImageItem)(self as _wxListCtrl ptr, index as wxInt, imageID as wxInt) as wxInt

_DF(wxListCtrl_InsertTextImageItem)(self as _wxListCtrl ptr, index as wxInt, label as _wxString ptr, imageID as wxInt) as wxInt

_DF(wxListCtrl_InsertColumn)(self as _wxListCtrl ptr, column as wxInt, item as _wxListItem ptr) as wxInt

_DF(wxListCtrl_InsertTextColumn)(self as _wxListCtrl ptr, column as wxInt, heading as _wxString ptr, iFormat as wxInt, w as wxInt) as wxInt

_DF(wxListCtrl_ScrollList)(self as _wxListCtrl ptr, dx as wxInt, dy as wxInt) as wxBool

_DF(wxListCtrl_SortItems)(self as _wxListCtrl ptr, Comaprefunc as wxListCtrlCompare, iData as wxInt) as wxBool

_DS(wxListCtrl_GetViewRect)(self as _wxListCtrl ptr, r as _wxRect ptr)

_DS(wxListCtrl_RefreshItem)(self as _wxListCtrl ptr, item as wxInt)

_DS(wxListCtrl_RefreshItems)(self as _wxListCtrl ptr, itemFrom as wxInt, itemTo as wxInt)


' class wxListItem
_DF(wxListItem_ctor)() as _wxListItem ptr

_DS(wxListItem_SetAlign)(self as _wxListItem ptr, iAlign as wxInt)
_DF(wxListItem_GetAlign)(self as _wxListItem ptr) as wxInt

_DS(wxListItem_SetBackgroundColour)(self as _wxListItem ptr, col as _wxColour ptr)
_DF(wxListItem_GetBackgroundColour)(self as _wxListItem ptr) as _wxColour ptr

_DS(wxListItem_SetColumn)(self as _wxListItem ptr, column as wxInt)
_DF(wxListItem_GetColumn)(self as _wxListItem ptr) as wxInt

_DS(wxListItem_SetData)(self as _wxListItem ptr, pClientData as _wxClientData ptr)
_DF(wxListItem_GetData)(self as _wxListItem ptr) as any ptr

_DS(wxListItem_SetFont)(self as _wxListItem ptr, font as _wxFont ptr)
_DF(wxListItem_GetFont)(self as _wxListItem ptr) as _wxFont ptr

_DS(wxListItem_SetId)(self as _wxListItem ptr, id as wxInt)
_DF(wxListItem_GetId)(self as _wxListItem ptr) as wxInt

_DS(wxListItem_SetImage)(self as _wxListItem ptr, imageID as wxInt)
_DF(wxListItem_GetImage)(self as _wxListItem ptr) as wxInt

_DS(wxListItem_SetMask)(self as _wxListItem ptr, iMask as wxInt)
_DF(wxListItem_GetMask)(self as _wxListItem ptr) as wxInt

_DS(wxListItem_SetState)(self as _wxListItem ptr, state as wxInt)
_DF(wxListItem_GetState)(self as _wxListItem ptr) as wxInt

_DS(wxListItem_SetText)(self as _wxListItem ptr, txt as _wxString ptr)
_DF(wxListItem_GetText)(self as _wxListItem ptr) as _wxString ptr

_DS(wxListItem_SetTextColour)(self as _wxListItem ptr, col as _wxColour ptr)
_DF(wxListItem_GetTextColour)(self as _wxListItem ptr) as _wxColour ptr

_DS(wxListItem_SetWidth)(self as _wxListItem ptr, w as wxInt)
_DF(wxListItem_GetWidth)(self as _wxListItem ptr) as wxInt

_DS(wxListItem_SetStateMask)(self as _wxListItem ptr, stateMask as wxInt)

_DF(wxListItem_GetAttributes)(self as _wxListItem ptr) as _wxListItemAttr ptr

_DF(wxListItem_HasAttributes)(self as _wxListItem ptr) as wxBool

_DS(wxListItem_Clear)(self as _wxListItem ptr)

_DS(wxListItem_ClearAttributes)(self as _wxListItem ptr)


' class wxListEvent
_DF(wxListEvent_ctor)(typ as wxEventType, id as wxInt) as _wxListEvent ptr

_DF(wxListEvent_GetCacheFrom)(self as _wxListEvent ptr) as wxInt

_DF(wxListEvent_GetCacheTo)(self as _wxListEvent ptr) as wxInt

_DF(wxListEvent_GetKeyCode)(self as _wxListEvent ptr) as wxInt

_DF(wxListEvent_GetIndex)(self as _wxListEvent ptr) as wxInt

_DF(wxListEvent_GetColumn)(self as _wxListEvent ptr) as wxInt

_DF(wxListEvent_IsEditCancelled)(self as _wxListEvent ptr) as wxBool

_DS(wxListEvent_SetEditCanceled)(self as _wxListEvent ptr, cancled as wxBool)

_DF(wxListEvent_GetLabel)(self as _wxListEvent ptr) as _wxString ptr

_DS(wxListEvent_GetPoint)(self as _wxListEvent ptr, pt as _wxPoint ptr)

_DF(wxListEvent_GetImage)(self as _wxListEvent ptr) as wxInt

_DF(wxListEvent_GetText)(self as _wxListEvent ptr) as _wxString ptr

_DF(wxListEvent_GetMask)(self as _wxListEvent ptr) as wxInt

_DF(wxListEvent_GetItem)(self as _wxListEvent ptr) as _wxListItem ptr

_DF(wxListEvent_GetData)(self as _wxListEvent ptr) as any ptr

_DS(wxListEvent_Veto)(self as _wxListEvent ptr)

_DS(wxListEvent_Allow)(self as _wxListEvent ptr)

_DF(wxListEvent_IsAllowed)(self as _wxListEvent ptr) as wxBool


' class wxListView
_DF(wxListView_ctor)() as _wxListView ptr

_DF(wxListView_Create)(self      as _wxListView  ptr     , _
                       parent    as _wxWindow    ptr     , _
                       id        as  wxWindowID      = -1, _
                       x         as  wxInt           = -1, _
                       y         as  wxInt           = -1, _
                       w         as  wxInt           = -1, _
                       h         as  wxInt           = -1, _
                       style     as  wxUInt          =  0, _
                       validator as _wxValidator ptr = WX_NULL, _
                       nameArg   as _wxString    ptr = WX_NULL) as wxBool

_DS(wxListView_Select)(self as _wxListView ptr, n as wxInt, bSelect as wxBool)

_DS(wxListView_Focus)(self as _wxListView ptr, index as wxInt)

_DF(wxListView_GetFocusedItem)(self as _wxListView ptr) as wxInt

_DF(wxListView_GetNextSelected)(self as _wxListView ptr, item as wxInt) as wxInt

_DF(wxListView_GetFirstSelected)(self as _wxListView ptr) as wxInt

_DF(wxListView_IsSelected)(self as _wxListView ptr, index as wxInt) as wxInt

_DS(wxListView_SetColumnImage)(self as _wxListView ptr, column as wxInt, imageID as wxInt)

_DS(wxListView_ClearColumnImage)(self as _wxListView ptr, column as wxInt)

#endif ' __listctrl_bi__
