#ifndef __mouseevent_bi__
#define __mouseevent_bi__

#include once "common.bi"

_DF(wxMouseEvent_ctor)             (typ as wxEventType) as _wxMouseEvent ptr

_DF(wxMouseEvent_IsButton)         (self as _wxMouseEvent ptr) as wxBool

_DF(wxMouseEvent_ButtonDown)       (self as _wxMouseEvent ptr) as wxBool

_DF(wxMouseEvent_ButtonDown2)      (self as _wxMouseEvent ptr, button as wxInt) as wxBool

_DF(wxMouseEvent_ButtonDClick)     (self as _wxMouseEvent ptr, button as wxInt) as wxBool

_DF(wxMouseEvent_ButtonUp)         (self as _wxMouseEvent ptr, button as wxInt) as wxBool

_DF(wxMouseEvent_Button)           (self as _wxMouseEvent ptr, button as wxInt) as wxBool

_DF(wxMouseEvent_ButtonIsDown)     (self as _wxMouseEvent ptr, button as wxInt) as wxBool

_DF(wxMouseEvent_GetButton)        (self as _wxMouseEvent ptr) as wxInt

_DF(wxMouseEvent_ControlDown)      (self as _wxMouseEvent ptr) as wxBool

_DF(wxMouseEvent_MetaDown)         (self as _wxMouseEvent ptr) as wxBool

_DF(wxMouseEvent_AltDown)          (self as _wxMouseEvent ptr) as wxBool

_DF(wxMouseEvent_ShiftDown)        (self as _wxMouseEvent ptr) as wxBool

_DF(wxMouseEvent_LeftDown)         (self as _wxMouseEvent ptr) as wxBool

_DF(wxMouseEvent_MiddleDown)       (self as _wxMouseEvent ptr) as wxBool

_DF(wxMouseEvent_RightDown)        (self as _wxMouseEvent ptr) as wxBool

_DF(wxMouseEvent_LeftUp)           (self as _wxMouseEvent ptr) as wxBool

_DF(wxMouseEvent_MiddleUp)         (self as _wxMouseEvent ptr) as wxBool

_DF(wxMouseEvent_RightUp)          (self as _wxMouseEvent ptr) as wxBool

_DF(wxMouseEvent_LeftDClick)       (self as _wxMouseEvent ptr) as wxBool

_DF(wxMouseEvent_MiddleDClick)     (self as _wxMouseEvent ptr) as wxBool

_DF(wxMouseEvent_RightDClick)      (self as _wxMouseEvent ptr) as wxBool

_DF(wxMouseEvent_LeftIsDown)       (self as _wxMouseEvent ptr) as wxBool

_DF(wxMouseEvent_MiddleIsDown)     (self as _wxMouseEvent ptr) as wxBool

_DF(wxMouseEvent_RightIsDown)      (self as _wxMouseEvent ptr) as wxBool

_DF(wxMouseEvent_Dragging)         (self as _wxMouseEvent ptr) as wxBool

_DF(wxMouseEvent_Moving)           (self as _wxMouseEvent ptr) as wxBool

_DF(wxMouseEvent_Entering)         (self as _wxMouseEvent ptr) as wxBool

_DF(wxMouseEvent_Leaving)          (self as _wxMouseEvent ptr) as wxBool

_DS(wxMouseEvent_GetPosition)      (self as _wxMouseEvent ptr, pt as _wxPoint ptr)

_DS(wxMouseEvent_LogicalPosition)  (self as _wxMouseEvent ptr, dc as _wxDC ptr, pt as _wxPoint ptr)

_DF(wxMouseEvent_GetWheelRotation) (self as _wxMouseEvent ptr) as wxInt

_DF(wxMouseEvent_GetWheelDelta)    (self as _wxMouseEvent ptr) as wxInt

_DF(wxMouseEvent_GetLinesPerAction)(self as _wxMouseEvent ptr) as wxInt

_DF(wxMouseEvent_IsPageScroll)     (self as _wxMouseEvent ptr) as wxBool

_DF(wxMouseEvent_GetX)             (self as _wxMouseEvent ptr) as wxInt

_DF(wxMouseEvent_GetY)             (self as _wxMouseEvent ptr) as wxInt

#endif ' __mouseevent_bi__
