#ifndef __notebook_bi__
#define __notebook_bi__

#include once "common.bi"

_DF(wxNotebook_ctor)() as _wxNotebook ptr

_DF(wxNotebook_Create)(self    as _wxNotebook ptr     , _
                       parent  as _wxWindow   ptr     , _
                       id      as  wxWindowID     = -1, _
                       x       as  wxInt          = -1, _
                       y       as  wxInt          = -1, _
                       w       as  wxInt          = -1, _
                       h       as  wxInt          = -1, _
                       style   as  wxUInt         =  0, _
                       nameArg as _wxString   ptr = WX_NULL) as wxBool

_DF(wxNotebook_AddPage)(self as _wxNotebook ptr, page as _wxNotebookPage ptr, txt as _wxString ptr, bSelect as wxBool, imageID as wxInt) as wxBool

_DS(wxNotebook_SetImageList)(self as _wxNotebookBase ptr, imageList as _wxImageList ptr)

_DF(wxNotebook_GetPageCount)(self as _wxNotebook ptr) as wxInt

_DF(wxNotebook_GetPage)(self as _wxNotebook ptr, nPage as wxInt) as _wxNotebookPage ptr

_DF(wxNotebook_GetSelection)(self as _wxNotebook ptr) as wxInt

_DF(wxNotebook_SetPageText)(self as _wxNotebook ptr, nPage as wxInt, txt as _wxString ptr) as wxBool

_DF(wxNotebook_GetPageText)(self as _wxNotebook ptr, nPage as wxInt) as _wxString ptr

_DS(wxNotebook_AssignImageList)(self as _wxNotebook ptr, imageList as _wxImageList ptr)

_DF(wxNotebook_GetImageList)(self as _wxNotebook ptr) as _wxImageList ptr

_DF(wxNotebook_GetPageImage)(self as _wxNotebook ptr, nPage as wxInt) as wxInt

_DF(wxNotebook_SetPageImage)(self as _wxNotebook ptr, nPage as wxInt, nImage as wxInt) as wxBool

_DF(wxNotebook_GetRowCount)(self as _wxNotebook ptr) as wxInt

_DS(wxNotebook_SetPageSize)(self as _wxNotebook ptr, size as _wxSize ptr)

_DS(wxNotebook_SetPadding)(self as _wxNotebook ptr, padding as _wxSize ptr)

_DS(wxNotebook_SetTabSize)(self as _wxNotebook ptr, size as _wxSize ptr)

_DF(wxNotebook_DeletePage)(self as _wxNotebook ptr, nPage as wxInt) as wxBool

_DF(wxNotebook_RemovePage)(self as _wxNotebook ptr, nPage as wxInt) as wxBool

_DF(wxNotebook_DeleteAllPages)(self as _wxNotebook ptr) as wxBool

_DF(wxNotebook_InsertPage)(self as _wxNotebook ptr, nPage as wxInt, page as _wxNotebookPage ptr, txt as _wxString ptr, bSelect as wxBool, imageID as wxInt) as wxBool

_DF(wxNotebook_SetSelection)(self as _wxNotebook ptr, nPage as wxInt) as wxInt

_DS(wxNotebook_AdvanceSelection)(self as _wxNotebook ptr, bForward as wxBool)

' class  wxNoteBookEvent
_DF(wxNotebookEvent_ctor)(typ as wxEventType, id as wxInt, nSel as wxInt, nOldSel as wxInt) as _wxNoteBookEvent ptr

_DF(wxNotebookEvent_GetSelection)(self as _wxNoteBookEvent ptr) as wxInt

_DS(wxNotebookEvent_SetSelection)(self as _wxNoteBookEvent ptr, nSel as wxInt)

_DF(wxNotebookEvent_GetOldSelection)(self as _wxNoteBookEvent ptr) as wxInt

_DS(wxNotebookEvent_SetOldSelection)(self as _wxNoteBookEvent ptr, nOldSel as wxInt)

#endif ' __notebook_bi__
