#ifndef __panel_object_bi__
#define __panel_object_bi__

#include once "panel.bi"

type wxPanel
  declare constructor
  declare operator cast as _wxWindow ptr
  declare function Create(parent  as _wxWindow ptr, _
                          id      as  wxWindowID=-1, _
                          x       as  wxInt=-1, _
                          y       as  wxInt=-1, _
                          w       as  wxInt=-1, _
                          h       as  wxInt=-1, _
                          style   as  wxUInt=0, _
                          nameArg as String ="") as wxBooL
  declare sub InitDialog
  private:
  as _wxPanel ptr self
end type

constructor wxPanel
  dprint("wxPanel()")
end constructor

operator wxPanel.Cast as _wxWindow ptr
  dprint("wxPanel->wxWindow")
  return cptr(_wxWindow ptr,self)
end operator

function wxPanel.Create(parent  as _wxWindow ptr, _
                        id      as  wxWindowID, _
                        x       as  wxInt, _
                        y       as  wxInt, _
                        w       as  wxInt, _
                        h       as  wxInt, _
                        style   as  wxUInt, _
                        nameArg as String) as wxBooL
  dprint("wxPanel.Create()")                      
  if (self=WX_NULL) then self = wxPanel_ctor()                     
  if nameArg="" then
    return wxPanel_Create(self,parent,id,x,y,w,h,style,wxString("wxPanel"))
  else
    return wxPanel_Create(self,parent,id,x,y,w,h,style,wxString(nameArg))
  end if
end function

sub wxPanel.InitDialog
  wxPanel_InitDialog(self)
end sub
#endif ' __panel_object_bi__
