#ifndef __picker_bi__
#define __picker_bi__

#include once "common.bi"

' class wxDatePickerCtrl
_DF(wxDatePickerCtrl_DefaultCTor) as _wxDatePickerCtrl ptr

_DF(wxDatePickerCtrl_CTor)(parent  as _wxWindow   ptr          , _
                           id      as  wxWindowID     = -1     , _
                           dtArg   as _wxDateTime ptr = WX_NULL, _
                           x       as  wxInt          = -1     , _
                           y       as  wxInt          = -1     , _
                           w       as  wxInt          = -1     , _
                           h       as  wxInt          = -1     , _
                           style   as  wxUInt         =  0     , _
                           nameArg as _wxString   ptr = WX_NULL) as _wxDatePickerCtrl ptr

_DS(wxDatePickerCtrl_DTor)(self as _wxDatePickerCtrl ptr)

_DS(wxDatePickerCtrl_Create)(self    as _wxDatePickerCtrl ptr    , _
                             parent  as _wxWindow   ptr          , _
                             id      as  wxWindowID     = -1     , _
                             dtArg   as _wxDateTime ptr = WX_NULL, _
                             x       as  wxInt          = -1     , _
                             y       as  wxInt          = -1     , _
                             w       as  wxInt          = -1     , _
                             h       as  wxInt          = -1     , _
                             style   as  wxUInt         =  0     , _
                             nameArg as _wxString   ptr = WX_NULL)

_DS(wxDatePickerCtrl_SetValue)(self as _wxDatePickerCtrl ptr, dt as _wxDateTime ptr)

_DF(wxDatePickerCtrl_GetValue)(self as _wxDatePickerCtrl ptr) as _wxDatetime ptr

_DS(wxDatePickerCtrl_SetRange)(self as _wxDatePickerCtrl ptr, dt1 as _wxDateTime ptr, dt2 as _wxDateTime ptr)

_DF(wxDatePickerCtrl_GetRange)(self as _wxDatePickerCtrl ptr, dt1 as _wxDateTime ptr, dt2 as _wxDateTime ptr) as wxBool


' class wxColourPickerCtrl
_DF(wxColourPickerCtrl_DefaultCTor) as _wxColourPickerCtrl ptr

_DF(wxColourPickerCtrl_CTor)(parent  as _wxWindow ptr          , _
                             id      as  wxWindowID   = -1     , _
                             colArg  as _wxColour ptr = WX_NULL, _
                             x       as  wxInt        = -1     , _
                             y       as  wxInt        = -1     , _
                             w       as  wxInt        = -1     , _
                             h       as  wxInt        = -1     , _
                             style   as  wxUInt       =  0     , _
                             nameArg as _wxString ptr = WX_NULL) as _wxColourPickerCtrl ptr

_DS(wxColourPickerCtrl_Create)(self as _wxColourPickerCtrl ptr   , _
                               parent  as _wxWindow ptr          , _
                               id      as  wxWindowID   = -1     , _
                               colArg  as _wxColour ptr = WX_NULL, _
                               x       as  wxInt        = -1     , _
                               y       as  wxInt        = -1     , _
                               w       as  wxInt        = -1     , _
                               h       as  wxInt        = -1     , _
                               style   as  wxUInt       =  0     , _
                               nameArg as _wxString ptr = WX_NULL)

_DF(wxColourPickerCtrl_GetColour)(self as _wxColourPickerCtrl ptr) as _wxColour ptr

_DS(wxColourPickerCtrl_SetColour)(self as _wxColourPickerCtrl ptr, col as _wxColour ptr)

_DS(wxColourPickerCtrl_SetColourFromString)(self as _wxColourPickerCtrl ptr, col as _wxColour ptr)

_DF(wxColourPickerEvent_GetColour)(self as _wxColourPickerEvent ptr) as _wxColour ptr

_DS(wxColourPickerEvent_SetColour)(self as _wxColourPickerEvent ptr, col as _wxColour ptr)


' class _wxFontPickerCtrl

_DF(wxFontPickerCtrl_DefaultCTor) as _wxFontPickerCtrl ptr

_DF(wxFontPickerCtrl_CTor)(parent  as _wxWindow ptr          , _
                           id      as  wxWindowID   = -1     , _
                           fontArg as _wxFont   ptr = WX_NULL, _
                           x       as  wxInt        = -1     , _
                           y       as  wxInt        = -1     , _
                           w       as  wxInt        = -1     , _
                           h       as  wxInt        = -1     , _
                           style   as  wxUInt       =  0     , _
                           nameArg as _wxString ptr = WX_NULL) as _wxFontPickerCtrl ptr

_DS(wxFontPickerCtrl_Create)(self as _wxFontPickerCtrl ptr     , _
                             parent  as _wxWindow ptr          , _
                             id      as  wxWindowID   = -1     , _
                             fontArg as _wxFont   ptr = WX_NULL, _
                             x       as  wxInt        = -1     , _
                             y       as  wxInt        = -1     , _
                             w       as  wxInt        = -1     , _
                             h       as  wxInt        = -1     , _
                             style   as  wxUInt       =  0     , _
                             nameArg as _wxString ptr = WX_NULL)


_DF(wxFontPickerCtrl_GetSelectedFont)(self as _wxFontPickerCtrl ptr) as _wxFont ptr

_DS(wxFontPickerCtrl_SetSelectedFont)(self as _wxFontPickerCtrl ptr, font as _wxFont ptr)

_DS(wxFontPickerCtrl_SetMaxPointSize)(self as _wxFontPickerCtrl ptr, maxPointSize as wxInt)

_DF(wxFontPickerCtrl_GetMaxPointSize)(self as _wxFontPickerCtrl ptr) as wxInt

_DF(wxFontPickerEvent_GetFont)(self as _wxFontPickerEvent ptr) as _wxFont ptr

_DS(wxFontPickerEvent_SetFont)(self as _wxFontPickerEvent ptr, font as _wxFont ptr)

' wxPickerBase
_DS(wxPickerBase_SetInternalMargin)(self as _wxPickerBase ptr, margin as wxInt)

_DF(wxPickerBase_GetInternalMargin)(self as _wxPickerBase ptr) as wxInt

_DS(wxPickerBase_SetTextCtrlProportion)(self as _wxPickerBase ptr, prop as wxInt)

_DS(wxPickerBase_SetPickerCtrlProportion)(self as _wxPickerBase ptr, prop as wxInt)

_DF(wxPickerBase_GetTextCtrlProportion)(self as _wxPickerBase ptr) as wxInt

_DF(wxPickerBase_GetPickerCtrlProportion)(self as _wxPickerBase ptr) as wxInt

_DF(wxPickerBase_HasTextCtrl)(self as _wxPickerBase ptr) as wxBool

_DF(wxPickerBase_GetTextCtrl)(self as _wxPickerBase ptr) as _wxTextCtrl ptr

_DF(wxPickerBase_IsTextCtrlGrowable)(self as _wxPickerBase ptr) as wxBool

_DS(wxPickerBase_SetPickerCtrlGrowable)(self as _wxPickerBase ptr, grow as wxBool)

_DS(wxPickerBase_SetTextCtrlGrowable)(self as _wxPickerBase ptr, grow as wxBool)

_DF(wxPickerBase_IsPickerCtrlGrowable)(self as _wxPickerBase ptr) as wxBool

#endif ' __picker_bi__
