#ifndef __printpreview_bi__
#define __printpreview_bi__

#include once "common.bi"

' class wxPrintPreview
_DF(wxPrintPreview_ctor)(printout as _wxPrintout ptr, printouForPrinting as _wxPrintout ptr, dialogdata as _wxPrintDialogData ptr) as _wxPrintPreview ptr

_DF(wxPrintPreview_ctorPrintData)(printout as _wxPrintout ptr, printoutForPrinting as _wxPrintout ptr, pd as _wxPrintData ptr) as _wxPrintPreview ptr

_DF(wxPrintPreview_SetCurrentPage)(self as _wxPrintPreview ptr, page as wxInt) as wxBool

_DF(wxPrintPreview_GetCurrentPage)(self as _wxPrintPreview ptr) as wxInt

_DS(wxPrintPreview_SetPrintout)(self as _wxPrintPreview ptr, printout as _wxPrintout ptr)

_DF(wxPrintPreview_GetPrintout)(self as _wxPrintPreview ptr) as _wxPrintout ptr

_DF(wxPrintPreview_GetPrintoutForPrinting)(self as _wxPrintPreview ptr) as _wxPrintout ptr 

_DS(wxPrintPreview_SetFrame)(self as _wxPrintPreview ptr, frame as _wxFrame ptr)

_DS(wxPrintPreview_SetCanvas)(self as _wxPrintPreview ptr, canvas as _wxPreviewCanvas ptr)

_DF(wxPrintPreview_GetFrame)(self as _wxPrintPreview ptr) as _wxFrame ptr

_DF(wxPrintPreview_GetCanvas)(self as _wxPrintPreview ptr) as _wxWindow ptr

_DF(wxPrintPreview_PaintPage)(self as _wxPrintPreview ptr, canvas as _wxPreviewCanvas ptr, dc as _wxDC ptr) as wxBool

_DF(wxPrintPreview_DrawBlankPage)(self as _wxPrintPreview ptr, canvas as _wxPreviewCanvas ptr, dc as _wxDC ptr) as wxBool

_DF(wxPrintPreview_RenderPage)(self as _wxPrintPreview ptr, page as wxInt) as wxBool

_DF(wxPrintPreview_GetPrintDialogData)(self as _wxPrintPreview ptr) as _wxPrintDialogData ptr

_DS(wxPrintPreview_SetZoom)(self as _wxPrintPreview ptr, percent as wxInt)

_DF(wxPrintPreview_GetZoom)(self as _wxPrintPreview ptr) as wxInt

_DF(wxPrintPreview_GetMaxPage)(self as _wxPrintPreview ptr) as wxInt

_DF(wxPrintPreview_GetMinPage)(self as _wxPrintPreview ptr) as wxInt

_DF(wxPrintPreview_Ok)(self as _wxPrintPreview ptr) as wxBool

_DS(wxPrintPreview_SetOk)(self as _wxPrintPreview ptr, ok as wxBool)

_DF(wxPrintPreview_Print)(self as _wxPrintPreview ptr, interactive as wxBool) as wxBool

_DS(wxPrintPreview_DetermineScaling)(self as _wxPrintPreview ptr)

' class wxPreviewFrame
_DF(wxPreviewFrame_ctor)(preview as _wxPrintPreviewBase ptr, parent as _wxFrame ptr, titleArg as _wxString ptr, x as wxInt, y as wxInt, w as wxInt, h as wxInt, style as wxUInt, nameArg as _wxString ptr) as _wxPreviewFrame ptr

_DS(wxPreviewFrame_Initialize)(self as _wxPreviewFrame ptr)

_DS(wxPreviewFrame_CreateCanvas)(self as _wxPreviewFrame ptr)

_DS(wxPreviewFrame_CreateControlBar)(self as _wxPreviewFrame ptr)


' class wxPreviewCanvas
_DF(wxPreviewCanvas_ctor)(preview as _wxPrintPreviewBase ptr, _
                          parent  as _wxWindow ptr     , _
                          x       as  wxInt        = -1, _
                          y       as  wxInt        = -1, _
                          w       as  wxInt        = -1, _
                          h       as  wxInt        = -1, _
                          style   as  wxUInt       =  0, _
                          nameArg as _wxString ptr = WX_NULL) as _wxPreviewCanvas ptr

#endif ' __printpreview_bi__
