#ifndef __rect_object_bi__
#define __rect_object_bi__

#include once "rect.bi"

' class wxRect
type wxRect
  declare destructor
  declare constructor(other as _wxRect ptr)
  declare constructor(x_ as wxInt, y_ as wxInt, w_ as wxInt, h_ as wxInt)

  declare sub RegisterDisposable(on_dispose as Virtual_Dispose)
  
  declare property x(x_ as wxInt)
  declare property x as wxInt
  
  declare property y(y_ as wxInt)
  declare property y as wxInt
  
  declare property Width(w_ as wxInt)
  declare property Width as wxInt
  
  declare property Height(h_ as wxInt)
  declare property Height as wxInt
  
  private:
  as  wxBool      HasOwner
  as _wxRect ptr  self
end type

destructor wxRect
  if (HasOwner=WX_TRUE) then return
  dprint("wxRect~")
  wxRect_dtor self
end destructor

constructor wxRect(other as _wxRect ptr)
  dprint("wxRect()")
  self=other
  HasOwner=WX_TRUE
end constructor
constructor wxRect(x_ as wxInt, y_ as wxInt, w_ as wxInt, h_ as wxInt)
  dprint("wxRect(" & x_ & "," & y_ & "," & w_ & "," & h_ & ")")
  self=wxRect_ctor(x_,y_,w_,h_)
end constructor

sub wxRect.RegisterDisposable(on_dispose as Virtual_Dispose)
  wxRect_RegisterDisposable self,on_dispose
end sub

property wxRect.x(x_ as wxInt)
  wxRect_setx self,x_
end property
property wxRect.x as wxInt
  return wxRect_getx(self)
end property

property wxRect.y(y_ as wxInt)
  wxRect_sety self,y_
end property
property wxRect.y as wxInt
  return wxRect_gety(self)
end property

property wxRect.Width(w_ as wxInt)
  wxRect_SetWidth self,w_
end property
property wxRect.Width as wxInt
  return wxRect_GetWidth(self)
end property

property wxRect.Height(h_ as wxInt)
  wxRect_SetHeight self,h_
end property
property wxRect.Height as wxInt
  return wxRect_GetHeight(self)
end property

#endif ' __rect_object_bi__
