#ifndef __spinbutton_bi__
#define __spinbutton_bi__

#include once "common.bi"

' class wxSpinButton
_DF(wxSpinButton_ctor)() as _wxSpinButton ptr

_DF(wxSpinButton_Create)(self    as _wxSpinButton ptr, _
                         parent  as _wxWindow     ptr, _
                         id      as  wxWindowID       = -1, _
                         x       as  wxInt            = -1, _
                         y       as  wxInt            = -1, _
                         w       as  wxInt            = -1, _
                         h       as  wxInt            = -1, _
                         style   as  wxUInt           =  0, _
                         nameArg as _wxString     ptr = WX_NULL) as wxBool

_DF(wxSpinButton_GetValue)(self as _wxSpinButton ptr) as wxInt

_DF(wxSpinButton_GetMin)(self as _wxSpinButton ptr) as wxInt

_DF(wxSpinButton_GetMax)(self as _wxSpinButton ptr) as wxInt

_DS(wxSpinButton_SetValue)(self as _wxSpinButton ptr, value as wxInt)

_DS(wxSpinButton_SetRange)(self as _wxSpinButton ptr, minVal as wxInt, maxVal as wxInt)

' class wxSpinEvent
_DF(wxSpinEvent_ctor)(typ as wxEventType, id as wxInt) as _wxSpinEvent ptr

_DF(wxSpinEvent_GetPosition)(self as _wxSpinEvent ptr) as wxInt

_DS(wxSpinEvent_SetPosition)(self as _wxSpinEvent ptr, ipos as wxInt)

_DS(wxSpinEvent_Veto)(self as _wxSpinEvent ptr)

_DS(wxSpinEvent_Allow)(self as _wxSpinEvent ptr)

_DF(wxSpinEvent_IsAllowed)(self as _wxSpinEvent ptr) as wxBool

#endif ' __spinbutton_bi__
