#ifndef __splitterwindow_bi__
#define __splitterwindow_bi__

#include once "common.bi"

type Virtual_OnDoubleClickSash    as sub      APICALL (x as wxInt, y as wxInt)
type Virtual_OnUnsplit            as sub      APICALL (win as _wxWindow ptr)
type Virtual_OnSashPositionChange as function APICALL (as wxInt) as wxBool

_DF(wxSplitWnd_ctor)                (parent  as _wxWindow ptr, _
                                     id      as  wxWindowID   = -1, _
                                     x       as  wxInt        = -1, _
                                     y       as  wxInt        = -1, _
                                     w       as  wxInt        = -1, _
                                     h       as  wxInt        = -1, _
                                     style   as  wxUInt       =  0, _
                                     nameArg as _wxString ptr = WX_NULL) as _wxSplitterWindow ptr

_DS(wxSplitWnd_RegisterVirtual)     (self as _wxSplitterWindow ptr, on_doubleclicksash as Virtual_OnDoubleClickSash, on_unsplit as Virtual_OnUnsplit, on_sashpositionchange as Virtual_OnSashPositionChange)

_DS(wxSplitWnd_OnDoubleClickSash)   (self as _wxSplitterWindow ptr, x as wxInt, y as wxInt)

_DS(wxSplitWnd_OnUnsplit)           (self as _wxSplitterWindow ptr, removed as _wxWindow ptr)

_DF(wxSplitWnd_OnSashPositionChange)(self as _wxSplitterWindow ptr,  newSashPosition as wxInt) as wxBool

_DF(wxSplitWnd_GetSplitMode)        (self as _wxSplitterWindow ptr) as wxInt

_DF(wxSplitWnd_IsSplit)             (self as _wxSplitterWindow ptr) as wxBool

_DF(wxSplitWnd_SplitHorizontally)   (self as _wxSplitterWindow ptr, win1 as _wxWindow ptr, win2 as _wxWindow ptr, sashPosition as wxInt) as wxBool

_DF(wxSplitWnd_SplitVertically)     (self as _wxSplitterWindow ptr, win1 as _wxWindow ptr, win2 as _wxWindow ptr, sashPosition as wxInt) as wxBool

_DF(wxSplitWnd_Unsplit)             (self as _wxSplitterWindow ptr, toRemove as _wxWindow ptr) as wxBool

_DS(wxSplitWnd_SetSashPosition)     (self as _wxSplitterWindow ptr, position as wxInt, redraw as wxBool)

_DF(wxSplitWnd_GetSashPosition)     (self as _wxSplitterWindow ptr) as wxInt

_DF(wxSplitWnd_GetMinimumPaneSize)  (self as _wxSplitterWindow ptr) as wxInt

_DF(wxSplitWnd_GetWindow1)          (self as _wxSplitterWindow ptr) as _wxWindow ptr

_DF(wxSplitWnd_GetWindow2)          (self as _wxSplitterWindow ptr) as _wxWindow ptr

_DS(wxSplitWnd_Initialize)          (self as _wxSplitterWindow ptr, win as _wxWindow ptr)

_DF(wxSplitWnd_ReplaceWindow)       (self as _wxSplitterWindow ptr, winOld as _wxWindow ptr, winNew as _wxWindow ptr) as wxBool

_DS(wxSplitWnd_SetMinimumPaneSize)  (self as _wxSplitterWindow ptr, paneSize as wxInt)

_DS(wxSplitWnd_SetSplitMode)        (self as _wxSplitterWindow ptr, mode as wxInt)

_DS(wxSplitWnd_UpdateSize)          (self as _wxSplitterWindow ptr)

_DS(wxSplitWnd_SetSashGravity)      (self as _wxSplitterWindow ptr, gravity as wxDouble)

_DF(wxSplitWnd_GetSashGravity)      (self as _wxSplitterWindow ptr) as wxDouble

#endif ' __splitterwindow_bi__
