#ifndef __treectrl_bi__
#define __treectrl_bi__

#include once "common.bi"

type Virtual_OnCompareItems as function APICALL (ti1 as _wxTreeItemId ptr,t21 as _wxTreeItemId ptr) as wxInt

' class wxTreeCtrl
_DF(wxTreeCtrl_ctor)() as _wxTreeCtrl ptr

_DF(wxTreeCtrl_Create)(self      as _wxTreeCtrl ptr, _
                       parent    as _wxWindow   ptr, _
                       id        as  wxInt      = -1, _
                       x         as  wxInt      = -1, _
                       y         as  wxInt      = -1, _
                       w         as  wxInt      = -1, _
                       h         as  wxInt      = -1, _
                       style     as  wxUInt     =  0, _
                       validator as _wxValidator ptr = WX_NULL, _
                       nameArg   as _wxString    ptr = WX_NULL) as wxBool

_DS(wxTreeCtrl_RegisterVirtual)(self as _wxTreeCtrl ptr, on_CompareItems as Virtual_OnCompareItems)

_DF(wxTreeCtrl_OnCompareItems)(self as _wxTreeCtrl ptr, item1 as _wxTreeItemId ptr, item2 as _wxTreeItemId ptr) as wxInt

_DS(wxTreeCtrl_SortChildren)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr)

_DF(wxTreeCtrl_AddRoot)(self as _wxTreeCtrl ptr, txt as _wxString ptr , image as wxInt, selectImage as wxInt, itemData as _wxTreeItemData ptr) as _wxTreeItemId ptr

_DF(wxTreeCtrl_AppendItem)(self as _wxTreeCtrl ptr, parent as _wxTreeItemId ptr, txt as _wxString ptr , image as wxInt, selectImage as wxInt, itemData as _wxTreeItemData ptr) as _wxTreeItemId ptr

_DS(wxTreeCtrl_AssignImageList)(self as _wxTreeCtrl ptr, imgList as _wxImageList ptr)

_DS(wxTreeCtrl_AssignStateImageList)(self as _wxTreeCtrl ptr, imgList as _wxImageList ptr)

_DF(wxTreeCtrl_GetDefaultStyle)() as wxInt

_DF(wxTreeCtrl_GetIndent)(self as _wxTreeCtrl ptr) as wxUInt

_DS(wxTreeCtrl_SetIndent)(self as _wxTreeCtrl ptr, indent as wxUInt)

_DF(wxTreeCtrl_GetSpacing)(self as _wxTreeCtrl ptr) as wxUInt

_DS(wxTreeCtrl_SetSpacing)(self as _wxTreeCtrl ptr, indent as wxUInt)

_DF(wxTreeCtrl_GetStateImageList)(self as _wxTreeCtrl ptr) as _wxImageList ptr

_DS(wxTreeCtrl_SetStateImageList)(self as _wxTreeCtrl ptr, imgList as _wxImageList ptr)

_DF(wxTreeCtrl_GetImageList)(self as _wxTreeCtrl ptr) as _wxImageList ptr

_DS(wxTreeCtrl_SetImageList)(self as _wxTreeCtrl ptr, imgList as _wxImageList ptr)

_DS(wxTreeCtrl_SetItemImage)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr, image as wxInt, which as _wxTreeItemIcon ptr)

_DF(wxTreeCtrl_GetItemImage)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr, which as _wxTreeItemIcon ptr) as wxInt

_DS(wxTreeCtrl_DeleteAllItems)(self as _wxTreeCtrl ptr)

_DS(wxTreeCtrl_DeleteChildren)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr)

_DS(wxTreeCtrl_Delete)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr)

_DS(wxTreeCtrl_Unselect)(self as _wxTreeCtrl ptr)

_DS(wxTreeCtrl_UnselectAll)(self as _wxTreeCtrl ptr)

_DS(wxTreeCtrl_SelectItem)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr)

_DF(wxTreeCtrl_GetSelection)(self as _wxTreeCtrl ptr) as _wxTreeItemId ptr

_DF(wxTreeCtrl_IsSelected)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr) as wxBool

_DF(wxTreeCtrl_GetSelections)(self as _wxTreeCtrl ptr) as _wxArrayTreeItemIds ptr

_DS(wxTreeCtrl_SetItemText)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr, txt as _wxString ptr )

_DF(wxTreeCtrl_GetItemText)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr) as _wxString ptr

_DS(wxTreeCtrl_SetItemData)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr, itemData as _wxTreeItemData ptr)

_DF(wxTreeCtrl_GetItemData)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr) as _wxTreeItemData ptr

_DS(wxTreeCtrl_SetItemHasChildren)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr, has as wxBool)

_DF(wxTreeCtrl_HitTest)(self as _wxTreeCtrl ptr, pt as _wxPoint ptr, pFlags as wxInt ptr) as _wxTreeItemId ptr

_DF(wxTreeCtrl_GetItemParent)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr) as _wxTreeItemId ptr

_DF(wxTreeCtrl_GetMyCookie)(self as _wxTreeCtrl ptr) as any ptr

_DS(wxTreeCtrl_SetMyCookie)(self as _wxTreeCtrl ptr, newval as any ptr)

_DF(wxTreeCtrl_GetFirstChild)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr) as _wxTreeItemId ptr

_DF(wxTreeCtrl_GetNextChild)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr) as _wxTreeItemId ptr

_DF(wxTreeCtrl_GetLastChild)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr) as _wxTreeItemId ptr

_DF(wxTreeCtrl_GetNextSibling)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr) as _wxTreeItemId ptr

_DF(wxTreeCtrl_GetPrevSibling)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr) as _wxTreeItemId ptr

_DF(wxTreeCtrl_GetFirstVisibleItem)(self as _wxTreeCtrl ptr) as _wxTreeItemId ptr

_DF(wxTreeCtrl_GetNextVisible)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr) as _wxTreeItemId ptr

_DF(wxTreeCtrl_GetPrevVisible)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr) as _wxTreeItemId ptr

_DF(wxTreeCtrl_PrependItem)(self as _wxTreeCtrl ptr, parent as _wxTreeItemId ptr, txt as _wxString ptr , image as wxInt, selectedImage as wxInt, itemData as _wxTreeItemData ptr) as _wxTreeItemId ptr

_DF(wxTreeCtrl_InsertItem)(self as _wxTreeCtrl ptr, parent as _wxTreeItemId ptr, prevItem as _wxTreeItemId ptr, txt as _wxString ptr , image as wxInt, selectedImage as wxInt, itemData as _wxTreeItemData ptr) as _wxTreeItemId ptr

_DF(wxTreeCtrl_InsertItem2)(self as _wxTreeCtrl ptr, parent as _wxTreeItemId ptr, before as size_t , txt as _wxString ptr , image as wxInt, selectedImage as wxInt, itemData as _wxTreeItemData ptr) as _wxTreeItemId ptr

_DS(wxTreeCtrl_Expand)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr)

_DS(wxTreeCtrl_Collapse)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr)

_DS(wxTreeCtrl_CollapseAndReset)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr)

_DS(wxTreeCtrl_Toggle)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr)

_DS(wxTreeCtrl_EnsureVisible)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr)

_DS(wxTreeCtrl_ScrollTo)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr)

_DF(wxTreeCtrl_GetChildrenCount)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr, recursively as wxBool) as wxInt

_DF(wxTreeCtrl_GetCount)(self as _wxTreeCtrl ptr) as wxInt

_DF(wxTreeCtrl_IsVisible)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr) as wxBool

_DF(wxTreeCtrl_ItemHasChildren)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr) as wxBool

_DF(wxTreeCtrl_IsExpanded)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr) as wxBool

_DF(wxTreeCtrl_GetRootItem)(self as _wxTreeCtrl ptr) as _wxTreeItemId ptr

_DF(wxTreeCtrl_GetItemTextColour)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr) as _wxColour ptr

_DF(wxTreeCtrl_GetItemBackgroundColour)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr) as _wxColour ptr

_DF(wxTreeCtrl_GetItemFont)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr) as _wxFont ptr

_DS(wxTreeCtrl_SetItemBold)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr, bols as wxBool)

_DS(wxTreeCtrl_SetItemTextColour)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr, col as _wxColour ptr)

_DS(wxTreeCtrl_SetItemBackgroundColour)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr, col as _wxColour ptr)

_DS(wxTreeCtrl_SetItemFont)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr, font as _wxFont ptr)

_DS(wxTreeCtrl_EditLabel)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr)

_DF(wxTreeCtrl_GetBoundingRect)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr, r as _wxRect ptr, txtOnly as wxBool) as wxBool

_DF(wxTreeCtrl_IsBold)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr) as wxBool

_DS(wxTreeCtrl_SetItemSelectedImage)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr, selectImage as wxInt)

_DS(wxTreeCtrl_ToggleItemSelection)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr)

_DS(wxTreeCtrl_UnselectItem)(self as _wxTreeCtrl ptr, item as _wxTreeItemId ptr)


' class wxTreeItemId
_DF(wxTreeItemId_ctor)() as _wxTreeItemId ptr

_DF(wxTreeItemId_ctor2)(pItem as any ptr) as _wxTreeItemId ptr

_DS(wxTreeItemId_dtor)(self as _wxTreeItemId ptr)

_DS(wxTreeItemId_RegisterDisposable)(self as _wxTreeItemId ptr, on_Dispose as Virtual_Dispose)

_DF(wxTreeItemId_Equal)(item1 as _wxTreeItemId ptr, item2 as _wxTreeItemId ptr) as wxBool

_DF(wxTreeItemId_IsOk)(self as _wxTreeItemId ptr) as wxBool

_DF(wxTreeItemId_AsLong)(self as _wxTreeItemId ptr) as size_t


' class wxTreeEvent
_DF(wxTreeEvent_ctor)(typ as wxEventType, id as wxInt) as _wxTreeEvent ptr

_DF(wxTreeEvent_GetItem)(self as _wxTreeEvent ptr) as _wxTreeItemId ptr

_DS(wxTreeEvent_SetItem)(self as _wxTreeEvent ptr, item as _wxTreeItemId ptr)

_DF(wxTreeEvent_GetOldItem)(self as _wxTreeEvent ptr) as _wxTreeItemId ptr

_DS(wxTreeEvent_SetOldItem)(self as _wxTreeEvent ptr, item as _wxTreeItemId ptr)

_DS(wxTreeEvent_GetPoint)(self as _wxTreeEvent ptr, pt as _wxPoint ptr)

_DS(wxTreeEvent_SetPoint)(self as _wxTreeEvent ptr, pt as _wxPoint ptr)

_DF(wxTreeEvent_GetKeyEvent)(self as _wxTreeEvent ptr) as _wxKeyEvent ptr

_DF(wxTreeEvent_GetKeyCode)(self as _wxTreeEvent ptr) as wxInt

_DS(wxTreeEvent_SetKeyEvent)(self as _wxTreeEvent ptr, event as _wxKeyEvent ptr)

_DF(wxTreeEvent_GetLabel)(self as _wxTreeEvent ptr) as _wxString ptr

_DS(wxTreeEvent_SetLabel)(self as _wxTreeEvent ptr, label as _wxString ptr)

_DF(wxTreeEvent_IsEditCancelled)(self as _wxTreeEvent ptr) as wxBool

_DS(wxTreeEvent_SetEditCanceled)(self as _wxTreeEvent ptr, editCancelled as wxBool)

_DS(wxTreeEvent_Veto)( self as _wxTreeEvent ptr)

_DS(wxTreeEvent_Allow)( self as _wxTreeEvent ptr)

_DF(wxTreeEvent_IsAllowed)( self as _wxTreeEvent ptr) as wxBool

_DS(wxTreeEvent_SetToolTip)(self as _wxTreeEvent ptr, toolTip as _wxString ptr)


'class wxTreeItemData
_DF(wxTreeItemData_ctor)() as _wxTreeItemData ptr

_DS(wxTreeItemData_dtor)(self as _wxTreeItemData ptr)

_DS(wxTreeItemData_RegisterDisposable)(self as _wxTreeItemData ptr, on_Dispose as Virtual_Dispose)

_DF(wxTreeItemData_GetId)(self as _wxTreeItemData ptr) as _wxTreeItemId ptr

_DS(wxTreeItemData_SetId)(self as _wxTreeItemData ptr, param as _wxTreeItemId ptr)


' class wxTreeItemAttr
_DF(wxTreeItemAttr_ctor)() as _wxTreeItemAttr ptr

_DF(wxTreeItemAttr_ctor2)(colTxt as _wxColour ptr, bg as _wxColour ptr, font as _wxFont ptr) as _wxTreeItemAttr ptr

_DS(wxTreeItemAttr_dtor)(self as _wxTreeItemAttr ptr)

_DS(wxTreeItemAttr_RegisterDisposable)(self as _wxTreeItemAttr ptr,on_Dispose as Virtual_Dispose)

_DS(wxTreeItemAttr_SetTextColour)(self as _wxTreeItemAttr ptr, colTxt as _wxColour ptr)

_DS(wxTreeItemAttr_SetBackgroundColour)(self as _wxTreeItemAttr ptr, bg as _wxColour ptr)

_DS(wxTreeItemAttr_SetFont)(self as _wxTreeItemAttr ptr, font as _wxFont ptr)

_DF(wxTreeItemAttr_HasTextColour)(self as _wxTreeItemAttr ptr) as wxBool

_DF(wxTreeItemAttr_HasBackgroundColour)(self as _wxTreeItemAttr ptr) as wxBool

_DF(wxTreeItemAttr_HasFont)(self as _wxTreeItemAttr ptr) as wxBool

_DF(wxTreeItemAttr_GetTextColour)(self as _wxTreeItemAttr ptr) as _wxColour ptr

_DF(wxTreeItemAttr_GetBackgroundColour)(self as _wxTreeItemAttr ptr)as _wxColour ptr

_DF(wxTreeItemAttr_GetFont)(self as _wxTreeItemAttr ptr)as _wxFont ptr


' class wxArrayTreeItemIds
_DF(wxArrayTreeItemIds_ctor)() as _wxArrayTreeItemIds ptr

_DS(wxArrayTreeItemIds_dtor)(self as _wxArrayTreeItemIds ptr)

_DS(wxArrayTreeItemIds_RegisterDisposable)(self as _wxArrayTreeItemIds ptr, on_Dispose as Virtual_Dispose)

_DS(wxArrayTreeItemIds_Add)(self as _wxArrayTreeItemIds ptr, addID as _wxTreeItemId ptr)

_DF(wxArrayTreeItemIds_Item)(self as _wxArrayTreeItemIds ptr, num as size_t) as _wxTreeItemId ptr

_DF(wxArrayTreeItemIds_GetCount)(self as _wxArrayTreeItemIds ptr) as wxInt


#endif ' __treectrl_bi__
