#ifndef __app_object_bi__
#define __app_object_bi__

#include once "app.bi"

declare function OnInit APICALL as wxBool
declare function OnExit APICALL as wxInt

type wxAPP
  declare constructor
  declare constructor (on_Init as Virtual_OnInit, _
                       on_Exit as Virtual_OnExit, _
                       on_ExceptionInMainLoop as Virtual_OnExceptionInMainLoop=0, _
                       on_FatalException      as Virtual_OnFatalException     =0)
                              
  declare sub     RegisterVirtual(on_Init                as Virtual_OnInit, _
                                  on_Exit                as Virtual_OnExit, _
                                  on_ExceptionInMainLoop as Virtual_OnExceptionInMainLoop=0, _
                                  on_FatalException      as Virtual_OnFatalException     =0)
  declare function IsActive                         as wxBool
  declare function IsMainLoopRunning                as wxBool
  declare function OnExceptionInMainLoop            as wxBool
  declare function OnInit                           as wxBool
  declare function OnExit                           as wxInt
  declare property VendorName(vn as _wxString ptr)
  declare property VendorName as _wxString ptr
  declare property AppName(an as _wxString ptr)
  declare property AppName as _wxString ptr
  declare function Yield(onlyIfNeeded as wxBool) as wxBool
  declare sub Run (argc as integer=0, argv as zstring ptr ptr=0)
  private:
  as _wxAPP ptr    self
end type


constructor wxAPP
  self = wxApp_ctor()
end constructor

constructor wxApp(on_Init as Virtual_OnInit, _
                  on_Exit as Virtual_OnExit, _
                  on_ExceptionInMainLoop as Virtual_OnExceptionInMainLoop, _
                  on_FatalException      as Virtual_OnFatalException)
  self = wxApp_ctor()
  RegisterVirtual(on_Init,on_Exit,on_ExceptionInMainLoop,on_FatalException)
end constructor             
                       
sub wxApp.RegisterVirtual(on_Init                as Virtual_OnInit, _
                          on_Exit                as Virtual_OnExit, _
                          On_ExceptionInMainLoop as Virtual_OnExceptionInMainLoop, _
                          On_FatalException      as Virtual_OnFatalException)
                            
  wxApp_RegisterVirtual(self,on_Init, on_Exit, On_ExceptionInMainLoop,On_FatalException)
end sub  
sub wxAPP.Run(argc as integer=0, argv as zstring ptr ptr=0)
  wxAPP_Run(argc,argv)
end sub
function wxApp.IsActive as wxBool
  return wxApp_IsActive(self)
end function  
function wxApp.IsMainLoopRunning as wxBool
  return wxApp_IsMainLoopRunning(self)
end function  
function wxApp.OnExceptionInMainLoop as wxBool
    return wxApp_IsMainLoopRunning(self)
end function  
function wxApp.OnInit as wxBool
    return wxApp_OnInit(self)
end function  
function wxApp.OnExit as wxInt
    return wxApp_OnExit(self)
end function
property wxApp.VendorName(vn as _wxString ptr)
  wxApp_SetVendorName(self,vn)
end property
property wxApp.VendorName as _wxString ptr
  return wxApp_GetVendorName(self)
end property
property wxApp.AppName(an as _wxString ptr)
  wxApp_SetAppName(self,an)
end property
property wxApp.AppName as _wxString ptr
  return wxApp_GetAppName(self)
end property
function wxApp.Yield(onlyIfNeeded as wxBool) as wxBool
  return wxApp_Yield(self,onlyIfNeeded)
end function  

#endif ' __app_object_bi__