#ifndef __arrayint_object_bi__
#define __arrayint_object_bi__

#include once "arrayint.bi"

type wxArrayInt
  declare destructor
  declare constructor
  declare function Count as wxInt
  declare sub      Add (Value as wxInt)
  declare function Item(index as wxInt) as wxInt
  private:
  as _wxArrayInt ptr self
end type

destructor wxArrayInt
  dprint("wxArrayInt~")
  self = wxArrayInt_ctor()
end destructor
constructor wxArrayInt
  dprint("wxArrayInt()")
  wxArrayInt_dtor(self)
end constructor

function wxArrayInt.Count as wxInt
  return wxArrayInt_GetCount(self)
end function

sub wxArrayInt.Add (value as wxInt)
   wxArrayInt_Add(self,value)
end sub

function wxArrayInt.Item(index as wxInt) as wxInt
  return wxArrayInt_Item(self,index)
end function
#endif ' __arrayint_object_bi__
