#ifndef __calendarctrl_bi__
#define __calendarctrl_bi__

#include once "common.bi"

_DF(wxCalendarCtrl_ctor) as _wxCalendarCtrl ptr

_DF(wxCalendarCtrl_Create)(self    as _wxCalendarCtrl ptr     , _
                           parent  as _wxWindow       ptr     , _
                           id      as  wxWindowID         = -1, _
                           pDate   as _wxDateTime     ptr     , _
                           x       as  wxInt              = -1, _
                           y       as  wxInt              = -1, _
                           w       as  wxInt              = -1, _
                           h       as  wxInt              = -1, _
                           style   as  wxUInt             =  0, _
                           nameArg as _wxString       ptr = WX_NULL) as wxBool

_DF(wxCalendarCtrl_SetDate)(self as _wxCalendarCtrl ptr, pDate as _wxDateTime ptr) as wxBool

_DF(wxCalendarCtrl_GetDate)(self as _wxCalendarCtrl ptr) as _wxDatetime ptr

_DF(wxCalendarCtrl_SetLowerDateLimit)(self as _wxCalendarCtrl ptr, pDate as _wxDateTime ptr) as wxBool

_DF(wxCalendarCtrl_GetLowerDateLimit)(self as _wxCalendarCtrl ptr) as _wxDatetime ptr

_DF(wxCalendarCtrl_SetUpperDateLimit)(self as _wxCalendarCtrl ptr, pDate as _wxDateTime ptr) as wxBool

_DF(wxCalendarCtrl_GetUpperDateLimit)(self as _wxCalendarCtrl ptr) as _wxDatetime ptr

_DF(wxCalendarCtrl_SetDateRange)(self as _wxCalendarCtrl ptr, lowerDate as _wxDateTime ptr, upperDate as _wxDateTime ptr) as wxBool

_DS(wxCalendarCtrl_EnableYearChange)(self as _wxCalendarCtrl ptr, enable as wxBool)

_DS(wxCalendarCtrl_EnableMonthChange)(self as _wxCalendarCtrl ptr, enable as wxBool)

_DS(wxCalendarCtrl_EnableHolidayDisplay)(self as _wxCalendarCtrl ptr, hdDisplay as wxBool)

_DS(wxCalendarCtrl_SetHeaderColours)(self as _wxCalendarCtrl ptr, fg as _wxColour ptr, bg as _wxColour ptr)

_DF(wxCalendarCtrl_GetHeaderColourFg)(self as _wxCalendarCtrl ptr) as _wxColour ptr

_DF(wxCalendarCtrl_GetHeaderColourBg)(self as _wxCalendarCtrl ptr) as _wxColour ptr

_DS(wxCalendarCtrl_SetHighlightColours)(self as _wxCalendarCtrl ptr, fg as _wxColour ptr, bg as _wxColour ptr)

_DF(wxCalendarCtrl_GetHighlightColourFg)(self as _wxCalendarCtrl ptr) as _wxColour ptr

_DF(wxCalendarCtrl_GetHighlightColourBg)(self as _wxCalendarCtrl ptr) as _wxColour ptr

_DS(wxCalendarCtrl_SetHolidayColours)(self as _wxCalendarCtrl ptr, fg as _wxColour ptr, bg as _wxColour ptr)

_DF(wxCalendarCtrl_GetHolidayColourFg)(self as _wxCalendarCtrl ptr) as _wxColour ptr

_DF(wxCalendarCtrl_GetHolidayColourBg)(self as _wxCalendarCtrl ptr) as _wxColour ptr

_DF(wxCalendarCtrl_GetAttr)(self as _wxCalendarCtrl ptr,iDay as wxInt) as _wxCalendarDateAttr ptr

_DS(wxCalendarCtrl_SetAttr)(self as _wxCalendarCtrl ptr,iDay as wxInt, attr  as _wxCalendarDateAttr ptr)

_DS(wxCalendarCtrl_SetHoliday)(self as _wxCalendarCtrl ptr,iDay as wxInt)

_DS(wxCalendarCtrl_ResetAttr)(self as _wxCalendarCtrl ptr,iDay as wxInt)

_DF(wxCalendarCtrl_HitTest)(self as _wxCalendarCtrl ptr, x as wxInt, y as wxInt, pDate as _wxDateTime ptr, pWeekDay as wxWeekDay ptr) as wxCalendarHitTestResult

_DF(wxCalendarDateAttr_ctor)() as _wxCalendarDateAttr ptr

_DF(wxCalendarDateAttr_ctor2)(colText as _wxColour ptr, colBack as _wxColour ptr, colBorder as _wxColour ptr, fontArg as _wxFont ptr, border as wxCalendarDateBorder) as _wxCalendarDateAttr ptr

_DF(wxCalendarDateAttr_ctor3)(border as wxCalendarDateBorder,colBorder as _wxColour ptr) as _wxCalendarDateAttr ptr

_DS(wxCalendarDateAttr_SetTextColour)(self as _wxCalendarDateAttr ptr, colText as _wxColour ptr)

_DS(wxCalendarDateAttr_SetBackgroundColour)(self as _wxCalendarDateAttr ptr, colBack as _wxColour ptr)

_DS(wxCalendarDateAttr_SetBorderColour)(self as _wxCalendarDateAttr ptr, col as _wxColour ptr)

_DS(wxCalendarDateAttr_SetFont)(self as _wxCalendarDateAttr ptr, font as _wxFont ptr)

_DS(wxCalendarDateAttr_SetBorder)(self as _wxCalendarDateAttr ptr, border as wxCalendarDateBorder)

_DS(wxCalendarDateAttr_SetHoliday)(self as _wxCalendarDateAttr ptr, hd as wxBool)

_DF(wxCalendarDateAttr_HasTextColour)(self as _wxCalendarDateAttr ptr) as wxBool

_DF(wxCalendarDateAttr_HasBackgroundColour)(self as _wxCalendarDateAttr ptr) as wxBool

_DF(wxCalendarDateAttr_HasBorderColour)(self as _wxCalendarDateAttr ptr) as wxBool

_DF(wxCalendarDateAttr_HasFont)(self as _wxCalendarDateAttr ptr) as wxBool

_DF(wxCalendarDateAttr_HasBorder)(self as _wxCalendarDateAttr ptr) as wxBool

_DF(wxCalendarDateAttr_IsHoliday)(self as _wxCalendarDateAttr ptr) as wxBool

_DF(wxCalendarDateAttr_GetTextColour)(self as _wxCalendarDateAttr ptr) as _wxColour ptr

_DF(wxCalendarDateAttr_GetBackgroundColour)(self as _wxCalendarDateAttr ptr) as _wxColour ptr

_DF(wxCalendarDateAttr_GetBorderColour)(self as _wxCalendarDateAttr ptr) as _wxColour ptr

_DF(wxCalendarDateAttr_GetFont)(self as _wxCalendarDateAttr ptr) as _wxFont ptr

_DF(wxCalendarDateAttr_GetBorder)(self as _wxCalendarDateAttr ptr) as wxCalendarDateBorder

_DF(wxDateEvent_GetDate)(self as _wxDateEvent ptr) as _wxDatetime ptr

_DF(wxCalendarEvent_ctor)(self as _wxCalendarCtrl ptr, typ as wxEventType) as _wxCalendarEvent ptr

_DF(GetWeekDay)(self as _wxCalendarEvent ptr) as wxWeekDay

#endif ' __calendarctrl_bi__
