#ifndef __choicedialog_bi__
#define __choicedialog_bi__

#include once "common.bi"

' class wxSingleChoiceDialog
_DF(wxSingleChoiceDialog_ctor)(parent     as _wxWindow      ptr, _
                               messageArg as _wxString      ptr, _
                               captionArg as _wxString      ptr, _
                               pChoices   as _wxArrayString ptr, _
                               clientData as any        ptr ptr, _
                               style      as  wxUInt           , _
                               x          as  wxInt            , _
                               y          as  wxInt) as _wxSingleChoiceDialog ptr

_DS(wxSingleChoiceDialog_dtor)(self as _wxSingleChoiceDialog ptr)

_DS(wxSingleChoiceDialog_SetSelection)(self as _wxSingleChoiceDialog ptr, sel as wxInt)

_DF(wxSingleChoiceDialog_GetSelection)(self as _wxSingleChoiceDialog ptr) as wxInt

_DF(wxSingleChoiceDialog_GetStringSelection)(self as _wxSingleChoiceDialog ptr) as _wxString ptr

_DF(wxSingleChoiceDialog_GetSelectionClientData)(self as _wxSingleChoiceDialog ptr) as any ptr

' class wxMultiChoiceDialog
_DF(wxMultiChoiceDialog_ctor)(parent     as _wxWindow      ptr, _
                              messageArg as _wxString      ptr, _
                              captionArg as _wxString      ptr, _
                              pChoices   as _wxArrayString ptr, _
                              style      as  wxInt            , _
                              x          as  wxInt            , _
                              y          as  wxInt) as _wxMultiChoiceDialog ptr

_DS(wxMultiChoiceDialog_dtor)(self as _wxMultiChoiceDialog ptr)

_DS(wxMultiChoiceDialog_SetSelections)(self as _wxMultiChoiceDialog ptr, sel as wxInt ptr, numsel as wxInt)

_DF(wxMultiChoiceDialog_GetSelections)(self as _wxMultiChoiceDialog ptr) as _wxArrayInt ptr

_DF(wxGetSingleChoice_func)     (messageArg as _wxString      ptr, _
                                 captionArg as _wxString      ptr, _
                                 pChoices   as _wxArrayString ptr, _
                                 parent     as _wxWindow      ptr, _
                                 x          as  wxInt            , _
                                 y          as  wxInt            , _
                                 center     as  wxBool           , _
                                 w          as  wxInt            , _
                                 h          as  wxInt) as _wxString ptr

_DF(wxGetSingleChoiceIndex_func)(messageArg as _wxString      ptr, _
                                 captionArg as _wxString      ptr, _
                                 pChoices   as _wxArrayString ptr, _
                                 parent     as _wxWindow      ptr, _
                                 x          as  wxInt            , _
                                 y          as  wxInt            , _
                                 center     as  wxBool           , _
                                 w          as  wxInt            , _
                                 h          as  wxInt) as wxInt


#endif ' __choicedialog_bi__
