#ifndef __dc_object_bi__
#define __dc_object_bi__

#include once "pen.bi"
#include once "brush.bi"
#include once "colour.bi"
#include once "bitmap.bi"
#include once "font.bi"
#include once "dc.bi"
#include once "memorydc.bi"

' class wxDC
#if 0
_DS(wxDC_dtor)(self as _wxDC ptr)

_DF(wxDC_Ok)(self as _wxDC ptr) as wxBool

_DS(wxDC_SetBrush)(self as _wxDC ptr, brush as _wxBrush ptr)
_DF(wxDC_GetBrush)(self as _wxDC ptr) as _wxBrush ptr

_DS(wxDC_SetPen)(self as _wxDC ptr, pen as _wxPen ptr)
_DF(wxDC_GetPen)(self as _wxDC ptr) as _wxPen ptr

_DS(wxDC_SetBackground)(self as _wxDC ptr, brush as _wxBrush ptr)
_DF(wxDC_GetBackground)(self as _wxDC ptr) as _wxBrush ptr

_DS(wxDC_SetTextForeground)(self as _wxDC ptr, col as _wxColour ptr)
_DF(wxDC_GetTextForeground)(self as _wxDC ptr) as _wxColour ptr

_DS(wxDC_SetTextBackground)(self as _wxDC ptr, col as _wxColour ptr)
_DF(wxDC_GetTextBackground)(self as _wxDC ptr) as _wxColour ptr

_DS(wxDC_SetFont)(self as _wxDC ptr, font as _wxFont ptr)
_DF(wxDC_GetFont)(self as _wxDC ptr) as _wxFont ptr

_DS(wxDC_SetBackgroundMode)(self as _wxDC ptr, mode as wxBackgroundMode)
_DF(wxDC_GetBackgroundMode)(self as _wxDC ptr) as wxBackgroundMode

_DS(wxDC_SetMapMode)(self as _wxDC ptr, mode as wxMappingMode)
_DF(wxDC_GetMapMode)(self as _wxDC ptr) as wxMappingMode

_DS(wxDC_SetUserScale)(self as _wxDC ptr, x as wxDouble, y as wxDouble)
_DS(wxDC_GetUserScale)(self as _wxDC ptr, x as wxDouble ptr, y as wxDouble ptr)

_DS(wxDC_SetLogicalScale)(self as _wxDC ptr, x as wxDouble, y as wxDouble)
_DS(wxDC_GetLogicalScale)(self as _wxDC ptr, x as wxDouble ptr, y as wxDouble ptr)

_DS(wxDC_SetLogicalOrigin)(self as _wxDC ptr, x as wxInt, y as wxInt)
_DS(wxDC_GetLogicalOrigin)(self as _wxDC ptr, x as wxInt ptr, y as wxInt ptr)
_DS(wxDC_GetLogicalOrigin2)(self as _wxDC ptr, p as _wxPoint ptr)

_DS(wxDC_SetDeviceOrigin)(self as _wxDC ptr, x as wxInt, y as wxInt)
_DS(wxDC_GetDeviceOrigin)(self as _wxDC ptr, x as wxInt ptr, y as wxInt ptr)
_DS(wxDC_GetDeviceOrigin2)(self as _wxDC ptr, p as _wxPoint ptr)

_DS(wxDC_SetLogicalFunction)(self as _wxDC ptr, func as wxRASTEROPS)
_DF(wxDC_GetLogicalFunction)(self as _wxDC ptr) as wxRASTEROPS

_DS(wxDC_GetSize)(self as _wxDC ptr, w as wxInt ptr, h as wxInt ptr)
_DS(wxDC_GetSize2)(self as _wxDC ptr, s as _wxSize ptr)

_DS(wxDC_GetSizeMM)(self as _wxDC ptr, w as wxInt ptr, h as wxInt ptr)
_DS(wxDC_GetSizeMM2)(self as _wxDC ptr, s as _wxSize ptr)

_DF(wxDC_DeviceToLogicalX)(self as _wxDC ptr, x as wxInt) as wxInt
_DF(wxDC_DeviceToLogicalY)(self as _wxDC ptr, y as wxInt) as wxInt

_DF(wxDC_DeviceToLogicalXRel)(self as _wxDC ptr, x as wxInt) as wxInt
_DF(wxDC_DeviceToLogicalYRel)(self as _wxDC ptr, y as wxInt) as wxInt

_DF(wxDC_LogicalToDeviceX)(self as _wxDC ptr, x as wxInt) as wxInt
_DF(wxDC_LogicalToDeviceY)(self as _wxDC ptr, y as wxInt) as wxInt

_DF(wxDC_LogicalToDeviceXRel)(self as _wxDC ptr, x as wxInt) as wxInt
_DF(wxDC_LogicalToDeviceYRel)(self as _wxDC ptr, y as wxInt) as wxInt


_DF(wxDC_GetPixel)(self as _wxDC ptr, x as wxInt, y as wxInt, col as _wxColour ptr) as wxBool

_DS(wxDC_DrawBitmap)(self as _wxDC ptr, bitmap as _wxBitmap ptr, x as wxCoord, y as wxCoord, transparent as wxBool)

_DS(wxDC_DrawLine)(self as _wxDC ptr, x1 as wxCoord, y1 as wxCoord, x2 as wxCoord, y2 as wxCoord)

_DS(wxDC_DrawPolygon)(self as _wxDC ptr, n as wxInt, pPonts as _wxPoint ptr, xoffset as wxCoord, yoffset as wxCoord, fill_style as wxPolygonFillStyle)

_DS(wxDC_DrawRectangle)(self as _wxDC ptr, x1 as wxCoord, y1 as wxCoord, x2 as wxCoord, y2 as wxCoord)

_DS(wxDC_DrawText)(self as _wxDC ptr, txt as _wxString ptr, x as wxInt, y as wxInt)

_DS(wxDC_DrawEllipse)(self as _wxDC ptr, x as wxInt, y as wxInt, w as wxInt, h as wxInt)

_DS(wxDC_DrawPoint)(self as _wxDC ptr, x as wxInt, y as wxInt)

_DS(wxDC_DrawRoundedRectangle)(self as _wxDC ptr, x as wxInt, y as wxInt, w as wxInt, h as wxInt, radius as wxDouble)

_DS(wxDC_DrawArc)(self as _wxDC ptr, x1 as wxInt, y1 as wxInt, x2 as wxInt, y2 as wxInt, xc as wxInt, yc as wxInt)

_DS(wxDC_DrawCheckMark)(self as _wxDC ptr, x as wxInt, y as wxInt, w as wxInt, h as wxInt)

_DS(wxDC_DrawEllipticArc)(self as _wxDC ptr, x as wxInt, y as wxInt, w as wxInt, h as wxInt, sa as wxDouble, ea as wxDouble)

_DS(wxDC_DrawLines)(self as _wxDC ptr, n as wxInt, pPoints as _wxPoint ptr, xoffset as wxInt, yoffset as wxInt)

_DS(wxDC_DrawCircle)(self as _wxDC ptr, x as wxInt, y as wxInt, radius as wxInt)

_DS(wxDC_DrawIcon)(self as _wxDC ptr, icon as _wxIcon ptr, x as wxInt, y as wxInt)

_DS(wxDC_DrawRotatedText)(self as _wxDC ptr, txt as _wxString ptr, x as wxInt, y as wxInt, angle as wxDouble)

_DS(wxDC_DrawLabel) (self as _wxDC ptr, txt as _wxString ptr, bitmap as _wxBitmap ptr, r as _wxRect ptr, alignment as wxInt, indexAccel as wxInt, bounding as _wxRect ptr)
_DS(wxDC_DrawLabel2)(self as _wxDC ptr, txt as _wxString ptr, r as _wxRect ptr, alignment as wxInt, indexAccel as wxInt)

_DS(wxDC_DrawSpline )(self as _wxDC ptr, x1 as wxInt, y1 as wxInt, x2 as wxInt, y2 as wxInt, x3 as wxInt, y3 as wxInt)
_DS(wxDC_DrawSpline2)(self as _wxDC ptr, n as wxInt, pPoints as _wxPoint ptr)

_DS(wxDC_GetTextExtent)(self as _wxDC ptr, txt as _wxString ptr, x as wxInt ptr, y as wxInt ptr, descent as wxInt ptr, externalLeading as wxInt ptr, font as _wxFont ptr)

_DS(wxDC_Clear)(self as _wxDC ptr)

_DS(wxDC_DestroyClippingRegion)(self as _wxDC ptr)

_DS(wxDC_SetClippingRegion)(self as _wxDC ptr, x as wxCoord, y as wxCoord, w as wxCoord, h as wxCoord)

_DS(wxDC_SetClippingRegionPos)(self as _wxDC ptr, p as _wxPoint ptr, s as _wxSize ptr)

_DS(wxDC_SetClippingRegionRect)(self as _wxDC ptr, r as _wxRect ptr)

_DS(wxDC_SetClippingRegionReg)(self as _wxDC ptr, reg as _wxRegion ptr)


_DF(wxDC_Blit)(self as _wxDC ptr, xdes as wxCoord, ydes as wxCoord, w as wxCoord, h as wxCoord, _
               src  as _wxDC ptr, xsrc as wxCoord, ysrc as wxCoord, rop as wxRASTEROPS, _
               useMask as wxBool, xsrcMask as wxCoord, ysrcMask as wxCoord) as wxBool

_DF(wxDC_FloodFill)(self as _wxDC ptr, x as wxInt, y as wxInt, col as _wxColour ptr, style as wxFloodStyle) as wxBool

_DS(wxDC_CrossHair)(self as _wxDC ptr, x as wxInt, y as wxInt)

_DS(wxDC_GetClippingBox)(self as _wxDC ptr, x as wxInt ptr, y as wxInt ptr, w as wxInt ptr, h as wxInt ptr)

_DS(wxDC_GetClippingBox2)(self as _wxDC ptr, r as _wxRect ptr)

_DS(wxDC_GetMultiLineTextExtent)(self as _wxDC ptr, txt as _wxString ptr, w as wxInt ptr, h as wxInt ptr, heightLine as wxInt ptr, font as _wxFont ptr)

_DF(wxDC_GetPartialTextExtents)(self as _wxDC ptr, txt as _wxString ptr, pWidth as _wxArrayInt ptr) as wxBool




_DS(wxDC_SetAxisOrientation)(self as _wxDC ptr, xLeftRight as wxBool, yBottomUp as wxBool)

_DS(wxDC_CalcBoundingBox)(self as _wxDC ptr, x as wxInt, y as wxInt)

_DS(wxDC_ResetBoundingBox)(self as _wxDC ptr)

_DF(wxDC_MinX)(self as _wxDC ptr) as wxInt
_DF(wxDC_MaxX)(self as _wxDC ptr) as wxInt
_DF(wxDC_MinY)(self as _wxDC ptr) as wxInt
_DF(wxDC_MaxY)(self as _wxDC ptr) as wxInt

' printer
_DF(wxDC_StartDoc)(self as _wxDC ptr, txt as _wxString ptr) as wxBool
_DS(wxDC_EndDoc)(self as _wxDC ptr)
_DS(wxDC_StartPage)(self as _wxDC ptr)
_DS(wxDC_EndPage)(self as _wxDC ptr)


' class wxWindowDC
_DF(wxWindowDC_ctor) as _wxWindowDC ptr
_DF(wxWindowDC_ctor2)(win as _wxWindow ptr) as _wxWindowDC ptr

_DS(wxWindowDC_SetFont)(self as _wxWindowDC ptr, font as _wxFont ptr)
_DF(wxWindowDC_GetFont)(self as _wxWindowDC ptr) as _wxFont ptr

_DS(wxWindowDC_SetPen)(self as _wxWindowDC ptr, pen as _wxPen ptr)
_DF(wxWindowDC_GetPen)(self as _wxWindowDC ptr) as _wxPen ptr

_DS(wxWindowDC_SetBackground)(self as _wxWindowDC ptr, brush as _wxBrush ptr)
_DF(wxWindowDC_GetBackground)(self as _wxWindowDC ptr) as _wxBrush ptr

_DS(wxWindowDC_SetTextBackground)(self as _wxWindowDC ptr, col as _wxColour ptr)
_DF(wxWindowDC_GetTextForeground)(self as _wxWindowDC ptr) as _wxColour ptr

_DS(wxWindowDC_SetBackgroundMode)(self as _wxWindowDC ptr, mode as wxBackGroundMode)
_DF(wxWindowDC_GetBackgroundMode)(self as _wxWindowDC ptr) as wxBackGroundMode

_DS(wxWindowDC_Clear)(self as _wxWindowDC ptr)

_DF(wxWindowDC_CanDrawBitmap)(self as _wxWindowDC ptr) as wxBool

_DF(wxWindowDC_CanGetTextExtent)(self as _wxWindowDC ptr) as wxBool

_DF(wxWindowDC_GetCharWidth)(self as _wxWindowDC ptr) as wxInt

_DF(wxWindowDC_GetCharHeight)(self as _wxWindowDC ptr) as wxInt

_DS(wxWindowDC_SetLogicalFunction)(self as _wxWindowDC ptr, func as wxRASTEROPS)

_DS(wxWindowDC_SetTextForeground)(self as _wxWindowDC ptr, col as _wxColour ptr)

_DS(wxWindowDC_SetBrush)(self as _wxWindowDC ptr, brush as _wxBrush ptr)

_DS(wxWindowDC_SetPalette)(self as _wxWindowDC ptr, pal as _wxPalette ptr)

_DS(wxWindowDC_GetPPI)(self as _wxWindowDC ptr, s as _wxSize ptr)

_DF(wxWindowDC_GetDepth)(self as _wxWindowDC ptr) as wxInt


#endif ' #if 0
' ##############
' # wxMemoryDC #
' ##############
type wxMemoryDC
  declare constructor(dc as _wxDC ptr=WX_NULL)
  
  declare operator cast as _wxMemoryDC ptr
 
  declare sub SelectObject(bitmap as _wxBitmap ptr)
  
  private:
  as _wxMemoryDC ptr self
end type

constructor wxMemoryDC(dc as _wxDC ptr)
  if (dc<>WX_NULL) then
    self=wxMemoryDC_ctorByDC(dc)
  else
    self=wxMemoryDC_ctor()
  end if
end constructor

operator wxMemoryDC.cast as _wxMemoryDC ptr
  return self
end operator

sub wxMemoryDC.SelectObject(bitmap as _wxBitmap ptr)
  wxMemoryDC_SelectObject(self, bitmap)
end sub

' ################
' # wxBufferedDC #
' ###############
type wxBufferedDC
  declare constructor
  declare constructor(dc as _wxDC ptr, bitmap as _wxBitmap ptr)
  declare constructor(dc as _wxDC ptr, w as wxInt, h as wxInt)
  declare operator cast as _wxBufferedDC ptr
  declare sub InitByBitmap(dc as _wxDC ptr, bitmap as _wxBitmap ptr)
  declare sub InitBySize  (dc as _wxDC ptr, w as wxInt, h as wxInt)
  declare sub UnMask
  private:
  as _wxBufferedDC ptr self
end type

constructor wxBufferedDC
  self=wxBufferedDC_ctor()
end constructor
constructor wxBufferedDC(dc as _wxDC ptr, bitmap as _wxBitmap ptr)
  self = wxBufferedDC_ctorByBitmap(dc,bitmap)
end constructor
constructor wxBufferedDC(dc as _wxDC ptr, w as wxInt, h as wxInt)
  self = wxBufferedDC_ctorBySize(dc,wxSize(w,h))
end constructor

operator wxBufferedDC.cast as _wxBufferedDC ptr
  return self
end operator

sub wxBufferedDC.InitByBitmap(dc as _wxDC ptr, bitmap as _wxBitmap ptr)
  wxBufferedDC_InitByBitmap(self,dc,bitmap)
end sub
sub wxBufferedDC.InitBySize(dc as _wxDC ptr, w as wxInt, h as wxInt)
  wxBufferedDC_InitBySize(self,dc,wxSize(w,h))
end sub
sub wxBufferedDC.UnMask
  wxBufferedDC_UnMask(self)
end sub

' ##############
' # wxWindowDC #
' ##############
type wxWindowDC
  declare constructor(owner as _wxWindow ptr=WX_NULL)
  declare operator cast as _wxWindowDC ptr
  private:
  as _wxWindowDC ptr self
end type

constructor wxWindowDC(owner as _wxWindow ptr)
  if (owner<>WX_NULL) then
    self=wxWindowDC_ctor2(owner)
  else
    self=wxWindowDC_ctor()
  end if
end constructor

operator wxWindowDC.cast as _wxWindowDC ptr
  return self
end operator


' ##############
' # wxClientDC #
' ##############
type wxClientDC
  declare constructor(owner as _wxWindow ptr=WX_NULL)
  declare operator cast as _wxClientDC ptr
  private:
  as _wxClientDC ptr self
end type

constructor wxClientDC(owner as _wxWindow ptr)
  if (owner<>WX_NULL) then
    self=wxClientDC_ctor2(owner)
  else
    self=wxClientDC_ctor()
  end if
end constructor

operator wxClientDC.cast as _wxClientDC ptr
  return self
end operator

' #############
' # wxPaintDC #
' #############
type wxPaintDC
  declare constructor(owner as _wxWindow ptr=WX_NULL)
  declare operator cast as _wxPaintDC ptr
  private:
  as _wxPaintDC ptr self
end type

constructor wxPaintDC(owner as _wxWindow ptr)
  if (owner<>WX_NULL) then
    self=wxPaintDC_ctor2(owner)
  else
    self=wxPaintDC_ctor()
  end if
end constructor

operator wxPaintDC.cast as _wxPaintDC ptr
  return self
end operator



' ########
' # wxDC #
' ########
type wxDC
  declare destructor
  declare constructor(from as _wxMemoryDC   ptr)
  declare constructor(from as _wxBufferedDC ptr)
  declare constructor(from as _wxWindowDC   ptr)
  declare constructor(from as _wxClientDC   ptr)
  declare constructor(from as _wxPaintDC    ptr)
  declare operator cast as _wxDC         ptr
  declare operator cast as _wxMemoryDC   ptr
  declare operator cast as _wxBufferedDC ptr
  declare operator cast as _wxWindowDC   ptr
  declare operator cast as _wxClientDC   ptr
  declare operator cast as _wxPaintDC    ptr
  
  declare sub DrawLine(x1 as wxCoord, y1 as wxCoord, x2 as wxCoord, y2 as wxCoord)
  
  declare sub PenColour(r_ as wxChar,g_ as wxChar, b_ as wxChar, a_ as wxChar=&HFF)  
  declare sub PenWidth(w_ as wxInt)

  declare sub TextForeColour(r_ as wxChar,g_ as wxChar, b_ as wxChar, a_ as wxChar=&HFF)
  declare sub TextBackColour(r_ as wxChar,g_ as wxChar, b_ as wxChar, a_ as wxChar=&HFF)
  
  private:
  as _wxDC         ptr self
  as _wxMemoryDC   ptr MemoryDC
  as _wxBufferedDC ptr BufferedDC
  as _wxWindowDC   ptr WindowDC
  as _wxClientDC   ptr ClientDC
  as _wxPaintDC    ptr PaintDC
  as _wxPen        ptr Pen
  as _wxBrush      ptr Brush
  as _wxColour     ptr Colour
end type
destructor wxDC
  dprint("wxDC~")
  wxDC_dtor(self)
end destructor
constructor wxDC(from as _wxMemoryDC ptr)
  dprint("wxDC(wxMemoryDC)")
  MemoryDC = from:self = cptr(_wxDC ptr,WindowDC)
end constructor
constructor wxDC(from as _wxBufferedDC ptr)
  dprint("wxDC(wxBufferedDC)")
  BufferedDC = from:self = cptr(_wxDC ptr,BufferedDC)
end constructor
constructor wxDC(from as _wxWindowDC ptr)
  dprint("wxDC(wxWindowsDC)")
  WindowDC = from:self = cptr(_wxDC ptr,WindowDC)
end constructor
constructor wxDC(from as _wxClientDC ptr)
  dprint("wxDC(wxClientDC)")
  ClientDC = from:self = cptr(_wxDC ptr,ClientDC)
end constructor
constructor wxDC(from as _wxPaintDC ptr)
  dprint("wxDC(wxPaintDC)")
  PaintDC = from:self = cptr(_wxDC ptr,PaintDC)
end constructor

operator wxDC.cast as _wxDC ptr
  dprint("wxDC->_wxDC")
  return self
end operator
operator wxDC.cast as _wxMemoryDC ptr
  dprint("wxDC->_wxMemoryDC")
  return MemoryDC
end operator
operator wxDC.cast as _wxBufferedDC ptr
  dprint("wxDC->_wxBufferedDC")
  return BufferedDC
end operator
operator wxDC.cast as _wxWindowDC ptr
  dprint("wxDC->_wxWindowDC")
  return WindowDC
end operator
operator wxDC.cast as _wxClientDC ptr
  dprint("wxDC->_wxClientDC")
  return ClientDC
end operator
operator wxDC.cast as _wxPaintDC ptr
  dprint("wxDC->_wxPaintDC")
  return PaintDC
end operator

sub wxDC.PenColour(r_ as wxChar, g_ as wxChar, b_ as wxChar, a_ as wxChar=&HFF)
  colour = wxColour_ctorByPartsWithAlpha(r_,g_,b_,a_)
  pen    = wxDC_GetPen(self)
  wxPen_SetColour(pen,colour)
  wxDC_SetPen(self,pen)
  wxColour_dtor(colour)
  wxPen_dtor(pen)
end sub

sub wxDC.PenWidth(w_ as wxInt)
  pen = wxDC_GetPen(self)
  if w_<1 then w_=1
  wxPen_SetWidth pen,w_
  wxDC_SetPen(self,pen)
  wxPen_dtor(pen)
end sub

sub wxDC.TextForeColour(r_ as wxChar,g_ as wxChar, b_ as wxChar, a_ as wxChar=&HFF)
end sub
sub wxDC.TextBackColour(r_ as wxChar,g_ as wxChar, b_ as wxChar, a_ as wxChar=&HFF)
end sub

sub wxDC.DrawLine(x1 as wxCoord, y1 as wxCoord, x2 as wxCoord, y2 as wxCoord)
  wxDC_DrawLine(this,x1,y1, x2, y2)
end sub


#endif ' __dc_object_bi__
