#ifndef __event_bi__
#define __event_bi__

#include once "common.bi"

_DF(NewEventType) as wxInt

' class wxEvent
_DF(wxEvent_Clone)(self as _wxEvent ptr) as _wxEvent ptr

_DS(wxEvent_SetEventObject)(self as _wxEvent ptr, obj as _wxObject ptr)
_DF(wxEvent_GetEventObject)(self as _wxEvent ptr) as _wxObject ptr 

_DS(wxEvent_SetEventType)(self as _wxEvent ptr, typ as wxEventType)
_DF(wxEvent_GetEventType)(self as _wxEvent ptr) as wxEventType 

_DS(wxEvent_SetId)(self as _wxEvent ptr, id as wxInt)
_DF(wxEvent_GetId)(self as _wxEvent ptr) as wxInt

_DS(wxEvent_Skip)(self as _wxEvent ptr, skip as wxBool)
_DF(wxEvent_GetSkipped)(self as _wxEvent ptr) as wxBool

_DS(wxEvent_SetTimestamp)(self as _wxEvent ptr, ts as wxInt)
_DF(wxEvent_GetTimestamp)(self as _wxEvent ptr) as wxInt

_DS(wxEvent_ResumePropagation)(self as _wxEvent ptr, propagationLevel as wxInt)

_DF(wxEvent_ShouldPropagate)(self as _wxEvent ptr) as wxBool

_DF(wxEvent_StopPropagation)(self as _wxEvent ptr) as wxInt



' types of event
_DF(wxEvent_EVT_DATE_CHANGED) as wxInt

_DF(wxEvent_EVT_COMMAND_COLOURPICKER_CHANGED) as wxInt

_DF(wxEvent_EVT_COMMAND_FONTPICKER_CHANGED) as wxInt

_DF(wxEvent_EVT_COMMAND_BUTTON_CLICKED) as wxInt

_DF(wxEvent_EVT_COMMAND_CHECKBOX_CLICKED) as wxInt

_DF(wxEvent_EVT_COMMAND_CHOICE_SELECTED) as wxInt

_DF(wxEvent_EVT_COMMAND_LISTBOX_SELECTED) as wxInt
_DF(wxEvent_EVT_COMMAND_LISTBOX_DOUBLECLICKED) as wxInt

_DF(wxEvent_EVT_COMMAND_CHECKLISTBOX_TOGGLED) as wxInt

_DF(wxEvent_EVT_COMMAND_TEXT_UPDATED) as wxInt
_DF(wxEvent_EVT_COMMAND_TEXT_ENTER) as wxInt
_DF(wxEvent_EVT_COMMAND_TEXT_URL) as wxInt
_DF(wxEvent_EVT_COMMAND_TEXT_MAXLEN) as wxInt

_DF(wxEvent_EVT_COMMAND_MENU_SELECTED) as wxInt

_DF(wxEvent_EVT_COMMAND_SLIDER_UPDATED) as wxInt

_DF(wxEvent_EVT_COMMAND_RADIOBOX_SELECTED) as wxInt

_DF(wxEvent_EVT_COMMAND_RADIOBUTTON_SELECTED) as wxInt

_DF(wxEvent_EVT_COMMAND_SCROLLBAR_UPDATED) as wxInt

_DF(wxEvent_EVT_COMMAND_VLBOX_SELECTED) as wxInt

_DF(wxEvent_EVT_COMMAND_COMBOBOX_SELECTED) as wxInt

_DF(wxEvent_EVT_COMMAND_TOOL_RCLICKED) as wxInt
_DF(wxEvent_EVT_COMMAND_TOOL_ENTER) as wxInt

_DF(wxEvent_EVT_COMMAND_SPINCTRL_UPDATED) as wxInt

_DF(wxEvent_EVT_SOCKET) as wxInt

_DF(wxEvent_EVT_TIMER) as wxInt

_DF(wxEvent_EVT_LEFT_DOWN) as wxInt
_DF(wxEvent_EVT_LEFT_UP) as wxInt

_DF(wxEvent_EVT_MIDDLE_DOWN) as wxInt
_DF(wxEvent_EVT_MIDDLE_UP) as wxInt

_DF(wxEvent_EVT_RIGHT_DOWN) as wxInt
_DF(wxEvent_EVT_RIGHT_UP) as wxInt

_DF(wxEvent_EVT_MOTION) as wxInt

_DF(wxEvent_EVT_ENTER_WINDOW) as wxInt
_DF(wxEvent_EVT_LEAVE_WINDOW) as wxInt

_DF(wxEvent_EVT_LEFT_DCLICK) as wxInt
_DF(wxEvent_EVT_MIDDLE_DCLICK) as wxInt
_DF(wxEvent_EVT_RIGHT_DCLICK) as wxInt

_DF(wxEvent_EVT_SET_FOCUS) as wxInt

_DF(wxEvent_EVT_KILL_FOCUS) as wxInt

_DF(wxEvent_EVT_CHILD_FOCUS) as wxInt

_DF(wxEvent_EVT_MOUSEWHEEL) as wxInt

_DF(wxEvent_EVT_NC_LEFT_DOWN) as wxInt
_DF(wxEvent_EVT_NC_LEFT_UP) as wxInt
_DF(wxEvent_EVT_NC_MIDDLE_DOWN) as wxInt
_DF(wxEvent_EVT_NC_MIDDLE_UP) as wxInt
_DF(wxEvent_EVT_NC_RIGHT_DOWN) as wxInt
_DF(wxEvent_EVT_NC_RIGHT_UP) as wxInt
_DF(wxEvent_EVT_NC_MOTION) as wxInt
_DF(wxEvent_EVT_NC_ENTER_WINDOW) as wxInt
_DF(wxEvent_EVT_NC_LEAVE_WINDOW) as wxInt
_DF(wxEvent_EVT_NC_LEFT_DCLICK) as wxInt
_DF(wxEvent_EVT_NC_MIDDLE_DCLICK) as wxInt
_DF(wxEvent_EVT_NC_RIGHT_DCLICK) as wxInt

_DF(wxEvent_EVT_CHAR) as wxInt
_DF(wxEvent_EVT_CHAR_HOOK) as wxInt

_DF(wxEvent_EVT_NAVIGATION_KEY) as wxInt

_DF(wxEvent_EVT_KEY_DOWN) as wxInt
_DF(wxEvent_EVT_KEY_UP) as wxInt

_DF(wxEvent_EVT_SET_CURSOR) as wxInt

_DF(wxEvent_EVT_SCROLL_TOP) as wxInt
_DF(wxEvent_EVT_SCROLL_BOTTOM) as wxInt
_DF(wxEvent_EVT_SCROLL_LINEUP) as wxInt
_DF(wxEvent_EVT_SCROLL_LINEDOWN) as wxInt
_DF(wxEvent_EVT_SCROLL_PAGEUP) as wxInt
_DF(wxEvent_EVT_SCROLL_PAGEDOWN) as wxInt
_DF(wxEvent_EVT_SCROLL_THUMBTRACK) as wxInt
_DF(wxEvent_EVT_SCROLL_THUMBRELEASE) as wxInt
_DF(wxEvent_EVT_SCROLL_ENDSCROLL) as wxInt

_DF(wxEvent_EVT_SCROLLWIN_TOP) as wxInt
_DF(wxEvent_EVT_SCROLLWIN_BOTTOM) as wxInt
_DF(wxEvent_EVT_SCROLLWIN_LINEUP) as wxInt
_DF(wxEvent_EVT_SCROLLWIN_LINEDOWN) as wxInt
_DF(wxEvent_EVT_SCROLLWIN_PAGEUP) as wxInt
_DF(wxEvent_EVT_SCROLLWIN_PAGEDOWN) as wxInt
_DF(wxEvent_EVT_SCROLLWIN_THUMBTRACK) as wxInt
_DF(wxEvent_EVT_SCROLLWIN_THUMBRELEASE) as wxInt

_DF(wxEvent_EVT_SIZE) as wxInt

_DF(wxEvent_EVT_MOVE) as wxInt

_DF(wxEvent_EVT_CLOSE_WINDOW) as wxInt

_DF(wxEvent_EVT_END_SESSION) as wxInt

_DF(wxEvent_EVT_QUERY_END_SESSION) as wxInt

_DF(wxEvent_EVT_ACTIVATE_APP) as wxInt

_DF(wxEvent_EVT_POWER) as wxInt

_DF(wxEvent_EVT_ACTIVATE) as wxInt

_DF(wxEvent_EVT_CREATE) as wxInt

_DF(wxEvent_EVT_DESTROY) as wxInt

_DF(wxEvent_EVT_SHOW) as wxInt

_DF(wxEvent_EVT_ICONIZE) as wxInt

_DF(wxEvent_EVT_MAXIMIZE) as wxInt

_DF(wxEvent_EVT_MOUSE_CAPTURE_CHANGED) as wxInt

_DF(wxEvent_EVT_PAINT) as wxInt

_DF(wxEvent_EVT_ERASE_BACKGROUND) as wxInt

_DF(wxEvent_EVT_NC_PAINT) as wxInt

_DF(wxEvent_EVT_PAINT_ICON) as wxInt

_DF(wxEvent_EVT_MENU_OPEN) as wxInt
_DF(wxEvent_EVT_MENU_CLOSE) as wxInt
_DF(wxEvent_EVT_MENU_HIGHLIGHT) as wxInt

_DF(wxEvent_EVT_CONTEXT_MENU) as wxInt

_DF(wxEvent_EVT_SYS_COLOUR_CHANGED) as wxInt

_DF(wxEvent_EVT_DISPLAY_CHANGED) as wxInt

_DF(wxEvent_EVT_SETTING_CHANGED) as wxInt

_DF(wxEvent_EVT_QUERY_NEW_PALETTE) as wxInt

_DF(wxEvent_EVT_PALETTE_CHANGED) as wxInt

_DF(wxEvent_EVT_JOY_BUTTON_DOWN) as wxInt
_DF(wxEvent_EVT_JOY_BUTTON_UP) as wxInt
_DF(wxEvent_EVT_JOY_MOVE) as wxInt
_DF(wxEvent_EVT_JOY_ZMOVE) as wxInt

_DF(wxEvent_EVT_DROP_FILES) as wxInt

_DF(wxEvent_EVT_DRAW_ITEM) as wxInt

_DF(wxEvent_EVT_MEASURE_ITEM) as wxInt

_DF(wxEvent_EVT_COMPARE_ITEM) as wxInt

_DF(wxEvent_EVT_INIT_DIALOG) as wxInt

_DF(wxEvent_EVT_IDLE) as wxInt

_DF(wxEvent_EVT_UPDATE_UI) as wxInt

_DF(wxEvent_EVT_SIZING) as wxInt

_DF(wxEvent_EVT_MOVING) as wxInt

_DF(wxEvent_EVT_COMMAND_LEFT_CLICK) as wxInt
_DF(wxEvent_EVT_COMMAND_LEFT_DCLICK) as wxInt

_DF(wxEvent_EVT_COMMAND_RIGHT_CLICK) as wxInt
_DF(wxEvent_EVT_COMMAND_RIGHT_DCLICK) as wxInt

_DF(wxEvent_EVT_COMMAND_SET_FOCUS) as wxInt

_DF(wxEvent_EVT_COMMAND_KILL_FOCUS) as wxInt

_DF(wxEvent_EVT_COMMAND_ENTER) as wxInt

_DF(wxEvent_EVT_HELP) as wxInt

_DF(wxEvent_EVT_DETAILED_HELP) as wxInt

_DF(wxEvent_EVT_COMMAND_TOGGLEBUTTON_CLICKED) as wxInt

_DF(wxEvent_EVT_OBJECTDELETED) as wxInt

_DF(wxEvent_EVT_CALENDAR_SEL_CHANGED) as wxInt
_DF(wxEvent_EVT_CALENDAR_DAY_CHANGED) as wxInt
_DF(wxEvent_EVT_CALENDAR_MONTH_CHANGED) as wxInt
_DF(wxEvent_EVT_CALENDAR_YEAR_CHANGED) as wxInt
_DF(wxEvent_EVT_CALENDAR_DOUBLECLICKED) as wxInt
_DF(wxEvent_EVT_CALENDAR_WEEKDAY_CLICKED) as wxInt

_DF(wxEvent_EVT_COMMAND_FIND) as wxInt
_DF(wxEvent_EVT_COMMAND_FIND_NEXT) as wxInt
_DF(wxEvent_EVT_COMMAND_FIND_REPLACE) as wxInt
_DF(wxEvent_EVT_COMMAND_FIND_REPLACE_ALL) as wxInt
_DF(wxEvent_EVT_COMMAND_FIND_CLOSE) as wxInt

_DF(wxEvent_EVT_COMMAND_TREE_BEGIN_DRAG) as wxInt
_DF(wxEvent_EVT_COMMAND_TREE_BEGIN_RDRAG) as wxInt
_DF(wxEvent_EVT_COMMAND_TREE_BEGIN_LABEL_EDIT) as wxInt
_DF(wxEvent_EVT_COMMAND_TREE_END_LABEL_EDIT) as wxInt
_DF(wxEvent_EVT_COMMAND_TREE_DELETE_ITEM) as wxInt
_DF(wxEvent_EVT_COMMAND_TREE_GET_INFO) as wxInt
_DF(wxEvent_EVT_COMMAND_TREE_SET_INFO) as wxInt
_DF(wxEvent_EVT_COMMAND_TREE_ITEM_EXPANDED) as wxInt
_DF(wxEvent_EVT_COMMAND_TREE_ITEM_EXPANDING) as wxInt
_DF(wxEvent_EVT_COMMAND_TREE_ITEM_COLLAPSED) as wxInt
_DF(wxEvent_EVT_COMMAND_TREE_ITEM_COLLAPSING) as wxInt
_DF(wxEvent_EVT_COMMAND_TREE_SEL_CHANGED) as wxInt
_DF(wxEvent_EVT_COMMAND_TREE_SEL_CHANGING) as wxInt
_DF(wxEvent_EVT_COMMAND_TREE_KEY_DOWN) as wxInt
_DF(wxEvent_EVT_COMMAND_TREE_ITEM_ACTIVATED) as wxInt
_DF(wxEvent_EVT_COMMAND_TREE_ITEM_RIGHT_CLICK) as wxInt
_DF(wxEvent_EVT_COMMAND_TREE_ITEM_MIDDLE_CLICK) as wxInt
_DF(wxEvent_EVT_COMMAND_TREE_END_DRAG) as wxInt

_DF(wxEvent_EVT_COMMAND_LIST_BEGIN_DRAG) as wxInt
_DF(wxEvent_EVT_COMMAND_LIST_BEGIN_RDRAG) as wxInt
_DF(wxEvent_EVT_COMMAND_LIST_BEGIN_LABEL_EDIT) as wxInt
_DF(wxEvent_EVT_COMMAND_LIST_END_LABEL_EDIT) as wxInt
_DF(wxEvent_EVT_COMMAND_LIST_DELETE_ITEM) as wxInt
_DF(wxEvent_EVT_COMMAND_LIST_DELETE_ALL_ITEMS) as wxInt
_DF(wxEvent_EVT_COMMAND_LIST_GET_INFO) as wxInt
_DF(wxEvent_EVT_COMMAND_LIST_SET_INFO) as wxInt
_DF(wxEvent_EVT_COMMAND_LIST_ITEM_SELECTED) as wxInt
_DF(wxEvent_EVT_COMMAND_LIST_ITEM_DESELECTED) as wxInt
_DF(wxEvent_EVT_COMMAND_LIST_ITEM_ACTIVATED) as wxInt
_DF(wxEvent_EVT_COMMAND_LIST_ITEM_FOCUSED) as wxInt
_DF(wxEvent_EVT_COMMAND_LIST_ITEM_MIDDLE_CLICK) as wxInt
_DF(wxEvent_EVT_COMMAND_LIST_ITEM_RIGHT_CLICK) as wxInt
_DF(wxEvent_EVT_COMMAND_LIST_KEY_DOWN) as wxInt
_DF(wxEvent_EVT_COMMAND_LIST_INSERT_ITEM) as wxInt
_DF(wxEvent_EVT_COMMAND_LIST_COL_CLICK) as wxInt
_DF(wxEvent_EVT_COMMAND_LIST_COL_RIGHT_CLICK) as wxInt
_DF(wxEvent_EVT_COMMAND_LIST_COL_BEGIN_DRAG) as wxInt
_DF(wxEvent_EVT_COMMAND_LIST_COL_DRAGGING) as wxInt
_DF(wxEvent_EVT_COMMAND_LIST_COL_END_DRAG) as wxInt
_DF(wxEvent_EVT_COMMAND_LIST_CACHE_HINT) as wxInt

_DF(wxEvent_EVT_COMMAND_NOTEBOOK_PAGE_CHANGED) as wxInt
_DF(wxEvent_EVT_COMMAND_NOTEBOOK_PAGE_CHANGING) as wxInt
_DF(wxEvent_EVT_COMMAND_LISTBOOK_PAGE_CHANGED) as wxInt
_DF(wxEvent_EVT_COMMAND_LISTBOOK_PAGE_CHANGING) as wxInt

_DF(wxEvent_EVT_COMMAND_TAB_SEL_CHANGED) as wxInt
_DF(wxEvent_EVT_COMMAND_TAB_SEL_CHANGING) as wxInt

_DF(wxEvent_EVT_GRID_CELL_LEFT_CLICK) as wxInt
_DF(wxEvent_EVT_GRID_CELL_RIGHT_CLICK) as wxInt
_DF(wxEvent_EVT_GRID_CELL_LEFT_DCLICK) as wxInt
_DF(wxEvent_EVT_GRID_CELL_RIGHT_DCLICK) as wxInt
_DF(wxEvent_EVT_GRID_LABEL_LEFT_CLICK) as wxInt
_DF(wxEvent_EVT_GRID_LABEL_RIGHT_CLICK) as wxInt
_DF(wxEvent_EVT_GRID_LABEL_LEFT_DCLICK) as wxInt
_DF(wxEvent_EVT_GRID_LABEL_RIGHT_DCLICK) as wxInt
_DF(wxEvent_EVT_GRID_ROW_SIZE) as wxInt
_DF(wxEvent_EVT_GRID_COL_SIZE) as wxInt
_DF(wxEvent_EVT_GRID_RANGE_SELECT) as wxInt
_DF(wxEvent_EVT_GRID_CELL_CHANGE) as wxInt
_DF(wxEvent_EVT_GRID_SELECT_CELL) as wxInt
_DF(wxEvent_EVT_GRID_EDITOR_SHOWN) as wxInt
_DF(wxEvent_EVT_GRID_EDITOR_HIDDEN) as wxInt
_DF(wxEvent_EVT_GRID_EDITOR_CREATED) as wxInt

_DF(wxEvent_EVT_SASH_DRAGGED) as wxInt

_DF(wxEvent_EVT_QUERY_LAYOUT_INFO) as wxInt

_DF(wxEvent_EVT_CALCULATE_LAYOUT) as wxInt

_DF(wxEvent_EVT_LOAD_HTML_PAGE) as wxInt

_DF(wxEvent_EVT_TASKBAR_MOVE) as wxInt
_DF(wxEvent_EVT_TASKBAR_LEFT_DOWN) as wxInt
_DF(wxEvent_EVT_TASKBAR_LEFT_UP) as wxInt
_DF(wxEvent_EVT_TASKBAR_RIGHT_DOWN) as wxInt
_DF(wxEvent_EVT_TASKBAR_RIGHT_UP) as wxInt
_DF(wxEvent_EVT_TASKBAR_LEFT_DCLICK) as wxInt
_DF(wxEvent_EVT_TASKBAR_RIGHT_DCLICK) as wxInt
_DF(wxEvent_EVT_TASKBAR_CLICK) as wxInt

_DF(wxEvent_EVT_WIZARD_PAGE_CHANGED) as wxInt
_DF(wxEvent_EVT_WIZARD_PAGE_CHANGING) as wxInt
_DF(wxEvent_EVT_WIZARD_CANCEL) as wxInt
_DF(wxEvent_EVT_WIZARD_HELP) as wxInt
_DF(wxEvent_EVT_WIZARD_FINISHED) as wxInt

#endif ' __event_bi__

