#ifndef __gridbagsizer_bi__
#define __gridbagsizer_bi__

#include once "common.bi"

' class wxGBSizerItem
_DF(wxGBSizerItem_ctor)(w         as  wxInt           , _
                        h         as  wxInt           , _
                        p         as _wxGBPosition ptr, _
                        span      as _wxGBSpan     ptr, _
                        flag      as  wxInt           , _
                        border    as  wxInt           , _
                        pUserData as _wxObject     ptr) as _wxGBSizerItem ptr 

_DF(wxGBSizerItem_ctorWindow)(win       as _wxWindow     ptr, _
                              p         as _wxGBPosition ptr, _
                              span      as _wxGBSpan     ptr, _
                              flag      as  wxInt           , _
                              border    as  wxInt           , _
                              pUserData as _wxObject ptr) as _wxGBSizerItem ptr

_DF(wxGBSizerItem_ctorSizer)(sizer     as _wxSizer      ptr, _
                             p         as _wxGBPosition ptr, _
                             span      as _wxGBSpan     ptr, _
                             flag      as  wxInt           , _
                             border    as  wxInt           , _
                             pUserData as _wxObject     ptr) as _wxGBSizerItem ptr

_DF(wxGBSizerItem_ctorDefault)() as _wxGBSizerItem ptr

_DF(wxGBSizerItem_GetPos)(self as _wxGBSizerItem ptr) as _wxGBPosition ptr

_DF(wxGBSizerItem_GetSpan)(self as _wxGBSizerItem ptr) as _wxGBSpan ptr

_DF(wxGBSizerItem_SetPos) (self as _wxGBSizerItem ptr, p as _wxGBPosition ptr) as wxBool

_DF(wxGBSizerItem_SetSpan)(self as _wxGBSizerItem ptr, span as _wxGBSpan ptr) as wxBool

_DF(wxGBSizerItem_IntersectsSizer)(self as _wxGBSizerItem ptr, other as _wxGBSizerItem ptr) as wxBool

_DF(wxGBSizerItem_IntersectsSpan)(self as _wxGBSizerItem ptr, p as _wxGBPosition ptr, span as _wxGBSpan ptr) as wxBool

_DS(wxGBSizerItem_GetEndPos)(self as _wxGBSizerItem ptr, row as wxInt ptr, col as wxInt ptr)

_DF(wxGBSizerItem_GetGBSizer)(self as _wxGBSizerItem ptr) as _wxGridBagSizer ptr

_DS(wxGBSizerItem_SetGBSizer)(self as _wxGBSizerItem ptr, sizer as _wxGridBagSizer ptr)


' class wxGBSpan
_DF(wxGBSpan_ctorDefault)() as _wxGBSpan ptr

_DF(wxGBSpan_ctor)(rs as wxInt, cs as wxInt) as _wxGBSpan ptr

_DF(wxGBSpan_GetRowspan)(self as _wxGBSpan ptr) as wxInt

_DF(wxGBSpan_GetColspan)(self as _wxGBSpan ptr) as wxInt

_DS(wxGBSpan_SetRowspan)(self as _wxGBSpan ptr, rs as wxInt)

_DS(wxGBSpan_SetColspan)(self as _wxGBSpan ptr, cs as wxInt)


' class wxGridBagSizer
_DF(wxGridBagSizer_ctor)(vgap as wxInt, hgap as wxInt) as _wxGridBagSizer ptr

_DF(wxGridBagSizer_AddWindow)(self      as _wxGridBagSizer ptr, _
                              win       as _wxWindow       ptr, _
                              p         as _wxGBPosition   ptr, _
                              span      as _wxGBSpan       ptr, _
                              flag      as  wxInt             , _
                              border    as  wxInt             , _
                              pUserData as _wxObject       ptr) as wxBool 

_DF(wxGridBagSizer_AddSizer)(self      as _wxGridBagSizer ptr, _
                             sizer     as _wxSizer        ptr, _
                             p         as _wxGBPosition   ptr, _
                             span      as _wxGBSpan       ptr, _
                             flag      as  wxInt             , _
                             border    as  wxInt             , _
                             pUserData as _wxObject       ptr) as wxBool

_DF(wxGridBagSizer_Add)(self      as _wxGridBagSizer ptr, _
                        w         as  wxInt             , _
                        h         as  wxInt             , _
                        p         as _wxGBPosition   ptr, _
                        span      as _wxGBSpan       ptr, _
                        flag      as  wxInt             , _
                        border    as  wxInt             , _
                        pUserData as _wxObject       ptr) as wxBool

_DF(wxGridBagSizer_AddItem)(self as _wxGridBagSizer ptr, item as _wxGBSizerItem ptr) as wxBool

_DS(wxGridBagSizer_GetEmptyCellSize)(self as _wxGridBagSizer ptr, size as _wxSize ptr)

_DS(wxGridBagSizer_SetEmptyCellSize)(self as _wxGridBagSizer ptr, size as _wxSize ptr)

_DS(wxGridBagSizer_GetCellSize)(self as _wxGridBagSizer ptr, row as wxInt, col as wxInt, size as _wxSize ptr)

_DF(wxGridBagSizer_GetItemPosition)(self as _wxGridBagSizer ptr, win as _wxWindow ptr) as _wxGBPosition ptr

_DF(wxGridBagSizer_GetItemPositionSizer)(self as _wxGridBagSizer ptr, sizer as _wxSizer ptr) as _wxGBPosition ptr

_DF(wxGridBagSizer_GetItemPositionIndex)(self as _wxGridBagSizer ptr, indx as wxInt) as _wxGBPosition ptr

_DF(wxGridBagSizer_SetItemPosition)(self as _wxGridBagSizer ptr, win as _wxWindow ptr, p as _wxGBPosition ptr) as wxBool

_DF(wxGridBagSizer_SetItemPositionSizer)(self as _wxGridBagSizer ptr, sizer as _wxSizer ptr, p as _wxGBPosition ptr) as wxBool

_DF(wxGridBagSizer_SetItemPositionIndex)(self as _wxGridBagSizer ptr, indx as wxInt, p as _wxGBPosition ptr) as wxBool

_DF(wxGridBagSizer_GetItemSpan)(self as _wxGridBagSizer ptr, win as _wxWindow ptr) as _wxGBSpan ptr

_DF(wxGridBagSizer_GetItemSpanSizer)(self as _wxGridBagSizer ptr, sizer as _wxSizer ptr) as _wxGBSpan ptr

_DF(wxGridBagSizer_GetItemSpanIndex)(self as _wxGridBagSizer ptr, indx as wxInt) as _wxGBSpan ptr

_DF(wxGridBagSizer_SetItemSpan)(self as _wxGridBagSizer ptr, win as _wxWindow ptr, span as _wxGBSpan ptr) as wxBool

_DF(wxGridBagSizer_SetItemSpanSizer)(self as _wxGridBagSizer ptr, sizer as _wxSizer ptr, span as _wxGBSpan ptr) as wxBool

_DF(wxGridBagSizer_SetItemSpanIndex)(self as _wxGridBagSizer ptr, indx as wxInt, span as _wxGBSpan ptr) as wxBool

_DF(wxGridBagSizer_FindItem)(self as _wxGridBagSizer ptr, win as _wxWindow ptr) as _wxGBSizerItem ptr

_DF(wxGridBagSizer_FindItemSizer)(self as _wxGridBagSizer ptr, sizer as _wxSizer ptr) as _wxGBSizerItem ptr

_DF(wxGridBagSizer_FindItemAtPosition)(self as _wxGridBagSizer ptr, p as _wxGBPosition ptr) as _wxGBSizerItem ptr

_DF(wxGridBagSizer_FindItemAtPoint)(self as _wxGridBagSizer ptr, pt as _wxPoint ptr) as _wxGBSizerItem ptr

_DF(wxGridBagSizer_FindItemWithData)(self as _wxGridBagSizer ptr, pUserData as _wxObject ptr) as _wxGBSizerItem ptr

_DF(wxGridBagSizer_CheckForIntersectionItem)(self as _wxGridBagSizer ptr, item as _wxGBSizerItem ptr, excItem as _wxGBSizerItem ptr) as wxBool

_DF(wxGridBagSizer_CheckForIntersectionPos)(self as _wxGridBagSizer ptr, p as _wxGBPosition ptr, span as _wxGBSpan ptr, excItem as _wxGBSizerItem ptr) as wxBool


' class wxGBPosition
_DF(wxGBPosition_ctor)() as _wxGBPosition ptr

_DF(wxGBPosition_ctorPos)(row as wxInt, col as wxInt) as _wxGBPosition ptr

_DF(wxGBPosition_GetRow)(self as _wxGBPosition ptr) as wxInt

_DF(wxGBPosition_GetCol)(self as _wxGBPosition ptr) as wxInt

_DS(wxGBPosition_SetRow)(self as _wxGBPosition ptr, row as wxInt)

_DS(wxGBPosition_SetCol)(self as _wxGBPosition ptr, col as wxInt)

#endif ' __gridbagsizer_bi__
