#ifndef __listbook_bi__
#define __listbook_bi__

#include once "common.bi"

_DF(wxListbook_ctor)() as _wxListbook ptr

_DF(wxListbook_Create)(self    as _wxListbook ptr, _
                       parent  as _wxWindow   ptr, _
                       id      as  wxWindowID   = -1, _
                       x       as  wxInt        = -1,_
                       y       as  wxInt        = -1, _
                       w       as  wxInt        = -1, _
                       h       as  wxInt        = -1, _
                       style   as  wxUInt       =  0, _
                       nameArg as _wxString ptr = WX_NULL) as wxBool

_DF(wxListbook_GetSelection)(self as _wxListbook ptr) as wxInt

_DF(wxListbook_SetPageText)(self as _wxListbook ptr, n as size_t, txt as _wxString ptr) as wxBool

_DF(wxListbook_GetPageText)(self as _wxListbook ptr, n as size_t) as _wxString ptr

_DF(wxListbook_GetPageImage)(self as _wxListbook ptr, n as size_t) as wxInt

_DF(wxListbook_SetPageImage)(self as _wxListbook ptr, n as size_t, imageId as wxInt) as wxBool

_DS(wxListbook_CalcSizeFromPage)(self as _wxListbook ptr, w as wxInt, h as wxInt, retW as wxInt ptr, retH as wxInt ptr)

_DF(wxListbook_InsertPage)(self as _wxListbook ptr, n as size_t, page as _wxWindow ptr, txt as _wxString ptr, bSelecte as wxBool, ImageID as wxInt) as wxBool

_DF(wxListbook_SetSelection)(self as _wxListbook ptr, n as size_t) as wxInt

_DS(wxListbook_SetImageList)(self as _wxListbook ptr, imageList as _wxImageList ptr)

_DF(wxListbook_IsVertical)(self as _wxListbook ptr) as wxBool

_DF(wxListbook_GetPageCount)(self as _wxListbook ptr) as wxInt

_DF(wxListbook_GetPage)(self as _wxListbook ptr, n as size_t) as _wxWindow ptr

_DS(wxListbook_AssignImageList)(self as _wxListbook ptr, imageList as _wxImageList ptr)

_DF(wxListbook_GetImageList)(self as _wxListbook ptr) as _wxImageList ptr

_DS(wxListbook_SetPageSize)(self as _wxListbook ptr, size as _wxSize ptr)

_DF(wxListbook_DeletePage)(self as _wxListbook ptr, page as wxInt) as wxBool

_DF(wxListbook_RemovePage)(self as _wxListbook ptr, page as wxInt) as wxBool

_DF(wxListbook_DeleteAllPages)(self as _wxListbook ptr) as wxBool

_DF(wxListbook_AddPage)(self as _wxListbook ptr, page as _wxWindow ptr, txt as _wxString ptr, bSelecte as wxBool, ImageID as wxInt) as wxBool

_DS(wxListbook_AdvanceSelection)(self as _wxListbook ptr, forward as wxBool)

' class wxListbookEvent
_DF(wxListbookEvent_ctor)(typ as wxEventType, id as wxInt, nSel as wxInt, nOldSel as wxInt) as _wxListbookEvent ptr

_DF(wxListbookEvent_GetSelection)(self as _wxListbookEvent ptr) as wxInt

_DS(wxListbookEvent_SetSelection)(self as _wxListbookEvent ptr, nSel as wxInt)

_DF(wxListbookEvent_GetOldSelection)(self as _wxListbookEvent ptr) as wxInt

_DS(wxListbookEvent_SetOldSelection)(self as _wxListbookEvent ptr, nOldSel as wxInt)

_DS(wxListbookEvent_Veto)(self as _wxListbookEvent ptr)

_DS(wxListbookEvent_Allow)(self as _wxListbookEvent ptr)

_DF(wxListbookEvent_IsAllowed)(self as _wxListbookEvent ptr) as wxBool

#endif ' __listbook_bi__