#ifndef __mdi_bi__
#define __mdi_bi__

#include once "common.bi"

type Virtual_OnCreateClient as function APICALL as _wxMDIClientWindow ptr

_DF(wxMDIParentFrame_ctor)() as _wxMDIParentFrame ptr

_DS(wxMDIParentFrame_RegisterVirtual)(self as _wxMDIParentFrame ptr, onCreateClient as Virtual_OnCreateClient)

_DF(wxMDIParentFrame_OnCreateClient)(self as _wxMDIParentFrame ptr) as _wxMDIClientWindow ptr

_DF(wxMDIParentFrame_Create)(self     as _wxMDIParentFrame ptr     , _
                             parent   as _wxWindow         ptr = WX_NULL, _
                             id       as  wxWindowID           = -1, _
                             titleArg as _wxString         ptr = WX_NULL, _
                             x        as  wxInt                = -1, _
                             y        as  wxInt                = -1, _
                             w        as  wxInt                = -1, _
                             h        as  wxInt                = -1, _
                             style    as  wxUInt               =  0, _
                             nameArg  as _wxString         ptr = WX_NULL) as wxBool

_DF(wxMDIParentFrame_GetActiveChild)(self as _wxMDIParentFrame ptr) as _wxMDIChildFrame ptr

_DF(wxMDIParentFrame_GetClientWindow)(self as _wxMDIParentFrame ptr) as _wxMDIClientWindow ptr

_DS(wxMDIParentFrame_Cascade)(self as _wxMDIParentFrame ptr)

_DS(wxMDIParentFrame_Tile)(self as _wxMDIParentFrame ptr)

_DS(wxMDIParentFrame_ArrangeIcons)(self as _wxMDIParentFrame ptr)

_DS(wxMDIParentFrame_ActivateNext)(self as _wxMDIParentFrame ptr)

_DS(wxMDIParentFrame_ActivatePrevious)(self as _wxMDIParentFrame ptr)

_DS(wxMDIParentFrame_GetClientSize)(self as _wxMDIParentFrame ptr, w as wxInt ptr, h as wxInt ptr)

' class wxMDIChildFrame
_DF(wxMDIChildFrame_ctor)() as _wxMDIChildFrame ptr

_DS(wxMDIChildFrame_Activate)(self as _wxMDIChildFrame ptr)

_DF(wxMDIChildFrame_Create)(self     as _wxMDIChildFrame  ptr     , _
                            parent   as _wxMDIParentFrame ptr     , _
                            id       as  wxWindowID           = -1, _
                            titleArg as _wxString         ptr = WX_NULL, _
                            x        as  wxInt                = -1, _
                            y        as  wxInt                = -1, _
                            w        as  wxInt                = -1, _
                            h        as  wxInt                = -1, _
                            style    as  wxUInt               =  0, _
                            nameArg  as _wxString         ptr = WX_NULL) as wxBool

_DS(wxMDIChildFrame_Restore)(self as _wxMDIChildFrame ptr)

_DS(wxMDIChildFrame_Maximize)(self as _wxMDIChildFrame ptr, maximize as wxBool)

' class wxMDIClientWindow
_DF(wxMDIClientWindow_ctor)() as _wxMDIClientWindow ptr

_DF(wxMDIClientWindow_CreateClient)(self as _wxMDIClientWindow ptr, parent as _wxMDIParentFrame ptr, style as wxUint) as wxBool 

#endif ' __mdi_bi__
