#ifndef __menu_bi__
#define __menu_bi__

#include once "common.bi"

' class wxMenuBase
_DF(wxMenuBase_ctor1)(title as _wxString ptr, style as wxUInt) as _wxMenuBase ptr

_DF(wxMenuBase_ctor2)(style as wxUInt) as _wxMenuBase ptr

_DF(wxMenuBase_Append)(self as _wxMenuBase ptr, id as wxInt, item as _wxString ptr, help as _wxString ptr, kind as wxItemKind=0) as _wxMenuItem ptr

_DF(wxMenuBase_AppendSeparator)(self as _wxMenuBase ptr) as _wxMenuItem ptr

_DF(wxMenuBase_AppendCheckItem)(self as _wxMenuBase ptr, itemid as wxInt, txt as _wxString ptr, help as _wxString ptr) as _wxMenuItem ptr

_DF(wxMenuBase_AppendRadioItem)(self as _wxMenuBase ptr, itemid as wxInt, txt as _wxString ptr, help as _wxString ptr) as _wxMenuItem ptr

_DF(wxMenuBase_AppendSubMenu)(self as _wxMenuBase ptr, id as wxInt, item as _wxString ptr, subMenu as _wxMenu ptr, help as _wxString ptr) as _wxMenuItem ptr

_DF(wxMenuBase_AppendItem)(self as _wxMenuBase ptr, item as _wxMenuItem ptr) as _wxMenuItem ptr

_DS(wxMenuBase_Break)(self as _wxMenuBase ptr)

_DF(wxMenuBase_Insert)(self as _wxMenuBase ptr, p as size_t, item as _wxMenuItem ptr) as _wxMenuItem ptr

_DF(wxMenuBase_Insert2)(self as _wxMenuBase ptr, p as size_t, itemid as wxInt, txt as _wxString ptr, help as _wxString ptr, kind as wxItemKind) as _wxMenuItem ptr

_DF(wxMenuBase_InsertSeparator)(self as _wxMenuBase ptr, p as size_t) as _wxMenuItem ptr

_DF(wxMenuBase_InsertCheckItem)(self as _wxMenuBase ptr, p as size_t, itemid as wxInt, txt as _wxString ptr, help as _wxString ptr) as _wxMenuItem ptr

_DF(wxMenuBase_InsertRadioItem)(self as _wxMenuBase ptr, p as size_t, itemid as wxInt, txt as _wxString ptr, help as _wxString ptr) as _wxMenuItem ptr

_DF(wxMenuBase_InsertSubMenu)(self as _wxMenuBase ptr, p as size_t, itemid as wxInt, txt as _wxString ptr, subMenu as _wxMenu ptr, help as _wxString ptr) as _wxMenuItem ptr

_DF(wxMenuBase_Prepend)(self as _wxMenuBase ptr, item as _wxMenuItem ptr) as _wxMenuItem ptr

_DF(wxMenuBase_Prepend2)(self as _wxMenuBase ptr, itemid as wxInt, txt as _wxString ptr, help as _wxString ptr, kind as wxItemKind) as _wxMenuItem ptr

_DF(wxMenuBase_PrependSeparator)(self as _wxMenuBase ptr) as _wxMenuItem ptr

_DF(wxMenuBase_PrependCheckItem)(self as _wxMenuBase ptr, itemid as wxInt, txt as _wxString ptr, help as _wxString ptr) as _wxMenuItem ptr

_DF(wxMenuBase_PrependRadioItem)(self as _wxMenuBase ptr, itemid as wxInt, txt as _wxString ptr, help as _wxString ptr) as _wxMenuItem ptr

_DF(wxMenuBase_PrependSubMenu)(self as _wxMenuBase ptr, itemid as wxInt, txt as _wxString ptr, subMenu as _wxMenu ptr, help as _wxString ptr) as _wxMenuItem ptr

_DF(wxMenuBase_Remove)(self as _wxMenuBase ptr, itemid as wxInt) as _wxMenuItem ptr

_DF(wxMenuBase_Remove2)(self as _wxMenuBase ptr, item as _wxMenuItem ptr) as _wxMenuItem ptr

_DF(wxMenuBase_Delete)(self as _wxMenuBase ptr, itemid as wxInt) as wxBool

_DF(wxMenuBase_Delete2)(self as _wxMenuBase ptr, item as _wxMenuItem ptr) as wxBool

_DF(wxMenuBase_Destroy)(self as _wxMenuBase ptr, itemid as wxInt) as wxBool

_DF(wxMenuBase_Destroy2)(self as _wxMenuBase ptr, item as _wxMenuItem ptr) as wxBool

_DF(wxMenuBase_GetMenuItemCount)(self as _wxMenuBase ptr) as wxInt

_DF(wxMenuBase_FindItem)(self as _wxMenuBase ptr, item as _wxString ptr) as wxInt

_DF(wxMenuBase_FindItem2)(self as _wxMenuBase ptr, itemid as wxInt, menu as _wxMenu ptr ptr) as _wxMenuItem ptr

_DF(wxMenuBase_FindItemByPosition)(self as _wxMenuBase ptr, p as size_t) as _wxMenuItem ptr

_DS(wxMenuBase_Enable)(self as _wxMenuBase ptr, itemid as wxInt, enable as wxBool)

_DF(wxMenuBase_IsEnabled)(self as _wxMenuBase ptr, itemid as wxInt) as wxBool

_DS(wxMenuBase_Check)(self as _wxMenuBase ptr, itemid as wxInt, check as wxBool)

_DF(wxMenuBase_IsChecked)(self as _wxMenuBase ptr, itemid as wxInt) as wxBool

_DS(wxMenuBase_SetLabel)(self as _wxMenuBase ptr, itemid as wxInt, label as _wxString ptr)

_DF(wxMenuBase_GetLabel)(self as _wxMenuBase ptr, itemid as wxInt) as _wxString ptr

_DS(wxMenuBase_SetHelpString)(self as _wxMenuBase ptr, itemid as wxInt, help as _wxString ptr)

_DF(wxMenuBase_GetHelpString)(self as _wxMenuBase ptr, itemid as wxInt) as _wxString ptr

_DS(wxMenuBase_SetTitle)(self as _wxMenuBase ptr, title as _wxString ptr)

_DF(wxMenuBase_GetTitle)(self as _wxMenuBase ptr) as _wxString ptr

_DS(wxMenuBase_SetEventHandler)(self as _wxMenuBase ptr, handler as _wxEvtHandler ptr)

_DF(wxMenuBase_GetEventHandler)(self as _wxMenuBase ptr) as _wxEvtHandler ptr

_DS(wxMenuBase_SetInvokingWindow)(self as _wxMenuBase ptr, win as _wxWindow ptr)

_DF(wxMenuBase_GetInvokingWindow)(self as _wxMenuBase ptr) as _wxWindow ptr

_DF(wxMenuBase_GetStyle)(self as _wxMenuBase ptr) as wxInt

_DS(wxMenuBase_UpdateUI)(self as _wxMenuBase ptr, src as _wxEvtHandler ptr)

_DF(wxMenuBase_GetMenuBar)(self as _wxMenuBase ptr) as _wxMenuBar ptr

_DF(wxMenuBase_IsAttached)(self as _wxMenuBase ptr) as wxBool

_DS(wxMenuBase_SetParent)(self as _wxMenuBase ptr, parent as _wxWindow ptr)

_DF(wxMenuBase_GetParent)(self as _wxMenuBase ptr) as _wxMenu ptr

_DF(wxMenuBase_FindChildItem)(self as _wxMenuBase ptr, itemid as wxInt, p as size_t ptr) as _wxMenuItem ptr

_DF(wxMenuBase_FindChildItem2)(self as _wxMenuBase ptr, itemid as wxInt) as _wxMenuItem ptr

_DF(wxMenuBase_SendEvent)(self as _wxMenuBase ptr, itemid as wxInt, checked as wxInt) as wxBool


' class wxMenu
_DF(wxMenu_ctor)(title as _wxString ptr, style as wxUInt) as _wxMenu ptr

_DF(wxMenu_ctor2)(style as wxUInt) as _wxMenu ptr

#endif ' __menu_bi__

