#ifndef __menuitem_bi__
#define __menuitem_bi__

#include once "common.bi"

_DF(wxMenuItem_ctor)(parentMenu as _wxMenu ptr, _ 
                     id         as  wxInt, _
                     txt        as _wxString ptr, _
                     helpString as _wxString ptr, _
                     kind       as  wxItemKind, _
                     subMenu    as _wxMenu ptr) as _wxMenuItem ptr

_DF(wxMenuItem_GetMenu)(self as _wxMenuItem ptr) as _wxMenu ptr

_DS(wxMenuItem_SetMenu)(self as _wxMenuItem ptr, menu as _wxMenu ptr)

_DS(wxMenuItem_SetId)(self as _wxMenuItem ptr, iID as wxInt)

_DF(wxMenuItem_GetId)(self as _wxMenuItem ptr) as wxInt

_DF(wxMenuItem_IsSeparator)(self as _wxMenuItem ptr) as wxBool

_DS(wxMenuItem_SetText)(self as _wxMenuItem ptr, txt as _wxString ptr)

_DF(wxMenuItem_GetLabel)(self as _wxMenuItem ptr) as _wxString ptr

_DF(wxMenuItem_GetText)(self as _wxMenuItem ptr) as _wxString ptr

_DF(wxMenuItem_GetLabelFromText)(self as _wxMenuItem ptr, txt as _wxString ptr) as _wxString ptr

_DF(wxMenuItem_GetKind)(self as _wxMenuItem ptr) as wxItemKind

_DS(wxMenuItem_SetCheckable)(self as _wxMenuItem ptr, checkable as wxBool)

_DF(wxMenuItem_IsCheckable)(self as _wxMenuItem ptr) as wxBool

_DF(wxMenuItem_IsSubMenu)(self as _wxMenuItem ptr) as wxBool

_DS(wxMenuItem_SetSubMenu)(self as _wxMenuItem ptr, menu as _wxMenu ptr)

_DF(wxMenuItem_GetSubMenu)(self as _wxMenuItem ptr) as _wxMenu ptr

_DS(wxMenuItem_Enable)(self as _wxMenuItem ptr, enable as wxBool)

_DF(wxMenuItem_IsEnabled)(self as _wxMenuItem ptr) as wxBool

_DS(wxMenuItem_Check)(self as _wxMenuItem ptr, check as wxBool)

_DF(wxMenuItem_IsChecked)(self as _wxMenuItem ptr) as wxBool

_DS(wxMenuItem_Toggle)(self as _wxMenuItem ptr)

_DS(wxMenuItem_SetHelp)(self as _wxMenuItem ptr, help as _wxString ptr)

_DF(wxMenuItem_GetHelp)(self as _wxMenuItem ptr) as _wxString ptr

_DF(wxMenuItem_GetAccel)(self as _wxMenuItem ptr) as _wxAcceleratorEntry ptr

_DS(wxMenuItem_SetAccel)(self as _wxMenuItem ptr, accel as _wxAcceleratorEntry ptr)

_DS(wxMenuItem_SetName)(self as _wxMenuItem ptr, nam as _wxString ptr)

_DF(wxMenuItem_GetName)(self as _wxMenuItem ptr) as _wxString ptr

_DF(wxMenuItem_NewCheck)(parentMenu as _wxMenu ptr, _
                         id         as  wxInt, _
                         txt        as _wxString ptr, _
                         helpString as _wxString ptr, _
                         checkable  as  wxBool, _
                         subMenu    as _wxMenu ptr) as _wxMenuItem ptr

_DF(wxMenuItem_New)(parentMenu as _wxMenu ptr, _
                    id         as  wxInt, _
                    txt        as _wxString ptr, _
                    helpString as _wxString ptr, _
                    kind       as  wxItemKind, _
                    subMenu    as _wxMenu ptr) as _wxMenuItem ptr

_DS(wxMenuItem_SetBitmap)(self as _wxMenuItem ptr, bitmap as _wxBitmap ptr)

#endif ' __menuitem_bi__

