#ifndef __pen_object_bi__
#define __pen_object_bi__

#include once "pen.bi"

type wxPen
  declare constructor (PenColour_ as _wxColour ptr=WX_NULL, PenWidth_ as wxInt=1, PenStyle_ as wxPenStyle = wxSOLID)
  declare constructor (Other as _wxPen ptr)
  
  declare sub Set(other as _wxPen ptr)
  
  declare property Width(PenWidth_ as wxInt) 
  declare property Width as wxInt

  declare property Colour(PenColour_ as _wxColour ptr)
  declare property Colour as _wxColour ptr

  declare property CapStyle(CapStyle_ as wxCapStyle)
  declare property CapStyle as wxCapStyle

  declare property JoinStyle(JoinStyle_ as wxJoinStyle)
  declare property JoinStyle as wxJoinStyle

  declare property Style(PenStyle_ as wxPenStyle)
  declare property Style as wxPenStyle
  
  private:
  as _wxPen ptr self
end type

constructor wxPen(PenColour_ as _wxColour ptr, PenWidth_ as wxInt, PenStyle_ as wxPenStyle)
  if PenColour_=WX_NULL then PenColour_=wxColour_ctor()
  if PenWidth_<1 then PenWidth_=1
  self = wxPen_ctor(PenColour_,PenWidth_,PenStyle_)
end constructor

constructor wxPen(Other as _wxPen ptr)
 self = wxPen_clone(Other)
end constructor

sub wxPen.Set(other as _wxPen ptr)
  wxPen_Set(self,other)
end sub

property wxPen.Width(PenWidth_ as wxInt)
  if PenWidth_<1 then PenWidth_=1
  wxPen_SetWidth(self,Penwidth_)
end property
property wxPen.Width as wxInt
  return wxPen_GetWidth(self)
end property

property wxPen.Colour(PenColour_ as _wxColour ptr)
  wxPen_SetColour(self,PenColour_)
end property
property wxPen.Colour as _wxColour ptr
  return wxPen_GetColour(self)
end property

property wxPen.CapStyle(CapStyle_ as wxCapStyle)
  wxPen_SetCap(self,CapStyle_)
end property
property wxPen.CapStyle as wxCapStyle
  return wxPen_GetCap(self)
end property

property wxPen.JoinStyle(JoinStyle_ as wxJoinStyle)
  wxPen_SetJoin(self,JoinStyle_)
end property
property wxPen.JoinStyle as wxJoinStyle
  return wxPen_GetJoin(self)
end property

property wxPen.Style(PenStyle_ as wxPenStyle)
  wxPen_SetStyle(self,PenStyle_)
end property
property wxPen.Style as wxPenStyle
  return wxPen_GetStyle(self)
end property

#endif ' __pen_object_bi__
