#ifndef __region_bi__
#define __region_bi__

#include once "common.bi"

' class wxRegion
_DF(wxRegion_ctor) as _wxRegion ptr

_DF(wxRegion_ctorByCoords) (x as wxCoord, y as wxCoord, w as wxCoord, h as wxCoord) as _wxRegion ptr

_DF(wxRegion_ctorByCorners)(topLeft as _wxPoint ptr, bottomRight as _wxPoint ptr) as _wxRegion ptr

_DF(wxRegion_ctorByRect)   (r as _wxRect ptr) as _wxRegion ptr

_DF(wxRegion_ctorByPoly)   (n as size_t, points as _wxPoint ptr, fillStyle as wxInt) as _wxRegion ptr

_DF(wxRegion_ctorByBitmap) (bitmap as _wxBitmap ptr, transColour as _wxColour ptr, tolerance as wxInt) as _wxRegion ptr

_DF(wxRegion_ctorByRegion) (region as _wxRegion ptr) as _wxRegion ptr

_DS(wxRegion_dtor)         (self as _wxRegion ptr)

_DS(wxRegion_Clear)          (self as _wxRegion ptr)

_DF(wxRegion_Offset)         (self as _wxRegion ptr, x as wxCoord, y as wxCoord) as wxBool

_DF(wxRegion_Union)          (self as _wxRegion ptr, x as wxCoord, y as wxCoord, width as wxCoord, height as wxCoord) as wxBool

_DF(wxRegion_UnionRect)      (self as _wxRegion ptr, r as _wxRect ptr) as wxBool

_DF(wxRegion_UnionRegion)    (self as _wxRegion ptr, region as _wxRegion ptr) as wxBool

_DF(wxRegion_Intersect)      (self as _wxRegion ptr, x as wxCoord, y as wxCoord, width as wxCoord, height as wxCoord) as wxBool

_DF(wxRegion_IntersectRect)  (self as _wxRegion ptr, r as _wxRect ptr) as wxBool

_DF(wxRegion_IntersectRegion)(self as _wxRegion ptr, region as _wxRegion ptr) as wxBool

_DF(wxRegion_Subtract)       (self as _wxRegion ptr, x as wxCoord, y as wxCoord,  width as wxCoord, height as wxCoord) as wxBool

_DF(wxRegion_SubtractRect)   (self as _wxRegion ptr, r as _wxRect ptr) as wxBool

_DF(wxRegion_SubtractRegion) (self as _wxRegion ptr, region as _wxRegion ptr) as wxBool

_DF(wxRegion_Xor)            (self as _wxRegion ptr, x as wxCoord, y as wxCoord, width as wxCoord, height as wxCoord) as wxBool

_DF(wxRegion_XorRect)        (self as _wxRegion ptr, r as _wxRect ptr) as wxBool

_DF(wxRegion_XorRegion)      (self as _wxRegion ptr, region as _wxRegion ptr) as wxBool

_DF(wxRegion_ContainsCoords) (self as _wxRegion ptr, x as wxInt, y as wxInt) as wxRegionContain

_DF(wxRegion_ContainsPoint)  (self as _wxRegion ptr, p as _wxPoint ptr) as wxRegionContain

_DF(wxRegion_ContainsRectCoords)(self as _wxRegion ptr, x as wxInt, y as wxInt, width as wxInt, height as wxInt) as wxRegionContain

_DF(wxRegion_ContainsRect)   (self as _wxRegion ptr, r as _wxRect ptr) as wxRegionContain

_DS(wxRegion_GetBox)         (self as _wxRegion ptr, r as _wxRect ptr)

_DF(wxRegion_IsEmpty)        (self as _wxRegion ptr) as wxBool

_DF(wxRegion_ConvertToBitmap)(self as _wxRegion ptr) as _wxBitmap ptr

_DF(wxRegion_UnionBitmap)    (self as _wxRegion ptr, bitmap as _wxBitmap ptr, transColour as _wxColour ptr, tolerance as wxInt) as wxBool

' class wxRegionIterator
_DF(wxRegionIterator_ctor) as _wxRegionIterator ptr

_DF(wxRegionIterator_ctorByRegion) (region as _wxRegion ptr) as _wxRegionIterator ptr

_DS(wxRegionIterator_Reset)        (self as _wxRegionIterator ptr)

_DS(wxRegionIterator_ResetToRegion)(self as _wxRegionIterator ptr, region as _wxRegion ptr)

_DF(wxRegionIterator_HaveRects)    (self as _wxRegionIterator ptr) as wxBool

_DF(wxRegionIterator_GetX)         (self as _wxRegionIterator ptr) as wxCoord

_DF(wxRegionIterator_GetY)         (self as _wxRegionIterator ptr) as wxCoord

_DF(wxRegionIterator_GetW)         (self as _wxRegionIterator ptr) as wxCoord

_DF(wxRegionIterator_GetWidth)     (self as _wxRegionIterator ptr) as wxCoord

_DF(wxRegionIterator_GetH)         (self as _wxRegionIterator ptr) as wxCoord

_DF(wxRegionIterator_GetHeight)    (self as _wxRegionIterator ptr) as wxCoord

_DS(wxRegionIterator_GetRect)      (self as _wxRegionIterator ptr, r as _wxRect ptr)

#endif ' __region_bi__
