#ifndef __sashwindow_bi__
#define __sashwindow_bi__

#include once "common.bi"

' class wxSashEdge
_DF(wxSashEdge_ctor)() as _wxSashEdge ptr

_DS(wxSashEdge_dtor)(self as _wxSashEdge ptr)

_DF(wxSashEdge_m_show)(self as _wxSashEdge ptr) as wxBool 

_DF(wxSashEdge_m_border)(self as _wxSashEdge ptr) as wxBool

_DF(wxSashEdge_m_margin)(self as _wxSashEdge ptr) as wxInt


' class wxSashWindow
_DF(wxSashWindow_ctor)() as _wxSashWindow ptr  

_DF(wxSashWindow_Create)(self    as _wxSashWindow ptr     , _
                         parent  as _wxWindow     ptr     , _
                         id      as  wxWindowID       = -1, _
                         x       as  wxInt            = -1, _
                         y       as  wxInt            = -1, _
                         w       as  wxInt            = -1, _
                         h       as  wxInt            = -1, _
                         style   as  wxUInt           =  0, _
                         nameArg as _wxString     ptr = WX_NULL) as wxBool

_DS(wxSashWindow_SetSashVisible)(self as _wxSashWindow ptr, edge as wxSashEdgePosition,flag as wxBool)

_DF(wxSashWindow_GetSashVisible)(self as _wxSashWindow ptr, edge as wxSashEdgePosition) as wxBool

_DS(wxSashWindow_SetSashBorder)(self as _wxSashWindow ptr, edge as wxSashEdgePosition, flag as wxBool)

_DF(wxSashWindow_HasBorder)(self as _wxSashWindow ptr, edge as wxSashEdgePosition) as wxBool

_DF(wxSashWindow_GetEdgeMargin)(self as _wxSashWindow ptr, edge as wxSashEdgePosition) as wxInt

_DS(wxSashWindow_SetDefaultBorderSize)(self as _wxSashWindow ptr, w as wxInt)

_DF(wxSashWindow_GetDefaultBorderSize)(self as _wxSashWindow ptr) as wxInt

_DS(wxSashWindow_SetExtraBorderSize)(self as _wxSashWindow ptr, w as wxInt)

_DF(wxSashWindow_GetExtraBorderSize)(self as _wxSashWindow ptr) as wxInt

_DS(wxSashWindow_SetMinimumSizeX)(self as _wxSashWindow ptr, min as wxInt)

_DS(wxSashWindow_SetMinimumSizeY)(self as _wxSashWindow ptr, min as wxInt)

_DF(wxSashWindow_GetMinimumSizeX)(self as _wxSashWindow ptr) as wxInt

_DF(wxSashWindow_GetMinimumSizeY)(self as _wxSashWindow ptr) as wxInt

_DS(wxSashWindow_SetMaximumSizeX)(self as _wxSashWindow ptr, max as wxInt)

_DS(wxSashWindow_SetMaximumSizeY)(self as _wxSashWindow ptr, max as wxInt)

_DF(wxSashWindow_GetMaximumSizeX)(self as _wxSashWindow ptr) as wxInt

_DF(wxSashWindow_GetMaximumSizeY)(self as _wxSashWindow ptr) as wxInt


' class wxSashEvent
_DF(wxSashEvent_ctor)(id as wxInt, edge as wxSashEdgePosition) as _wxSashEvent ptr

_DS(wxSashEvent_SetEdge)(self as _wxSashEvent ptr, edge as wxSashEdgePosition)

_DF(wxSashEvent_GetEdge)(self as _wxSashEvent ptr) as wxSashEdgePosition ptr

_DS(wxSashEvent_SetDragRect)(self as _wxSashEvent ptr, r as _wxRect ptr)

_DS(wxSashEvent_GetDragRect)(self as _wxSashEvent ptr, r as _wxRect ptr)

_DS(wxSashEvent_SetDragStatus)(self as _wxSashEvent ptr, status as wxSashDragStatus)

_DF(wxSashEvent_GetDragStatus)(self as _wxSashEvent ptr) as wxSashDragStatus

#endif ' __sashwindow_bi__