#ifndef __sizer_bi__

#include once "common.bi"

_DS(wxSizer_AddWindow)(self       as _wxSizer ptr, _
                       win        as _wxWindow ptr, _
                       proportion as  wxInt=-1, _
                       flag       as  wxInt=-1, _
                       border     as  wxInt=-1, _
                       userData   as _wxObject ptr=WX_NULL)

_DS(wxSizer_AddSizer)(self       as _wxSizer ptr, _
                      sizer      as _wxSizer ptr, _
                      proportion as  wxInt=-1, _
                      flag       as  wxInt=-1, _
                      border     as  wxInt=-1, _
                      userData   as _wxObject ptr=WX_NULL)

_DS(wxSizer_Add)(self as _wxSizer ptr, w as wxInt, h as wxInt, proportion as wxInt, flag as wxInt, border as wxInt, userData as _wxObject ptr=WX_NULL)

_DS(wxSizer_Fit)(self as _wxSizer ptr, win as _wxWindow ptr, size as _wxSize ptr)

_DS(wxSizer_FitInside)(self as _wxSizer ptr, win as _wxWindow ptr)

_DS(wxSizer_InsertWindow)(self as _wxSizer ptr, before as wxInt, win   as _wxWindow ptr, iOption as wxInt, flag as wxInt, border as wxInt, userData as _wxObject ptr=WX_NULL)

_DS(wxSizer_InsertSizer) (self as _wxSizer ptr, before as wxInt, sizer as _wxSizer  ptr, iOption as wxInt, flag as wxInt, border as wxInt, userData as _wxObject ptr=WX_NULL)

_DS(wxSizer_Insert)(self as _wxSizer ptr, before as wxInt, w as wxInt, h as wxInt, iOption as wxInt, flag as wxInt, border as wxInt, userData as _wxObject ptr=WX_NULL)

_DS(wxSizer_PrependWindow)(self as _wxSizer ptr, win as _wxWindow ptr, iOption as wxInt, flag as wxInt, border as wxInt, userData as _wxObject ptr=WX_NULL)

_DS(wxSizer_PrependSizer)(self as _wxSizer ptr, sizer as _wxSizer ptr, iOption as wxInt, flag as wxInt, border as wxInt, userData as _wxObject ptr=WX_NULL)

_DS(wxSizer_Prepend)(self as _wxSizer ptr, w as wxInt, h as wxInt, iOption as wxInt, flag as wxInt, border as wxInt, userData as _wxObject ptr=WX_NULL)

_DF(wxSizer_RemoveWindow)(self as _wxSizer ptr, win as _wxWindow ptr) as wxBool

_DF(wxSizer_RemoveSizer)(self as _wxSizer ptr, sizer as _wxSizer ptr) as wxBool

_DF(wxSizer_Remove)(self as _wxSizer ptr, iPos as wxInt) as wxBool

_DS(wxSizer_Clear)(self as _wxSizer ptr, deleteWindows as wxBool)

_DS(wxSizer_DeleteWindows)(self as _wxSizer ptr)

_DS(wxSizer_SetMinSize)(self as _wxSizer ptr, size as _wxSize ptr)

_DF(wxSizer_SetItemMinSizeWindow)(self as _wxSizer ptr, win as _wxWindow ptr, size as _wxSize ptr) as wxBool

_DF(wxSizer_SetItemMinSizeSizer)(self as _wxSizer ptr, sizer as _wxSizer ptr, size as _wxSize ptr) as wxBool

_DF(wxSizer_SetItemMinSize)(self as _wxSizer ptr, iPos as wxInt, size as _wxSize ptr) as wxBool

_DS(wxSizer_GetSize)(self as _wxSizer ptr, size as _wxSize ptr)

_DS(wxSizer_GetPosition)(self as _wxSizer ptr, pt as _wxPoint ptr)

_DS(wxSizer_GetMinSize)(self as _wxSizer ptr, size as _wxSize ptr)

_DS(wxSizer_RecalcSizes)(self as _wxSizer ptr)

_DS(wxSizer_CalcMin)(self as _wxSizer ptr, size as _wxSize ptr)

_DS(wxSizer_Layout)(self as _wxSizer ptr)

_DS(wxSizer_SetSizeHints)(self as _wxSizer ptr, win as _wxWindow ptr)

_DS(wxSizer_SetVirtualSizeHints)(self as _wxSizer ptr, win as _wxWindow ptr)

_DS(wxSizer_SetDimension)(self as _wxSizer ptr, x as wxInt, y as wxInt, w as wxInt, h as wxInt)

_DS(wxSizer_ShowWindow)(self as _wxSizer ptr, win as _wxWindow ptr, show as wxBool)

_DS(wxSizer_HideWindow)(self as _wxSizer ptr, win as _wxWindow ptr)

_DS(wxSizer_ShowSizer)(self as _wxSizer ptr, sizer as _wxSizer ptr, show as wxBool)

_DS(wxSizer_HideSizer)(self as _wxSizer ptr, sizer as _wxSizer ptr)

_DF(wxSizer_IsShownWindow)(self as _wxSizer ptr, win as _wxWindow ptr) as wxBool

_DF(wxSizer_IsShownSizer)(self as _wxSizer ptr, sizer as _wxSizer ptr) as wxBool

_DF(wxSizer_Detach)(self as _wxSizer ptr, win as _wxWindow ptr) as wxBool

_DF(wxSizer_Detach2)(self as _wxSizer ptr, sizer as _wxSizer ptr) as wxBool

_DF(wxSizer_Detach3)(self as _wxSizer ptr, index as wxInt) as wxBool

#endif ' __sizer_bi__
