#ifndef __spinctrl_bi__
#define __spinctrl_bi__

#include once "common.bi"

_DF(wxSpinCtrl_ctor)() as _wxSpinCtrl ptr

_DF(wxSpinCtrl_Create)(self     as _wxSpinCtrl ptr, _
                       parent   as _wxWindow   ptr, _
                       id       as  wxWindowID=-1, _
                       valueArg as _wxString   ptr, _
                       x        as  wxInt=-1, _
                       y        as  wxInt=-1, _
                       w        as  wxInt=-1, _
                       h        as  wxInt=-1, _
                       style    as  wxUint=0, _
                       min      as  wxInt=  0, _
                       max      as  wxInt=100, _
                       initial  as  wxInt=  0, _
                       nameArg  as _wxString ptr=WX_NULL) as wxBOOL

_DS(wxSpinCtrl_dtor)(self as _wxSpinCtrl ptr)

_DS(wxSpinCtrl_SetValue)(self as _wxSpinCtrl ptr, Value as wxInt)

_DS(wxSpinCtrl_SetValueStr)(self as _wxSpinCtrl ptr, Value as _wxString ptr)

_DS(wxSpinCtrl_SetRange)(self as _wxSpinCtrl ptr, min as wxInt, max as wxInt)

_DF(wxSpinCtrl_GetValue)(self as _wxSpinCtrl ptr) as wxInt

_DF(wxSpinCtrl_GetMin)(self as _wxSpinCtrl ptr) as wxInt

_DF(wxSpinCtrl_GetMax)(self as _wxSpinCtrl ptr) as wxInt

#endif ' __spinctrl_bi__
