#ifndef __staticbox_object_bi__
#define __staticbox_object_bi__

#include once "staticbox.bi"

type wxStaticBox
  declare constructor
  declare operator cast as _wxWindow ptr

  declare function Create(parent   as _wxWindow ptr   , _
                          id       as  wxWindowID = -1, _
                          labelArg as  String     = "Label", _
                          x        as  wxInt      = -1, _
                          y        as  wxInt      = -1, _
                          w        as  wxInt      = -1, _
                          h        as  wxInt      = -1, _
                          style    as  wxUInt     =  0, _
                          nameArg  as  String     = "wxStaticBox") as wxBool
  private:
  as _wxStaticBox ptr self
end type

constructor wxStaticBox
  dprint("wxStaticBox()")
end constructor

operator wxStaticBox.cast as _wxWindow ptr
  return cptr(_wxWindow ptr,self)
end operator

function wxStaticBox.Create(parent   as _wxWindow ptr, _
                            id       as  wxWindowID  , _
                            labelArg as  String      , _
                            x        as  wxInt       , _
                            y        as  wxInt       , _
                            w        as  wxInt       , _
                            h        as  wxInt       , _
                            style    as  wxUInt      , _
                            nameArg  as  String) as wxBool
  if (self=WX_NULL) then
    self = wxStaticBox_ctor()
  end if  
  return wxStaticBox_create(self,parent,id,wxString(labelArg),x,y,w,h,style,wxString(nameArg))
end function

#endif ' __staticbox_object_bi__
