#ifndef __staticline_object_bi__
#define __staticline_object_bi__

#include once "staticline.bi"

type wxStaticLine
  declare constructor
  
  declare operator Cast as _wxWindow ptr
  
  declare function Create(parent  as _wxWindow  ptr     , _
                          id      as  wxWindowID = -1, _
                          x       as  wxInt      = -1, _
                          y       as  wxInt      = -1, _
                          w       as  wxInt      = -1, _
                          h       as  wxInt      = -1, _
                          style   as  wxUInt     =  0, _
                          nameArg as String      = "wxStaticLine") as wxBool

  declare function IsVertical as wxBool

  declare function DefaultSize as wxInt
  private:
  as _wxStaticLine ptr self
end type

constructor wxStaticLine
  dprint("wxStaticLine()")
end constructor

operator wxStaticLine.Cast as _wxWindow ptr
  return cptr(_wxwindow ptr,self)
end operator

function wxStaticLine.Create(parent  as _wxWindow ptr, _
                             id      as  wxWindowID, _
                             x       as  wxInt , _
                             y       as  wxInt , _
                             w       as  wxInt , _
                             h       as  wxInt , _
                             style   as  wxUInt, _
                             nameArg as String) as wxBool
  if (self=NULL) then
    self = wxStaticLine_ctor()
    dprint("wxStaticLine_ctor()")
  end if  
  return wxStaticLine_Create(self,parent,id,x,y,w,h,style,wxString(nameArg))
end function

function wxStaticLine.IsVertical as wxBool
  return wxStaticLine_IsVertical(self)
end function

function wxStaticLine.DefaultSize as wxInt
  return wxStaticLine_GetDefaultSize(self)
end function

#endif ' __staticline_object_bi__
