#ifndef __styledtextctrl_bi__
#define __styledtextctrl_bi__

#include "common.bi"

' Event types
_DF(wxStyledTextCtrl_EVT_STC_CHANGE) as wxInt
_DF(wxStyledTextCtrl_EVT_STC_STYLENEEDED) as wxInt
_DF(wxStyledTextCtrl_EVT_STC_CHARADDED) as wxInt
_DF(wxStyledTextCtrl_EVT_STC_SAVEPOINTREACHED) as wxInt
_DF(wxStyledTextCtrl_EVT_STC_SAVEPOINTLEFT) as wxInt
_DF(wxStyledTextCtrl_EVT_STC_ROMODIFYATTEMPT) as wxInt
_DF(wxStyledTextCtrl_EVT_STC_KEY) as wxInt
_DF(wxStyledTextCtrl_EVT_STC_DOUBLECLICK) as wxInt
_DF(wxStyledTextCtrl_EVT_STC_UPDATEUI) as wxInt
_DF(wxStyledTextCtrl_EVT_STC_MODIFIED)  as wxInt
_DF(wxStyledTextCtrl_EVT_STC_MACRORECORD)  as wxInt
_DF(wxStyledTextCtrl_EVT_STC_MARGINCLICK) as wxInt
_DF(wxStyledTextCtrl_EVT_STC_NEEDSHOWN) as wxInt
_DF(wxStyledTextCtrl_EVT_STC_PAINTED) as wxInt
_DF(wxStyledTextCtrl_EVT_STC_USERLISTSELECTION)  as wxInt
_DF(wxStyledTextCtrl_EVT_STC_URIDROPPED) as wxInt
_DF(wxStyledTextCtrl_EVT_STC_DWELLSTART) as wxInt
_DF(wxStyledTextCtrl_EVT_STC_DWELLEND) as wxInt
_DF(wxStyledTextCtrl_EVT_STC_START_DRAG) as wxInt
_DF(wxStyledTextCtrl_EVT_STC_DRAG_OVER) as wxInt
_DF(wxStyledTextCtrl_EVT_STC_DO_DROP) as wxInt
_DF(wxStyledTextCtrl_EVT_STC_ZOOM) as wxInt
_DF(wxStyledTextCtrl_EVT_STC_HOTSPOT_CLICK) as wxInt
_DF(wxStyledTextCtrl_EVT_STC_HOTSPOT_DCLICK) as wxInt
_DF(wxStyledTextCtrl_EVT_STC_CALLTIP_CLICK) as wxInt

' class wxStyledTextCtrl
_DF(wxStyledTextCtrl_ctor)(parent  as _wxWindow ptr, _
                           id      as  wxWindowID, _
                           x       as  wxInt, _
                           y       as  wxInt, _
                           w       as  wxInt, _
                           h       as  wxInt, _
                           style   as  wxUInt, _
                           nameArg as _wxString ptr) as _wxStyledTextCtrl ptr

_DS(wxStyledtextCtrl_dtor)(obj as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_AddText)(self as _wxStyledTextCtrl ptr, txt as _wxString ptr)

_DS(wxStyledTextCtrl_AddStyledText)(self as _wxStyledTextCtrl ptr,pData as _wxMemoryBuffer ptr)

_DS(wxStyledTextCtrl_InsertText)(self as _wxStyledTextCtrl ptr, p as wxInt, txt as _wxString ptr)

_DS(wxStyledTextCtrl_ClearAll)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_ClearDocumentStyle)(self as _wxStyledTextCtrl ptr)

_DF(wxStyledTextCtrl_GetLength)(self as _wxStyledTextCtrl ptr) as wxInt

_DF(wxStyledTextCtrl_GetCharAt)(self as _wxStyledTextCtrl ptr, p as wxInt) as wxInt

_DF(wxStyledTextCtrl_GetCurrentPos)(self as _wxStyledTextCtrl ptr) as wxInt

_DF(wxStyledTextCtrl_GetAnchor)(self as _wxStyledTextCtrl ptr) as wxInt

_DF(wxStyledTextCtrl_GetStyleAt)(self as _wxStyledTextCtrl ptr, p as wxInt) as wxInt

_DF(wxStyledTextCtrl_CanRedo)(self as _wxStyledTextCtrl ptr) as wxBool
_DS(wxStyledTextCtrl_Redo)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_SetUndoCollection)(self as _wxStyledTextCtrl ptr, collectUndo as wxBool)

_DS(wxStyledTextCtrl_SelectAll)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_SetSavePoint)(self as _wxStyledTextCtrl ptr)

_DF(wxStyledTextCtrl_GetStyledText)(self as _wxStyledTextCtrl ptr, startPos as wxInt, endPos as wxInt) as _wxMemoryBuffer ptr

_DF(wxStyledTextCtrl_MarkerLineFromHandle)(self as _wxStyledTextCtrl ptr, handle as wxInt) as wxInt

_DS(wxStyledTextCtrl_MarkerDeleteHandle)(self as _wxStyledTextCtrl ptr, handle as wxInt)

_DF(wxStyledTextCtrl_GetUndoCollection)(self as _wxStyledTextCtrl ptr) as wxBool 

_DS(wxStyledTextCtrl_SetViewWhiteSpace)(self as _wxStyledTextCtrl ptr, viewWS as wxInt)
_DF(wxStyledTextCtrl_GetViewWhiteSpace)(self as _wxStyledTextCtrl ptr) as wxInt

_DF(wxStyledTextCtrl_PositionFromPoint)(self as _wxStyledTextCtrl ptr, pt as _wxPoint ptr) as wxInt

_DF(wxStyledTextCtrl_PositionFromPointClose)(self as _wxStyledTextCtrl ptr, x as wxInt, y as wxInt) as wxInt

_DS(wxStyledTextCtrl_GotoLine)(self as _wxStyledTextCtrl ptr, line_ as wxInt)

_DS(wxStyledTextCtrl_GotoPos)(self as _wxStyledTextCtrl ptr, p as wxInt)

_DS(wxStyledTextCtrl_SetAnchor)(self as _wxStyledTextCtrl ptr, AnchorPos as wxInt)

_DF(wxStyledTextCtrl_GetCurLine)(self as _wxStyledTextCtrl ptr, linePos as wxInt ptr) as _wxString ptr

_DF(wxStyledTextCtrl_GetEndStyled)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_ConvertEOLs)(self as _wxStyledTextCtrl ptr, eolMode as wxInt)

_DS(wxStyledTextCtrl_SetEOLMode)(self as _wxStyledTextCtrl ptr, eolMode as wxInt)
_DF(wxStyledTextCtrl_GetEOLMode)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_StartStyling)(self as _wxStyledTextCtrl ptr, p as wxInt, mask as wxInt)

_DS(wxStyledTextCtrl_SetStyling)(self as _wxStyledTextCtrl ptr, length as wxInt, style as wxInt)

_DS(wxStyledTextCtrl_SetBufferedDraw)(self as _wxStyledTextCtrl ptr, buffered as wxBool)
_DF(wxStyledTextCtrl_GetBufferedDraw)(self as _wxStyledTextCtrl ptr) as wxBool

_DF(wxStyledTextCtrl_GetTabWidth)(self as _wxStyledTextCtrl ptr) as wxInt
_DS(wxStyledTextCtrl_SetTabWidth)(self as _wxStyledTextCtrl ptr, tabWidth as wxInt)

_DS(wxStyledTextCtrl_SetCodePage)(self as _wxStyledTextCtrl ptr, codePage as wxInt)

_DS(wxStyledTextCtrl_MarkerDefine)(self as _wxStyledTextCtrl ptr, markerNumber as wxInt, markerSymbol as wxInt, fg as _wxColour ptr, bg as _wxColour ptr)

_DS(wxStyledTextCtrl_MarkerSetForeground)(self as _wxStyledTextCtrl ptr, markerNumber as wxInt, fg as _wxColour ptr)

_DS(wxStyledTextCtrl_MarkerSetBackground)(self as _wxStyledTextCtrl ptr, markerNumber as wxInt, bg as _wxColour ptr)

_DF(wxStyledTextCtrl_MarkerAdd)(self as _wxStyledTextCtrl ptr, line_ as wxInt, markerNumber as wxInt) as wxInt

_DS(wxStyledTextCtrl_MarkerDelete)(self as _wxStyledTextCtrl ptr, line_ as wxInt, markerNumber as wxInt)

_DS(wxStyledTextCtrl_MarkerDeleteAll)(self as _wxStyledTextCtrl ptr, markerNumber as wxInt)

_DF(wxStyledTextCtrl_MarkerGet)(self as _wxStyledTextCtrl ptr, line_ as wxInt) as wxInt

_DF(wxStyledTextCtrl_MarkerNext)(self as _wxStyledTextCtrl ptr, lineStart as wxInt, markerMask as wxInt) as wxInt

_DF(wxStyledTextCtrl_MarkerPrevious)(self as _wxStyledTextCtrl ptr, lineStart as wxInt, markerMask as wxInt) as wxInt

_DS(wxStyledTextCtrl_MarkerDefineBitmap)(self as _wxStyledTextCtrl ptr, markerNumber as wxInt, bitmap as _wxBitmap ptr)

_DS(wxStyledTextCtrl_SetMarginType)(self as _wxStyledTextCtrl ptr, margin as wxInt, marginType as wxInt)
_DF(wxStyledTextCtrl_GetMarginType)(self as _wxStyledTextCtrl ptr, margin as wxInt) as wxInt

_DS(wxStyledTextCtrl_SetMarginWidth)(self as _wxStyledTextCtrl ptr, margin as wxInt, pixelWidth as wxInt)
_DF(wxStyledTextCtrl_GetMarginWidth)(self as _wxStyledTextCtrl ptr, margin as wxInt) as wxInt

_DS(wxStyledTextCtrl_SetMarginMask)(self as _wxStyledTextCtrl ptr, margin as wxInt, mask as wxInt)
_DF(wxStyledTextCtrl_GetMarginMask)(self as _wxStyledTextCtrl ptr, margin as wxInt) as wxInt

_DS(wxStyledTextCtrl_SetMarginSensitive)(self as _wxStyledTextCtrl ptr, margin as wxInt, sensitive as wxInt)
_DF(wxStyledTextCtrl_GetMarginSensitive)(self as _wxStyledTextCtrl ptr, margin as wxInt) as wxBool

_DS(wxStyledTextCtrl_StyleClearAll)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_StyleSetForeground)(self as _wxStyledTextCtrl ptr, style as wxInt, fg as _wxColour ptr)

_DS(wxStyledTextCtrl_StyleSetBackground)(self as _wxStyledTextCtrl ptr, style as wxInt, bg as _wxColour ptr)

_DS(wxStyledTextCtrl_StyleSetBold)(self as _wxStyledTextCtrl ptr, style as wxInt, boold as wxBool)

_DS(wxStyledTextCtrl_StyleSetItalic)(self as _wxStyledTextCtrl ptr, style as wxInt, italic as wxBool)

_DS(wxStyledTextCtrl_StyleSetSize)(self as _wxStyledTextCtrl ptr, style as wxInt, sizePoints as wxBool)

_DS(wxStyledTextCtrl_StyleSetFaceName)(self as _wxStyledTextCtrl ptr, style as wxInt, fontName as _wxString ptr)

_DS(wxStyledTextCtrl_StyleSetEOLFilled)(self as _wxStyledTextCtrl ptr, style as wxInt, filled as wxBool)

_DS(wxStyledTextCtrl_StyleResetDefault)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_StyleSetUnderline)(self as _wxStyledTextCtrl ptr, style as wxInt, underline as wxBool)

_DS(wxStyledTextCtrl_StyleSetCase)(self as _wxStyledTextCtrl ptr, style as wxInt, caseForce as wxInt)

_DS(wxStyledTextCtrl_StyleSetCharacterSet)(self as _wxStyledTextCtrl ptr, style as wxInt, characterSet as wxInt)

_DS(wxStyledTextCtrl_StyleSetHotSpot)(self as _wxStyledTextCtrl ptr, style as wxInt, hotspot as wxBool)

_DS(wxStyledTextCtrl_SetSelForeground)(self as _wxStyledTextCtrl ptr, useSetting as wxBool, fg as _wxColour ptr)

_DS(wxStyledTextCtrl_SetSelBackground)(self as _wxStyledTextCtrl ptr, useSetting as wxBool, bg as _wxColour ptr)

_DS(wxStyledTextCtrl_SetCaretForeground)(self as _wxStyledTextCtrl ptr, fg as _wxColour ptr)

_DS(wxStyledTextCtrl_CmdKeyAssign)(self as _wxStyledTextCtrl ptr, key as wxInt, modifiers as wxInt, cmd as wxInt)

_DS(wxStyledTextCtrl_CmdKeyClear)(self as _wxStyledTextCtrl ptr, key as wxInt, modifiers as wxInt)

_DS(wxStyledTextCtrl_CmdKeyClearAll)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_SetStyleBytes)(self as _wxStyledTextCtrl ptr, length as wxInt, styleBytes as wxChar ptr)

_DS(wxStyledTextCtrl_StyleSetVisible)(self as _wxStyledTextCtrl ptr, style as wxInt, visible as wxBool)

_DF(wxStyledTextCtrl_GetCaretPeriod)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_SetCaretPeriod)(self as _wxStyledTextCtrl ptr, periodMilliseconds as wxInt)

_DS(wxStyledTextCtrl_SetWordChars)(self as _wxStyledTextCtrl ptr, charsacters as _wxString ptr)

_DS(wxStyledTextCtrl_BeginUndoAction)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_EndUndoAction)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_IndicatorSetStyle)(self as _wxStyledTextCtrl ptr, indic as wxInt, style as wxInt)
_DF(wxStyledTextCtrl_IndicatorGetStyle)(self as _wxStyledTextCtrl ptr, indic as wxInt) as wxInt

_DS(wxStyledTextCtrl_IndicatorSetForeground)(self as _wxStyledTextCtrl ptr, indic as wxInt, fg as _wxColour ptr)
_DF(wxStyledTextCtrl_IndicatorGetForeground)(self as _wxStyledTextCtrl ptr, indic as wxInt) as _wxColour ptr

_DS(wxStyledTextCtrl_SetWhitespaceForeground)(self as _wxStyledTextCtrl ptr, useSetting as wxBool, fg as _wxColour ptr)

_DS(wxStyledTextCtrl_SetWhitespaceBackground)(self as _wxStyledTextCtrl ptr, useSetting as wxBool, bg as _wxColour ptr)

_DS(wxStyledTextCtrl_SetStyleBits)(self as _wxStyledTextCtrl ptr, bits as wxInt)
_DF(wxStyledTextCtrl_GetStyleBits)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_SetLineState)(self as _wxStyledTextCtrl ptr, line_ as wxInt, state as wxInt)
_DF(wxStyledTextCtrl_GetLineState)(self as _wxStyledTextCtrl ptr, line_ as wxInt) as wxInt

_DF(wxStyledTextCtrl_GetMaxLineState)(self as _wxStyledTextCtrl ptr) as wxInt

_DF(wxStyledTextCtrl_GetCaretLineVisible)(self as _wxStyledTextCtrl ptr) as wxBool

_DS(wxStyledTextCtrl_SetCaretLineVisible)(self as _wxStyledTextCtrl ptr, show as wxBool)

_DS(wxStyledTextCtrl_SetCaretLineBack)(self as _wxStyledTextCtrl ptr, bg as _wxColour ptr)
_DF(wxStyledTextCtrl_GetCaretLineBack)(self as _wxStyledTextCtrl ptr) as _wxColour ptr

_DS(wxStyledTextCtrl_StyleSetChangeable)(self as _wxStyledTextCtrl ptr, style as wxInt, changeable as wxBool)

_DS(wxStyledTextCtrl_AutoCompShow)(self as _wxStyledTextCtrl ptr, lenEntered as wxInt, itemList as _wxString ptr)

_DS(wxStyledTextCtrl_AutoCompCancel)(self as _wxStyledTextCtrl ptr)

_DF(wxStyledTextCtrl_AutoCompActive)(self as _wxStyledTextCtrl ptr) as wxBool

_DF(wxStyledTextCtrl_AutoCompPosStart)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_AutoCompComplete)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_AutoCompStops)(self as _wxStyledTextCtrl ptr, charsacters as _wxString ptr)

_DS(wxStyledTextCtrl_AutoCompSetSeparator)(self as _wxStyledTextCtrl ptr, separatorCharacter as wxInt)
_DF(wxStyledTextCtrl_AutoCompGetSeparator)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_AutoCompSelect)(self as _wxStyledTextCtrl ptr, txt as _wxString ptr)

_DS(wxStyledTextCtrl_AutoCompSetCancelAtStart)(self as _wxStyledTextCtrl ptr, cancel as wxBool)
_DF(wxStyledTextCtrl_AutoCompGetCancelAtStart)(self as _wxStyledTextCtrl ptr) as wxBool

_DS(wxStyledTextCtrl_AutoCompSetFillUps)(self as _wxStyledTextCtrl ptr, charsacters as _wxString ptr)

_DS(wxStyledTextCtrl_AutoCompSetChooseSingle)(self as _wxStyledTextCtrl ptr, chooseSingle as wxBool)
_DF(wxStyledTextCtrl_AutoCompGetChooseSingle)(self as _wxStyledTextCtrl ptr) as wxBool

_DS(wxStyledTextCtrl_AutoCompSetIgnoreCase)(self as _wxStyledTextCtrl ptr, ignoreCase as wxBool)
_DF(wxStyledTextCtrl_AutoCompGetIgnoreCase)(self as _wxStyledTextCtrl ptr) as wxBool 

_DS(wxStyledTextCtrl_UserListShow)(self as _wxStyledTextCtrl ptr, listType as wxInt, itermlist as _wxString ptr)

_DS(wxStyledTextCtrl_AutoCompSetAutoHide)(self as _wxStyledTextCtrl ptr, autoHide as wxBool)
_DF(wxStyledTextCtrl_AutoCompGetAutoHide)(self as _wxStyledTextCtrl ptr) as wxBool

_DS(wxStyledTextCtrl_AutoCompSetDropRestOfWord)(self as _wxStyledTextCtrl ptr, dropRestOfWord as wxBool)
_DF(wxStyledTextCtrl_AutoCompGetDropRestOfWord)(self as _wxStyledTextCtrl ptr) as wxBool

_DS(wxStyledTextCtrl_RegisterImage)(self as _wxStyledTextCtrl ptr, typ as wxInt, bitmap as _wxBitmap ptr)

_DS(wxStyledTextCtrl_ClearRegisteredImages)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_AutoCompSetTypeSeparator)(self as _wxStyledTextCtrl ptr, separatorCharacter as wxInt)
_DF(wxStyledTextCtrl_AutoCompGetTypeSeparator)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_SetIndent)(self as _wxStyledTextCtrl ptr, indentSize as wxInt)
_DF(wxStyledTextCtrl_GetIndent)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_SetUseTabs)(self as _wxStyledTextCtrl ptr, useTab as wxBool)
_DF(wxStyledTextCtrl_GetUseTabs)(self as _wxStyledTextCtrl ptr) as wxBool

_DS(wxStyledTextCtrl_SetLineIndentation)(self as _wxStyledTextCtrl ptr, line_ as wxInt, indentSize as wxInt)
_DF(wxStyledTextCtrl_GetLineIndentation)(self as _wxStyledTextCtrl ptr, line_ as wxInt) as wxInt

_DF(wxStyledTextCtrl_GetLineIndentPosition)(self as _wxStyledTextCtrl ptr, line_ as wxInt) as wxInt

_DF(wxStyledTextCtrl_GetColumn)(self as _wxStyledTextCtrl ptr, p as wxInt) as wxInt

_DS(wxStyledTextCtrl_SetUseHorizontalScrollBar)(self as _wxStyledTextCtrl ptr, show as wxBool)
_DF(wxStyledTextCtrl_GetUseHorizontalScrollBar)(self as _wxStyledTextCtrl ptr) as wxBool

_DS(wxStyledTextCtrl_SetIndentationGuides)(self as _wxStyledTextCtrl ptr, show as wxBool)
_DF(wxStyledTextCtrl_GetIndentationGuides)(self as _wxStyledTextCtrl ptr) as wxBool

_DS(wxStyledTextCtrl_SetHighlightGuide)(self as _wxStyledTextCtrl ptr, column as wxInt)
_DF(wxStyledTextCtrl_GetHighlightGuide)(self as _wxStyledTextCtrl ptr) as wxInt

_DF(wxStyledTextCtrl_GetLineEndPosition)(self as _wxStyledTextCtrl ptr, line_ as wxInt) as wxInt

_DF(wxStyledTextCtrl_GetCodePage)(self as _wxStyledTextCtrl ptr) as wxInt

_DF(wxStyledTextCtrl_GetCaretForeground)(self as _wxStyledTextCtrl ptr) as _wxColour ptr

_DF(wxStyledTextCtrl_GetReadOnly)(self as _wxStyledTextCtrl ptr) as wxBool

_DS(wxStyledTextCtrl_SetCurrentPos)(self as _wxStyledTextCtrl ptr, p as wxInt)

_DS(wxStyledTextCtrl_SetSelectionStart)(self as _wxStyledTextCtrl ptr, p as wxInt)
_DF(wxStyledTextCtrl_GetSelectionStart)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_SetSelectionEnd)(self as _wxStyledTextCtrl ptr, p as wxInt)
_DF(wxStyledTextCtrl_GetSelectionEnd)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_SetPrintMagnification)(self as _wxStyledTextCtrl ptr, magnification as wxInt)
_DF(wxStyledTextCtrl_GetPrintMagnification)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_SetPrintColourMode)(self as _wxStyledTextCtrl ptr, mode as wxInt)
_DF(wxStyledTextCtrl_GetPrintColourMode)(self as _wxStyledTextCtrl ptr) as wxInt

_DF(wxStyledTextCtrl_FindText)(self as _wxStyledTextCtrl ptr, minPos as wxInt, maxPos as wxInt, txt as _wxString ptr, flags as wxInt) as wxInt

_DF(wxStyledTextCtrl_FormatRange)(self as _wxStyledTextCtrl ptr, doDraw as wxBool, startPos as wxInt, endPos as wxInt, drawDC as _wxDC ptr, targetDC as _wxDC ptr, renderRect as _wxRect ptr, pageRect as _wxRect ptr) as wxInt

_DF(wxStyledTextCtrl_GetFirstVisibleLine)(self as _wxStyledTextCtrl ptr) as wxInt

_DF(wxStyledTextCtrl_GetLine)(self as _wxStyledTextCtrl ptr, line_ as wxInt) as _wxString ptr

_DF(wxStyledTextCtrl_GetLineCount)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_SetMarginLeft)(self as _wxStyledTextCtrl ptr, pixelWidth as wxInt)
_DF(wxStyledTextCtrl_GetMarginLeft)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_SetMarginRight)(self as _wxStyledTextCtrl ptr, pixelWidth as wxInt)
_DF(wxStyledTextCtrl_GetMarginRight)(self as _wxStyledTextCtrl ptr) as wxInt

_DF(wxStyledTextCtrl_GetModify)(self as _wxStyledTextCtrl ptr) as wxBool

_DS(wxStyledTextCtrl_SetSelection)(self as _wxStyledTextCtrl ptr, startPos as wxInt, endPos as wxInt)

_DF(wxStyledTextCtrl_GetSelectedText)(self as _wxStyledTextCtrl ptr) as _wxString ptr

_DF(wxStyledTextCtrl_GetTextRange)(self as _wxStyledTextCtrl ptr, startPos as wxInt, endPos as wxInt) as _wxString ptr

_DS(wxStyledTextCtrl_HideSelection)(self as _wxStyledTextCtrl ptr, normal as wxBool)

_DF(wxStyledTextCtrl_LineFromPosition)(self as _wxStyledTextCtrl ptr, p as wxInt) as wxInt

_DF(wxStyledTextCtrl_PositionFromLine)(self as _wxStyledTextCtrl ptr, line_ as wxInt) as wxInt

_DS(wxStyledTextCtrl_LineScroll)(self as _wxStyledTextCtrl ptr, columns as wxInt, lines as wxInt)

_DS(wxStyledTextCtrl_EnsureCaretVisible)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_ReplaceSelection)(self as _wxStyledTextCtrl ptr, txt as _wxString ptr)

_DS(wxStyledTextCtrl_SetReadOnly)(self as _wxStyledTextCtrl ptr, readOnly as wxBool)

_DF(wxStyledTextCtrl_CanPaste)(self as _wxStyledTextCtrl ptr) as wxBool

_DF(wxStyledTextCtrl_CanUndo)(self as _wxStyledTextCtrl ptr) as wxBool

_DS(wxStyledTextCtrl_EmptyUndoBuffer)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_Undo)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_Cut)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_Copy)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_Paste)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_Clear)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_SetText)(self as _wxStyledTextCtrl ptr, txt as _wxString ptr)
_DF(wxStyledTextCtrl_GetText)(self as _wxStyledTextCtrl ptr) as _wxString ptr

_DF(wxStyledTextCtrl_GetTextLength)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_SetOvertype)(self as _wxStyledTextCtrl ptr, overType as wxBool)
_DF(wxStyledTextCtrl_GetOvertype)(self as _wxStyledTextCtrl ptr) as wxBool

_DS(wxStyledTextCtrl_SetCaretWidth)(self as _wxStyledTextCtrl ptr, pixelWidth as wxInt)
_DF(wxStyledTextCtrl_GetCaretWidth)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_SetTargetStart)(self as _wxStyledTextCtrl ptr, p as wxInt)
_DF(wxStyledTextCtrl_GetTargetStart)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_SetTargetEnd)(self as _wxStyledTextCtrl ptr, p as wxInt)
_DF(wxStyledTextCtrl_GetTargetEnd)(self as _wxStyledTextCtrl ptr) as wxInt

_DF(wxStyledTextCtrl_ReplaceTarget)(self as _wxStyledTextCtrl ptr, txt as _wxString ptr) as wxInt

_DF(wxStyledTextCtrl_ReplaceTargetRE)(self as _wxStyledTextCtrl ptr, txt as _wxString ptr) as wxInt

_DF(wxStyledTextCtrl_SearchInTarget)(self as _wxStyledTextCtrl ptr, txt as _wxString ptr) as wxInt

_DS(wxStyledTextCtrl_SetSearchFlags)(self as _wxStyledTextCtrl ptr, flags as wxInt)
_DF(wxStyledTextCtrl_GetSearchFlags)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_CallTipShow)(self as _wxStyledTextCtrl ptr, p as wxInt, definition as _wxString ptr)

_DS(wxStyledTextCtrl_CallTipCancel)(self as _wxStyledTextCtrl ptr)

_DF(wxStyledTextCtrl_CallTipActive)(self as _wxStyledTextCtrl ptr) as wxBool

_DF(wxStyledTextCtrl_CallTipPosAtStart)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_CallTipSetHighlight)(self as _wxStyledTextCtrl ptr, startPos as wxInt, endPos as wxInt)

_DS(wxStyledTextCtrl_CallTipSetBackground)(self as _wxStyledTextCtrl ptr, bg as _wxColour ptr)

_DS(wxStyledTextCtrl_CallTipSetForeground)(self as _wxStyledTextCtrl ptr, fg as _wxColour ptr)

_DS(wxStyledTextCtrl_CallTipSetForegroundHighlight)(self as _wxStyledTextCtrl ptr, fg as _wxColour ptr)

_DS(wxStyledTextCtrl_CallTipUseStyle)(self as _wxStyledTextCtrl ptr, tabSize as wxInt)

_DF(wxStyledTextCtrl_VisibleFromDocLine)(self as _wxStyledTextCtrl ptr, line_ as wxInt) as wxInt

_DF(wxStyledTextCtrl_DocLineFromVisible)(self as _wxStyledTextCtrl ptr, displayLine as wxInt) as wxInt

_DS(wxStyledTextCtrl_SetFoldLevel)(self as _wxStyledTextCtrl ptr, line_ as wxInt, level as wxInt)
_DF(wxStyledTextCtrl_GetFoldLevel)(self as _wxStyledTextCtrl ptr, line_ as wxInt) as wxInt

_DF(wxStyledTextCtrl_GetLastChild)(self as _wxStyledTextCtrl ptr, line_ as wxInt, level as wxInt) as wxInt

_DF(wxStyledTextCtrl_GetFoldParent)(self as _wxStyledTextCtrl ptr, line_ as wxInt) as wxInt

_DS(wxStyledTextCtrl_ShowLines)(self as _wxStyledTextCtrl ptr, lineStart as wxInt, lineEnd as wxInt)

_DS(wxStyledTextCtrl_HideLines)(self as _wxStyledTextCtrl ptr, lineStart as wxInt, lineEnd as wxInt)

_DF(wxStyledTextCtrl_GetLineVisible)(self as _wxStyledTextCtrl ptr, line_ as wxInt) as wxBool

_DS(wxStyledTextCtrl_SetFoldExpanded)(self as _wxStyledTextCtrl ptr, line_ as wxInt, expanded as wxBool)
_DF(wxStyledTextCtrl_GetFoldExpanded)(self as _wxStyledTextCtrl ptr, line_ as wxInt) as wxBool

_DS(wxStyledTextCtrl_ToggleFold)(self as _wxStyledTextCtrl ptr, line_ as wxInt)

_DS(wxStyledTextCtrl_EnsureVisible)(self as _wxStyledTextCtrl ptr, line_ as wxInt)

_DS(wxStyledTextCtrl_SetFoldFlags)(self as _wxStyledTextCtrl ptr, flags as wxInt)

_DS(wxStyledTextCtrl_EnsureVisibleEnforcePolicy)(self as _wxStyledTextCtrl ptr, line_ as wxInt)

_DS(wxStyledTextCtrl_SetTabIndents)(self as _wxStyledTextCtrl ptr, tabIdents as wxBool)
_DF(wxStyledTextCtrl_GetTabIndents)(self as _wxStyledTextCtrl ptr) as wxBool

_DS(wxStyledTextCtrl_SetBackSpaceUnIndents)(self as _wxStyledTextCtrl ptr, spaceUnIndents as wxBool)
_DF(wxStyledTextCtrl_GetBackSpaceUnIndents)(self as _wxStyledTextCtrl ptr) as wxBool

_DS(wxStyledTextCtrl_SetMouseDwellTime)(self as _wxStyledTextCtrl ptr, periodMilliseconds as wxInt)
_DF(wxStyledTextCtrl_GetMouseDwellTime)(self as _wxStyledTextCtrl ptr) as wxInt

_DF(wxStyledTextCtrl_WordStartPosition)(self as _wxStyledTextCtrl ptr, p as wxInt, onlyWordCharacters as wxBool) as wxInt

_DF(wxStyledTextCtrl_WordEndPosition)(self as _wxStyledTextCtrl ptr, p as wxInt, onlyWordCharacters as wxBool) as wxInt

_DS(wxStyledTextCtrl_SetWrapMode)(self as _wxStyledTextCtrl ptr, mode as wxInt)
_DF(wxStyledTextCtrl_GetWrapMode)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_SetLayoutCache)(self as _wxStyledTextCtrl ptr, mode as wxInt)
_DF(wxStyledTextCtrl_GetLayoutCache)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_SetScrollWidth)(self as _wxStyledTextCtrl ptr, pixelWidth as wxInt)
_DF(wxStyledTextCtrl_GetScrollWidth)(self as _wxStyledTextCtrl ptr) as wxInt

_DF(wxStyledTextCtrl_TextWidth)(self as _wxStyledTextCtrl ptr, style as wxInt, txt as _wxString ptr) as wxInt

_DS(wxStyledTextCtrl_SetEndAtLastLine)(self as _wxStyledTextCtrl ptr, endAtLastLine as wxBool)
_DF(wxStyledTextCtrl_GetEndAtLastLine)(self as _wxStyledTextCtrl ptr) as wxBool

_DF(wxStyledTextCtrl_TextHeight)(self as _wxStyledTextCtrl ptr, line_ as wxInt) as wxInt

_DS(wxStyledTextCtrl_SetUseVerticalScrollBar)(self as _wxStyledTextCtrl ptr, show as wxBool)

_DF(wxStyledTextCtrl_GetUseVerticalScrollBar)(self as _wxStyledTextCtrl ptr) as wxBool

_DS(wxStyledTextCtrl_AppendText)(self as _wxStyledTextCtrl ptr, txt as _wxString ptr)

_DS(wxStyledTextCtrl_SetTwoPhaseDraw)(self as _wxStyledTextCtrl ptr, twoPhase as wxBool)
_DF(wxStyledTextCtrl_GetTwoPhaseDraw)(self as _wxStyledTextCtrl ptr) as wxBool

_DS(wxStyledTextCtrl_TargetFromSelection)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_LinesJoin)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_LinesSplit)(self as _wxStyledTextCtrl ptr, pixelWidth as wxInt)

_DS(wxStyledTextCtrl_SetFoldMarginColour)(self as _wxStyledTextCtrl ptr, useSetting as wxBool, bg as _wxColour ptr)

_DS(wxStyledTextCtrl_SetFoldMarginHiColour)(self as _wxStyledTextCtrl ptr, useSetting as wxBool, fg as _wxColour ptr)

_DS(wxStyledTextCtrl_LineDuplicate)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_HomeDisplay)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_HomeDisplayExtend)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_LineEndDisplay)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_LineEndDisplayExtend)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_MoveCaretInsideView)(self as _wxStyledTextCtrl ptr)

_DF(wxStyledTextCtrl_LineLength)(self as _wxStyledTextCtrl ptr, line_ as wxInt) as wxInt

_DS(wxStyledTextCtrl_BraceHighlight)(self as _wxStyledTextCtrl ptr, p1 as wxInt, p2 as wxInt)

_DS(wxStyledTextCtrl_BraceBadLight)(self as _wxStyledTextCtrl ptr, p as wxInt)

_DF(wxStyledTextCtrl_BraceMatch)(self as _wxStyledTextCtrl ptr, p as wxInt) as wxInt

_DS(wxStyledTextCtrl_SetViewEOL)(self as _wxStyledTextCtrl ptr, visible as wxBool)
_DF(wxStyledTextCtrl_GetViewEOL)(self as _wxStyledTextCtrl ptr) as wxBool

_DS(wxStyledTextCtrl_SetDocPointer)(self as _wxStyledTextCtrl ptr, docPointer as any ptr)
_DS(wxStyledTextCtrl_GetDocPointer)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_SetModEventMask)(self as _wxStyledTextCtrl ptr, mask as wxInt)

_DS(wxStyledTextCtrl_SetEdgeColumn)(self as _wxStyledTextCtrl ptr, column as wxInt)
_DF(wxStyledTextCtrl_GetEdgeColumn)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_SetEdgeMode)(self as _wxStyledTextCtrl ptr, mode as wxInt)
_DF(wxStyledTextCtrl_GetEdgeMode)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_SetEdgeColour)(self as _wxStyledTextCtrl ptr, edgeColour as _wxColour ptr)
_DF(wxStyledTextCtrl_GetEdgeColour)(self as _wxStyledTextCtrl ptr) as _wxColour ptr

_DS(wxStyledTextCtrl_SearchAnchor)(self as _wxStyledTextCtrl ptr)

_DF(wxStyledTextCtrl_SearchNext)(self as _wxStyledTextCtrl ptr, flags as wxInt, txt as _wxString ptr) as wxInt

_DF(wxStyledTextCtrl_SearchPrev)(self as _wxStyledTextCtrl ptr, flags as wxInt, txt as _wxString ptr) as wxInt

_DF(wxStyledTextCtrl_LinesOnScreen)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_UsePopUp)(self as _wxStyledTextCtrl ptr, allowPopUp as wxBool)

_DF(wxStyledTextCtrl_SelectionIsRectangle)(self as _wxStyledTextCtrl ptr) as wxBool

_DS(wxStyledTextCtrl_SetZoom)(self as _wxStyledTextCtrl ptr, zoom as wxInt)
_DF(wxStyledTextCtrl_GetZoom)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_CreateDocument)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_AddRefDocument)(self as _wxStyledTextCtrl ptr, docPointer as any ptr)

_DS(wxStyledTextCtrl_ReleaseDocument)(self as _wxStyledTextCtrl ptr, docPointer as any ptr)

_DF(wxStyledTextCtrl_GetModEventMask)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_SetSTCFocus)(self as _wxStyledTextCtrl ptr, focus as wxBool)
_DF(wxStyledTextCtrl_GetSTCFocus)(self as _wxStyledTextCtrl ptr) as wxBool

_DS(wxStyledTextCtrl_SetStatus)(self as _wxStyledTextCtrl ptr, statusCode as wxInt)
_DF(wxStyledTextCtrl_GetStatus)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_SetMouseDownCaptures)(self as _wxStyledTextCtrl ptr, captures as wxBool)
_DF(wxStyledTextCtrl_GetMouseDownCaptures)(self as _wxStyledTextCtrl ptr) as wxBool

_DS(wxStyledTextCtrl_SetSTCCursor)(self as _wxStyledTextCtrl ptr, cursorType as wxInt)
_DF(wxStyledTextCtrl_GetSTCCursor)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_SetControlCharSymbol)(self as _wxStyledTextCtrl ptr, symbol as wxInt)
_DF(wxStyledTextCtrl_GetControlCharSymbol)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_WordPartLeft)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_WordPartLeftExtend)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_WordPartRight)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_WordPartRightExtend)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_SetVisiblePolicy)(self as _wxStyledTextCtrl ptr, visiblePolicy as wxInt, visibleSlop as wxInt)

_DS(wxStyledTextCtrl_DelLineLeft)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_DelLineRight)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_SetXOffset)(self as _wxStyledTextCtrl ptr, offset as wxInt)
_DF(wxStyledTextCtrl_GetXOffset)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_ChooseCaretX)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_SetXCaretPolicy)(self as _wxStyledTextCtrl ptr, caretPolicy as wxInt, caretSlop as wxInt)

_DS(wxStyledTextCtrl_SetYCaretPolicy)(self as _wxStyledTextCtrl ptr, caretPolicy as wxInt, caretSlop as wxInt)

_DS(wxStyledTextCtrl_SetPrintWrapMode)(self as _wxStyledTextCtrl ptr, mode as wxInt)
_DF(wxStyledTextCtrl_GetPrintWrapMode)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_SetHotspotActiveForeground)(self as _wxStyledTextCtrl ptr, useSetting as wxBool, fg as _wxColour ptr)

_DS(wxStyledTextCtrl_SetHotspotActiveBackground)(self as _wxStyledTextCtrl ptr, useSetting as wxBool, bg as _wxColour ptr)

_DS(wxStyledTextCtrl_SetHotspotActiveUnderline)(self as _wxStyledTextCtrl ptr, underline as wxBool)

_DS(wxStyledTextCtrl_StartRecord)(self as _wxStyledTextCtrl ptr)
_DS(wxStyledTextCtrl_StopRecord)(self as _wxStyledTextCtrl ptr)

_DS(wxStyledTextCtrl_SetLexer)(self as _wxStyledTextCtrl ptr, lexer as wxInt)
_DF(wxStyledTextCtrl_GetLexer)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_Colourise)(self as _wxStyledTextCtrl ptr, startPos as wxInt, endPos as wxInt)

_DS(wxStyledTextCtrl_SetProperty)(self as _wxStyledTextCtrl ptr, key as _wxString ptr, value as _wxString ptr)

_DS(wxStyledTextCtrl_SetKeyWords)(self as _wxStyledTextCtrl ptr, keyWordSet as wxInt, keyWords as _wxString ptr)

_DS(wxStyledTextCtrl_SetLexerLanguage)(self as _wxStyledTextCtrl ptr, language as _wxString ptr)

_DF(wxStyledTextCtrl_GetCurrentLine)(self as _wxStyledTextCtrl ptr) as wxInt

_DS(wxStyledTextCtrl_StyleSetSpec)(self as _wxStyledTextCtrl ptr, styleNum as wxInt, spec as _wxString ptr)

_DS(wxStyledTextCtrl_StyleSetFont)(self as _wxStyledTextCtrl ptr, styleNum as wxInt, font as _wxFont ptr)

_DS(wxStyledTextCtrl_StyleSetFontAttr)(self as _wxStyledTextCtrl ptr, styleNum as wxInt, size as wxInt, faceName as _wxString ptr, boold as wxBool, italic as wxBool, underline as wxBool)

_DS(wxStyledTextCtrl_CmdKeyExecute)(self as _wxStyledTextCtrl ptr, cmd as wxInt)

_DS(wxStyledTextCtrl_SetMargins)(self as _wxStyledTextCtrl ptr, left_ as wxInt, right_ as wxInt)

_DS(wxStyledTextCtrl_GetSelection)(self as _wxStyledTextCtrl ptr, startPos as wxInt ptr, endPos as wxInt ptr)

_DS(wxStyledTextCtrl_PointFromPosition)(self as _wxStyledTextCtrl ptr, p as wxInt, pt as _wxPoint ptr)

_DS(wxStyledTextCtrl_ScrollToLine)(self as _wxStyledTextCtrl ptr, line_ as wxInt)

_DS(wxStyledTextCtrl_ScrollToColumn)(self as _wxStyledTextCtrl ptr, column as wxInt)

_DF(wxStyledTextCtrl_SendMsg)(self as _wxStyledTextCtrl ptr, msg as wxInt, wp as wxInt, lp as wxInt) as wxInt

_DS(wxStyledTextCtrl_SetVScrollBar)(self as _wxStyledTextCtrl ptr, bar as _wxScrollBar ptr)

_DS(wxStyledTextCtrl_SetHScrollBar)(self as _wxStyledTextCtrl ptr, bar as _wxScrollBar ptr)

_DS(wxStyledTextCtrl_SetLastKeydownProcessed)(self as _wxStyledTextCtrl ptr, value as wxBool)
_DF(wxStyledTextCtrl_GetLastKeydownProcessed)(self as _wxStyledTextCtrl ptr) as wxBool

_DF(wxStyledTextCtrl_SaveFile)(self as _wxStyledTextCtrl ptr, fileName as _wxString ptr) as wxBool
_DF(wxStyledTextCtrl_LoadFile)(self as _wxStyledTextCtrl ptr, fileName as _wxString ptr) as wxBool

' class _wxStyledTextEvent
_DF(wxStyledTextEvent_ctor)(commandType as wxEventType, id as wxInt) as _wxStyledTextEvent ptr

_DS(wxStyledTextEvent_SetPosition)(self as _wxStyledTextEvent ptr, p as wxInt)
_DF(wxStyledTextEvent_GetPosition)(self as _wxStyledTextEvent ptr) as wxInt

_DS(wxStyledTextEvent_SetKey)(self as _wxStyledTextEvent ptr, key as wxInt)
_DF(wxStyledTextEvent_GetKey)(self as _wxStyledTextEvent ptr) as wxInt

_DS(wxStyledTextEvent_SetModifiers)(self as _wxStyledTextEvent ptr, modifiers as wxInt)

_DS(wxStyledTextEvent_SetModificationType)(self as _wxStyledTextEvent ptr, modifiersType as wxInt)
_DF(wxStyledTextEvent_GetModifiers)(self as _wxStyledTextEvent ptr) as wxInt

_DS(wxStyledTextEvent_SetText)(self as _wxStyledTextEvent ptr, txt as _wxString ptr)
_DF(wxStyledTextEvent_GetText)(self as _wxStyledTextEvent ptr) as _wxString ptr

_DS(wxStyledTextEvent_SetLength)(self as _wxStyledTextEvent ptr, lenngth as wxInt)
_DF(wxStyledTextEvent_GetLength)(self as _wxStyledTextEvent ptr) as wxInt

_DS(wxStyledTextEvent_SetLinesAdded)(self as _wxStyledTextEvent ptr, nLines as wxInt)
_DF(wxStyledTextEvent_GetLinesAdded)(self as _wxStyledTextEvent ptr) as wxInt

_DS(wxStyledTextEvent_SetLine)(self as _wxStyledTextEvent ptr, value as wxInt)
_DF(wxStyledTextEvent_GetLine)(self as _wxStyledTextEvent ptr) as wxInt

_DS(wxStyledTextEvent_SetFoldLevelNow)(self as _wxStyledTextEvent ptr, value as wxInt)
_DF(wxStyledTextEvent_GetFoldLevelNow)(self as _wxStyledTextEvent ptr) as wxInt

_DS(wxStyledTextEvent_SetFoldLevelPrev)(self as _wxStyledTextEvent ptr, value as wxInt)
_DF(wxStyledTextEvent_GetFoldLevelPrev)(self as _wxStyledTextEvent ptr) as wxInt

_DS(wxStyledTextEvent_SetMargin)(self as _wxStyledTextEvent ptr, value as wxInt)
_DF(wxStyledTextEvent_GetMargin)(self as _wxStyledTextEvent ptr) as wxInt

_DS(wxStyledTextEvent_SetMessage)(self as _wxStyledTextEvent ptr, value as wxInt)
_DF(wxStyledTextEvent_GetMessage)(self as _wxStyledTextEvent ptr) as wxInt

_DS(wxStyledTextEvent_SetWParam)(self as _wxStyledTextEvent ptr, value as wxInt)
_DF(wxStyledTextEvent_GetWParam)(self as _wxStyledTextEvent ptr) as wxInt

_DS(wxStyledTextEvent_SetLParam)(self as _wxStyledTextEvent ptr, value as wxInt)
_DF(wxStyledTextEvent_GetLParam)(self as _wxStyledTextEvent ptr) as wxInt

_DS(wxStyledTextEvent_SetListType)(self as _wxStyledTextEvent ptr, value as wxInt)
_DF(wxStyledTextEvent_GetListType)(self as _wxStyledTextEvent ptr) as wxInt

_DS(wxStyledTextEvent_SetX)(self as _wxStyledTextEvent ptr, value as wxInt)
_DF(wxStyledTextEvent_GetX)(self as _wxStyledTextEvent ptr) as wxInt

_DS(wxStyledTextEvent_SetY)(self as _wxStyledTextEvent ptr, value as wxInt)
_DF(wxStyledTextEvent_GetY)(self as _wxStyledTextEvent ptr) as wxInt

_DS(wxStyledTextEvent_SetDragText)(self as _wxStyledTextEvent ptr, value as _wxString ptr)
_DF(wxStyledTextEvent_GetDragText)(self as _wxStyledTextEvent ptr) as _wxString ptr

_DS(wxStyledTextEvent_SetDragAllowMove)(self as _wxStyledTextEvent ptr, value as wxBool)
_DF(wxStyledTextEvent_GetDragAllowMove)(self as _wxStyledTextEvent ptr) as wxBool

_DS(wxStyledTextEvent_SetDragResult)(self as _wxStyledTextEvent ptr, dr as wxDragResult)
_DF(wxStyledTextEvent_GetDragResult)(self as _wxStyledTextEvent ptr) as wxDragResult ptr

_DF(wxStyledTextEvent_GetModificationType)(self as _wxStyledTextEvent ptr) as wxInt

_DF(wxStyledTextEvent_GetShift)(self as _wxStyledTextEvent ptr) as wxBool

_DF(wxStyledTextEvent_GetControl)(self as _wxStyledTextEvent ptr) as wxBool

_DF(wxStyledTextEvent_GetAlt)(self as _wxStyledTextEvent ptr) as wxBool

#endif ' __styledtextctrl_bi__
