#ifndef __toolbar_bi__
#define __toolbar_bi__

#include once "common.bi"

' class wxToolBar
_DF(wxToolBar_ctor)(parent as _wxWindow ptr, _
                    id     as  wxWindowID = -1, _
                    x      as  wxInt      = -1, _
                    y      as  wxInt      = -1, _
                    w      as  wxInt      = -1, _
                    h      as  wxInt      = -1, _
                    style  as  wxUInt     =  0) as _wxToolBar ptr

_DF(wxToolBar_AddTool1)(self as _wxToolBar ptr, toolID as wxInt, labelArg as _wxString ptr, bitmap as _wxBitmap ptr, bitmapDisabled as _wxBitmap ptr, kind as wxItemKind, shortHelpArg as _wxString ptr, helpArg as _wxString ptr, pData as _wxObject ptr) as _wxToolBarToolBase ptr 

_DF(wxToolBar_AddTool2)(self as _wxToolBar ptr, toolID as wxInt, labelArg as _wxString ptr, bitmap as _wxBitmap ptr, shortHelpArg as _wxString ptr, kind as wxItemKind) as _wxToolBarToolBase ptr

_DF(wxToolBar_AddTool3)(self as _wxToolBar ptr, toolID as wxInt, bitmap as _wxBitmap ptr, bitmapDisabled as _wxBitmap ptr, toggle as wxBool, clientData as _wxObject ptr, shortHelpArg as _wxString ptr, helpArg as _wxString ptr) as _wxToolBarToolBase ptr

_DF(wxToolBar_AddTool4)(self as _wxToolBar ptr, toolID as wxInt, bitmap as _wxBitmap ptr, shortHelpArg as _wxString ptr, helpArg as _wxString ptr) as _wxToolBarToolBase ptr

_DF(wxToolBar_AddTool5)(self as _wxToolBar ptr, toolID as wxInt, bitmap as _wxBitmap ptr, bitmapDisabled as _wxBitmap ptr, toggle as wxBool, x as wxCoord, y as wxCoord, clientData as _wxObject ptr, shortHelpArg as _wxString ptr, helpArg as _wxString ptr) as _wxToolBarToolBase ptr

_DF(wxToolBar_AddCheckTool)(self as _wxToolBar ptr, toolID as wxInt, labelArg as _wxString ptr, bitmap as _wxBitmap ptr, bitmapDisabled as _wxBitmap ptr, shortHelpArg as _wxString ptr, helpArg as _wxString ptr, pData as _wxObject ptr) as _wxToolBarToolBase ptr

_DF(wxToolBar_AddRadioTool)(self as _wxToolBar ptr, toolID as wxInt, labelArg as _wxString ptr, bitmap as _wxBitmap ptr, bitmapDisabled as _wxBitmap ptr, shortHelpArg as _wxString ptr, helpArg as _wxString ptr, pData as _wxObject ptr) as _wxToolBarToolBase ptr

_DF(wxToolBar_AddControl)(self as _wxToolBar ptr, control as _wxControl ptr) as _wxToolBarToolBase ptr

_DF(wxToolBar_InsertControl)(self as _wxToolBar ptr, sPos as size_t, control as _wxControl ptr) as _wxToolBarToolBase ptr

_DF(wxToolBar_FindControl)(self as _wxToolBar ptr, toolID as wxInt) as _wxControl ptr 

_DF(wxToolBar_AddSeparator)(self as _wxToolBar ptr) as _wxToolBarToolBase ptr

_DF(wxToolBar_InsertSeparator)(self as _wxToolBar ptr, sPos as size_t) as _wxToolBarToolBase ptr

_DF(wxToolBar_RemoveTool)(self as _wxToolBar ptr, toolID as wxInt) as _wxToolBarToolBase ptr

_DF(wxToolBar_DeleteToolByPos)(self as _wxToolBar ptr, sPos as size_t) as wxBool

_DF(wxToolBar_DeleteTool)(self as _wxToolBar ptr, toolID as wxInt) as wxBool

_DS(wxToolBar_ClearTools)(self as _wxToolBar ptr)

_DF(wxToolBar_Realize)(self as _wxToolBar ptr) as wxBool

_DS(wxToolBar_EnableTool)(self as _wxToolBar ptr, toolID as wxInt, enable as wxBool)

_DS(wxToolBar_ToggleTool)(self as _wxToolBar ptr, toolID as wxInt, toggle as wxBool)

_DF(wxToolBar_GetToolClientData)(self as _wxToolBar ptr, toolID as wxInt) as _wxObject ptr

_DS(wxToolBar_SetToolClientData)(self as _wxToolBar ptr, toolID as wxInt, clientData as _wxObject ptr)

_DF(wxToolBar_GetToolState)(self as _wxToolBar ptr, toolID as wxInt) as wxBool

_DF(wxToolBar_GetToolEnabled)(self as _wxToolBar ptr, toolID as wxInt) as wxBool

_DS(wxToolBar_SetToolShortHelp)(self as _wxToolBar ptr, toolID as wxInt, helpString as _wxString ptr)

_DF(wxToolBar_GetToolShortHelp)(self as _wxToolBar ptr, toolID as wxInt) as _wxString ptr

_DS(wxToolBar_SetToolLongHelp)(self as _wxToolBar ptr, toolID as wxInt, helpString as _wxString ptr)

_DF(wxToolBar_GetToolLongHelp)(self as _wxToolBar ptr, toolID as wxInt) as _wxString ptr

_DS(wxToolBar_SetMargins)(self as _wxToolBar ptr, x as wxInt, y as wxInt)

_DS(wxToolBar_SetToolPacking)(self as _wxToolBar ptr, packing as wxInt)

_DS(wxToolBar_SetToolSeparation)(self as _wxToolBar ptr, seperation as wxInt)

_DS(wxToolBar_GetToolMargins)(self as _wxToolBar ptr, w as wxInt ptr, h as wxInt ptr)

_DF(wxToolBar_GetToolPacking)(self as _wxToolBar ptr) as wxInt

_DF(wxToolBar_GetToolSeparation)(self as _wxToolBar ptr) as wxInt

_DS(wxToolBar_SetRows)(self as _wxToolBar ptr, rows as wxInt)

_DS(wxToolBar_SetMaxRowsCols)(self as _wxToolBar ptr, rows as wxInt, cols as wxInt)

_DF(wxToolBar_GetMaxRows)(self as _wxToolBar ptr) as wxInt

_DF(wxToolBar_GetMaxCols)(self as _wxToolBar ptr) as wxInt

_DS(wxToolBar_SetToolBitmapSize)(self as _wxToolBar ptr, x as wxInt, y as wxInt)

_DS(wxToolBar_GetToolBitmapSize)(self as _wxToolBar ptr, w as wxInt ptr, h as wxInt ptr)

_DS(wxToolBar_GetToolSize)(self as _wxToolBar ptr, w as wxInt ptr, h as wxInt ptr)

_DF(wxToolBar_FindToolForPosition)(self as _wxToolBar ptr, x as wxCoord, y as wxCoord) as _wxToolBarBase ptr

_DF(wxToolBar_IsVertical)(self as _wxToolBar ptr) as wxBool

_DF(wxToolBar_InsertTool)(self as _wxToolBar ptr, sPos as size_t, toolID as wxInt, bitmap as _wxBitmap ptr, bitmapDisabled as _wxBitmap ptr, toggle as wxBool, clientData as _wxObject ptr, shortHelpArg as _wxString ptr, helpArg as _wxString ptr) as _wxToolBarToolBase ptr

_DS(wxToolBar_GetMargins)(self as _wxToolBar ptr, size as _wxSize ptr)

_DF(wxToolBar_GetToolsCount)(self as _wxToolBar ptr) as size_t

_DF(wxToolBar_AcceptsFocus)(self as _wxToolBar ptr) as wxBool

' class wxToolBarToolBase 
_DF(wxToolBarToolBase_ctor)(tBar as _wxToolBar ptr, toolID as wxInt, labelArg as _wxString ptr, bitmap as _wxBitmap ptr, bitmapDisabled as _wxBitmap ptr, kind as wxItemKind, clientData as _wxObject ptr, shortHelpArg as _wxString ptr, helpStringArg as _wxString ptr) as _wxToolBarToolBase ptr

_DF(wxToolBarToolBase_ctorCtrl)(tBar as _wxToolBar ptr, control as _wxControl ptr) as _wxToolBarBase ptr

_DF(wxToolBarToolBase_GetId)(self as _wxToolBarToolBase ptr) as wxInt

_DF(wxToolBarToolBase_GetControl)(self as _wxToolBarToolBase ptr) as _wxControl ptr

_DF(wxToolBarToolBase_GetToolBar)(self as _wxToolBarToolBase ptr) as _wxToolBar ptr

_DF(wxToolBarToolBase_IsButton)(self as _wxToolBarToolBase ptr) as wxBool

_DF(wxToolBarToolBase_IsControl)(self as _wxToolBarToolBase ptr) as wxBool

_DF(wxToolBarToolBase_IsSeparator)(self as _wxToolBarToolBase ptr) as wxBool

_DF(wxToolBarToolBase_GetStyle)(self as _wxToolBarToolBase ptr) as wxInt

_DF(wxToolBarToolBase_GetKind)(self as _wxToolBarToolBase ptr) as wxItemKind

_DF(wxToolBarToolBase_IsEnabled)(self as _wxToolBarToolBase ptr) as wxBool

_DF(wxToolBarToolBase_IsToggled)(self as _wxToolBarToolBase ptr) as wxBool

_DF(wxToolBarToolBase_CanBeToggled)(self as _wxToolBarToolBase ptr) as wxBool

_DF(wxToolBarToolBase_GetLabel)(self as _wxToolBarToolBase ptr) as _wxString ptr

_DF(wxToolBarToolBase_GetShortHelp)(self as _wxToolBarToolBase ptr) as _wxString ptr

_DF(wxToolBarToolBase_GetLongHelp)(self as _wxToolBarToolBase ptr) as _wxString ptr

_DF(wxToolBarToolBase_GetClientData)(self as _wxToolBarToolBase ptr) as _wxObject ptr

_DF(wxToolBarToolBase_Enable)(self as _wxToolBarToolBase ptr, enable as wxBool) as wxBool

_DF(wxToolBarToolBase_Toggle)(self as _wxToolBarToolBase ptr, toggle as wxBool) as wxBool

_DF(wxToolBarToolBase_SetToggle)(self as _wxToolBarToolBase ptr, toggle as wxBool) as wxBool

_DF(wxToolBarToolBase_SetShortHelp)(self as _wxToolBarToolBase ptr, sHelp as _wxString ptr) as wxBool

_DF(wxToolBarToolBase_SetLongHelp)(self as _wxToolBarToolBase ptr, lHelp as _wxString ptr) as wxBool

_DS(wxToolBarToolBase_SetNormalBitmap)(self as _wxToolBarToolBase ptr, bitmap as _wxBitmap ptr)

_DS(wxToolBarToolBase_SetDisabledBitmap)(self as _wxToolBarToolBase ptr, bitmap as _wxBitmap ptr)

_DS(wxToolBarToolBase_SetLabel)(self as _wxToolBarToolBase ptr, label as _wxString ptr)

_DS(wxToolBarToolBase_SetClientData)(self as _wxToolBarToolBase ptr, clientData as _wxObject ptr)

_DS(wxToolBarToolBase_Detach)(self as _wxToolBarToolBase ptr)

_DS(wxToolBarToolBase_Attach)(self as _wxToolBarToolBase ptr, tBar as _wxToolBar ptr)

#endif ' __toolbar_bi__
