#ifndef __vlbox_bi__
#define __vlbox_bi__

#include once "common.bi"

type Virtual_voidDcRectSizeT as sub      APICALL (as _wxDC ptr, as _wxRect ptr, as size_t)
type Virtual_IntInt          as function APICALL (as wxInt) as wxInt 

_DF(wxVListBox_ctor)(parent  as _wxWindow ptr     , _
                     id      as wxWindowID    = -1, _
                     x       as  wxInt        = -1, _
                     y       as  wxInt        = -1, _
                     w       as  wxInt        = -1, _
                     h       as  wxInt        = -1, _
                     style   as  wxUInt       =  0, _
                     nameArg as _wxString ptr = WX_NULL) as _wxVListBox ptr

_DS(wxVListBox_RegisterVirtual)(self as _wxVListBox ptr, _
                                on_DrawItem       as Virtual_voidDcRectSizeT, _
                                on_MeasureItem    as Virtual_IntInt, _
                                on_DrawSeparator  as Virtual_voidDcRectSizeT, _
                                on_DrawBackground as Virtual_voidDcRectSizeT, _
                                on_GetLineHeight  as Virtual_IntInt )

_DF(wxVListBox_Create)(self    as _wxVListBox ptr          , _
                       parent  as _wxWindow   ptr          , _
                       id      as  wxWindowID     = -1     , _
                       x       as  wxInt          = -1     , _
                       y       as  wxInt          = -1     , _
                       w       as  wxInt          = -1     , _
                       h       as  wxInt          = -1     , _
                       style   as  wxUInt         =  0     , _
                       nameArg as _wxString   ptr = WX_NULL) as wxBool

_DS(wxVListBox_OnDrawSeparator)(self as _wxVListBox ptr, dc as _wxDC ptr, r as _wxRect ptr, n as wxInt)

_DS(wxVListBox_OnDrawBackground)(self as _wxVListBox ptr, dc as _wxDC ptr, r as _wxRect ptr, n as wxInt)

_DF(wxVListBox_OnGetLineHeight)(self as _wxVListBox ptr, line_ as wxInt) as wxCoord

_DF(wxVListBox_GetItemCount)(self as _wxVListBox ptr) as wxInt

_DF(wxVListBox_HasMultipleSelection)(self as _wxVListBox ptr) as wxBool

_DF(wxVListBox_GetSelection)(self as _wxVListBox ptr) as wxInt

_DF(wxVListBox_IsCurrent)(self as _wxVListBox ptr, item as wxInt) as wxBool

_DF(wxVListBox_IsSelected)(self as _wxVListBox ptr, item as wxInt) as wxBool

_DF(wxVListBox_GetSelectedCount)(self as _wxVListBox ptr) as wxInt

_DF(wxVListBox_GetFirstSelected)(self as _wxVListBox ptr, cocki as wxLong ptr) as wxInt

_DF(wxVListBox_GetNextSelected)(self as _wxVListBox ptr, cocki as wxLong ptr) as wxInt

_DS(wxVListBox_GetMargins)(self as _wxVListBox ptr, pt as _wxPoint ptr)

_DF(wxVListBox_GetSelectionBackground)(self as _wxVListBox ptr) as _wxColour ptr

_DS(wxVListBox_SetItemCount)(self as _wxVListBox ptr, count as wxInt)

_DS(wxVListBox_Clear)(self as _wxVListBox ptr)

_DS(wxVListBox_SetSelection)(self as _wxVListBox ptr, selection as wxInt)

_DF(wxVListBox_Select)(self as _wxVListBox ptr, item as wxInt, select_ as wxBool) as wxBool

_DF(wxVListBox_SelectRange)(self as _wxVListBox ptr, from as wxInt, to_ as wxInt) as wxBool

_DS(wxVListBox_Toggle)(self as _wxVListBox ptr, item as wxInt)

_DF(wxVListBox_SelectAll)(self as _wxVListBox ptr) as wxBool

_DF(wxVListBox_DeselectAll)(self as _wxVListBox ptr) as wxBool

_DS(wxVListBox_SetMargins)(self as _wxVListBox ptr, pt as _wxPoint ptr)

_DS(wxVListBox_SetMargins2)(self as _wxVListBox ptr, x as wxInt, y as wxInt)

_DS(wxVListBox_SetSelectionBackground)(self as _wxVListBox ptr, col as _wxColour ptr)

#endif ' __vlbox_bi__
