#ifndef __wcharbuffer_object_bi__
#define __wcharbuffer_object_bi__

#include once "wcharbuffer.bi"

type wxWCharBuffer
  declare destructor
  declare constructor (p as zstring ptr)
  declare constructor (p as wchar_t ptr)
  declare function IsEmpty as wxBool
  declare function Length as size_t
  declare function WideCharAt(index as size_t) as wchar_t
  private:
  as _wxWCharBuffer ptr self
end type

destructor wxWCharBuffer
  dprint("wxWCharBuffer~")
  wxWCharBuffer_dtor self
end destructor

constructor wxWCharBuffer (p as zstring ptr)
  dprint("wxWCharBufferUTF8()")
  self=wxWCharBuffer_ctorUTF8(cptr(wxChar ptr,p))
end constructor
constructor wxWCharBuffer (p as wchar_t ptr)
  dprint("wxWCharBufferUTF16()")
  self=wxWCharBuffer_ctorUTF16(cptr(wxChar ptr,p))
end constructor

function wxWCharBuffer.Length as size_t
  return wxWCharBuffer_GetLength(self)
end function

function wxWCharBuffer.IsEmpty as wxBool
  return wxWCharBuffer_IsEmpty(self)
end function

function wxWCharBuffer.WideCharAt(index as size_t) as wchar_t
  return wxWCharBuffer_WideCharAt(self,index)
end function

#endif ' __wcharbuffer_object_bi__
