#ifndef __window_bi__
#define __window_bi__

#include once "common.bi"
type Virtual_Validator as function APICALL as wxBool


' class wxVisualAttributes
_DF(wxVisualAttributes_ctor) as _wxVisualAttributes ptr
_DS(wxVisualAttributes_dtor)(self as _wxVisualAttributes ptr)

_DS(wxVisualAttributes_RegisterDisposable)(self as _wxVisualAttributes ptr, on_dispose as Virtual_Dispose)

_DS(wxVisualAttributes_SetFont)(self as _wxVisualAttributes ptr, font as _wxFont ptr)
_DF(wxVisualAttributes_GetFont)(self as _wxVisualAttributes ptr) as _wxFont ptr

_DS(wxVisualAttributes_SetColourFg)(self as _wxVisualAttributes ptr, col as _wxColour ptr)
_DF(wxVisualAttributes_GetColourFg)(self as _wxVisualAttributes ptr) as _wxColour ptr

_DS(wxVisualAttributes_SetColourBg)(self as _wxVisualAttributes ptr, col as _wxColour ptr)
_DF(wxVisualAttributes_GetColourBg)(self as _wxVisualAttributes ptr) as _wxColour ptr

' class wxWindow
_DF(wxWindow_ctor)(parent  as _wxWindow ptr=WX_NULL, _
                   id      as  wxWindowID = -1, _
                   x       as  wxInt = -1, _
                   y       as  wxInt = -1, _
                   w       as  wxInt = -1, _
                   h       as  wxInt = -1, _
                   style   as  wxUInt = 0, _
                   nameArg as _wxString ptr = WX_NULL) as _wxWindow ptr

_DS(wxWindow_RegisterValidator)(self as _wxWindow ptr, validator as Virtual_Validator)

_DF(wxWindow_GetId)(self as _wxWindow ptr) as wxInt
_DS(wxWindow_SetId)(self as _wxWindow ptr, id as wxInt)

_DS(wxWindow_SetWindowStyle)(self as _wxWindow ptr, style as wxInt)
_DF(wxWindow_GetWindowStyle)(self as _wxWindow ptr) as wxInt

_DS(wxWindow_SetCursor)(self as _wxWindow ptr, cur as _wxCursor ptr)
_DF(wxWindow_GetCursor)(self as _wxWindow ptr) as _wxCursor ptr

_DS(wxWindow_SetVirtualSize)(self as _wxWindow ptr, w as wxInt, h as wxInt)
_DS(wxWindow_GetVirtualSize)(self as _wxWindow ptr, size as _wxSize ptr)

_DS(wxWindow_SetMinSize)(self as _wxWindow ptr, w as wxInt, h as wxInt)
_DF(wxWindow_GetMinWidth)(self as _wxWindow ptr) as wxInt
_DF(wxWindow_GetMinHeight)(self as _wxWindow ptr) as wxInt

_DS(wxWindow_SetMaxSize)(self as _wxWindow ptr, w as wxInt, h as wxInt)
_DF(wxWindow_GetMaxWidth)(self as _wxWindow ptr) as wxInt
_DF(wxWindow_GetMaxHeight)(self as _wxWindow ptr) as wxInt
_DS(wxWindow_GetMaxSize)(self as _wxWindow ptr, size as _wxSize ptr)

_DF(wxWindow_SetFont)(self as _wxWindow ptr, font as _wxFont ptr) as wxChar
_DF(wxWindow_GetFont)(self as _wxWindow ptr) as _wxFont ptr

_DS(wxWindow_SetToolTip)(self as _wxWindow ptr, tip as _wxString ptr)
_DF(wxWindow_GetToolTip)(self as _wxWindow ptr) as _wxString ptr

_DF(wxWindow_Enable)(self as _wxWindow ptr,enable as wxBool) as wxBool
_DF(wxWindow_IsEnabled)(self as _wxWindow ptr) as wxBool

_DF(wxWindow_Disable)(self as _wxWindow ptr) as wxChar

_DS(wxWindow_SetThemeEnabled)(self as _wxWindow ptr, enableTheme as wxBool)
_DF(wxWindow_GetThemeEnabled)(self as _wxWindow ptr) as wxChar

_DS(wxWindow_SetTitle)(self as _wxWindow ptr, title as _wxString ptr)
_DF(wxWindow_GetTitle)(self as _wxWindow ptr) as _wxString ptr

_DS(wxWindow_SetLabel)(self as _wxWindow ptr, title as _wxString ptr)
_DF(wxWindow_GetLabel)(self as _wxWindow ptr) as _wxString ptr

_DS(wxWindow_SetName)(self as _wxWindow ptr, nam as _wxString ptr)
_DF(wxWindow_GetName)(self as _wxWindow ptr) as _wxString ptr

_DF(wxWindow_SetDefaultItem)(self as _wxWindow ptr, child as _wxWindow ptr) as _wxWindow ptr
_DF(wxWindow_GetDefaultItem)(self as _wxWindow ptr) as _wxWindow ptr

_DS(wxWindow_SetParent)(self as _wxWindow ptr, parent as _wxWindow ptr)
_DF(wxWindow_GetParent)(self as _wxWindow ptr) as _wxWindow ptr

_DS(wxWindow_SetEventHandler)(self as _wxWindow ptr, handler as _wxEvtHandler ptr)
_DF(wxWindow_GetEventHandler)(self as _wxWindow ptr) as _wxEvtHandler ptr

_DS(wxWindow_SetValidator)(self as _wxWindow ptr, validator as _wxValidator ptr)
_DF(wxWindow_GetValidator)(self as _wxWindow ptr) as _wxValidator ptr

_DS(wxWindow_SetAcceleratorTable)(self as _wxWindow ptr, accel as _wxAcceleratorTable ptr)
_DF(wxWindow_GetAcceleratorTable)(self as _wxWindow ptr) as _wxAcceleratorTable ptr

_DS(wxWindow_SetScrollPos)(self as _wxWindow ptr, orient as wxInt, po as wxInt, refresh as wxBool)
_DF(wxWindow_GetScrollPos)(self as _wxWindow ptr, orient as wxInt)  as wxInt

_DS(wxWindow_SetHelpText)(self as _wxWindow ptr, txt as _wxString ptr)
_DF(wxWindow_GetHelpText)(self as _wxWindow ptr) as _wxString ptr

_DS(wxWindow_SetDropTarget)(self as _wxWindow ptr, dropTarget as _wxDropTarget ptr)
_DF(wxWindow_GetDropTarget)(self as _wxWindow ptr) as _wxDropTarget ptr

_DS(wxWindow_SetConstraints)(self as _wxWindow ptr, constraints as _wxLayoutConstraints ptr)
_DF(wxWindow_GetConstraints)(self as _wxWindow ptr) as _wxLayoutConstraints ptr

_DS(wxWindow_SetContainingSizer)(self as _wxWindow ptr, sizer as _wxSizer ptr)
_DF(wxWindow_GetContainingSizer)(self as _wxWindow ptr) as _wxSizer ptr

_DS(wxWindow_SetPalette)(self as _wxWindow ptr, pal as _wxPalette ptr)
_DF(wxWindow_GetPalette)(self as _wxWindow ptr) as _wxPalette ptr

_DS(wxWindow_SetWindowVariant)(self as _wxWindow ptr, variant as wxWindowVariant)
_DF(wxWindow_GetWindowVariant)(self as _wxWindow ptr) as wxWindowVariant

_DS(wxWindow_SetBackgroundStyle)(self as _wxWindow ptr, style as wxInt)
_DF(wxWindow_GetBackgroundStyle)(self as _wxWindow ptr) as wxInt

_DS(wxWindow_SetCaret)(self as _wxWindow ptr, caret as _wxCaret ptr)
_DF(wxWindow_GetCaret)(self as _wxWindow ptr) as _wxCaret ptr

_DS(wxWindow_SetBackgroundColour)(self as _wxWindow ptr, col as _wxColour ptr)
_DF(wxWindow_GetBackgroundColour)(self as _wxWindow ptr) as _wxColour ptr

_DS(wxWindow_SetForegroundColour)(self as _wxWindow ptr, col as _wxColour ptr)
_DF(wxWindow_GetForegroundColour)(self as _wxWindow ptr) as _wxColour ptr

_DF(wxWindow_Close)(self as _wxWindow ptr, force as wxBool) as wxChar

_DS(wxWindow_GetClientSize)(self as _wxWindow ptr, size as _wxSize ptr)

_DS(wxWindow_SetSize)(self as _wxWindow ptr, x as wxInt, y as wxInt, w as wxInt, h as wxInt, flags as wxInt)
_DS(wxWindow_SetSize2)(self as _wxWindow ptr, w as wxInt, h as wxInt)
_DS(wxWindow_SetSize3)(self as _wxWindow ptr, size as _wxSize ptr)

_DS(wxWindow_Move)(self as _wxWindow ptr, x as wxInt, y as wxInt, flags as wxInt)

_DF(wxWindow_Show)(self as _wxWindow ptr, show as wxBool=WX_TRUE) as wxChar

_DS(wxWindow_GetBestSize)(self as _wxWindow ptr, size as _wxSize ptr)

_DF(wxWindow_GetWindowStyleFlag)(self as _wxWindow ptr) as wxInt

_DS(wxWindow_Layout)(self as _wxWindow ptr)

_DS(wxWindow_SetAutoLayout)(self as _wxWindow ptr, autoLayout as wxBool)


_DS(wxWindow_SetSizer)(self as _wxWindow ptr, sizer as _wxSizer ptr, deleteOld as wxBool)

_DS(wxWindow_SetWindowStyleFlag)(self as _wxWindow ptr, style as wxUint)

_DF(wxWindow_Destroy)(self as _wxWindow ptr) as wxChar

_DF(wxWindow_DestroyChildren)(self as _wxWindow ptr) as wxChar

_DF(wxWindow_NewControlId) as wxInt

_DF(wxWindow_NextControlId)(id as wxInt) as wxInt

_DF(wxWindow_PrevControlId)(id as wxInt) as wxInt

_DS(wxWindow_Raise)(self as _wxWindow ptr)

_DS(wxWindow_Lower)(self as _wxWindow ptr)

_DS(wxWindow_SetClientSize)(self as _wxWindow ptr, w as wxInt, h as wxInt)

_DS(wxWindow_GetPosition)(self as _wxWindow ptr, po as _wxPoint ptr)

_DS(wxWindow_GetSize)(self as _wxWindow ptr, size as _wxSize ptr)

_DS(wxWindow_GetRect)(self as _wxWindow ptr, r as _wxRect ptr)

_DS(wxWindow_GetClientAreaOrigin)(self as _wxWindow ptr, p as _wxPoint ptr)

_DS(wxWindow_GetClientRect)(self as _wxWindow ptr, r as _wxRect ptr)

_DS(wxWindow_GetAdjustedBestSize)(self as _wxWindow ptr, size as _wxSize ptr)

_DS(wxWindow_Center)(self as _wxWindow ptr, direction as wxInt)

_DS(wxWindow_CenterOnScreen)(self as _wxWindow ptr, d as wxInt)

_DS(wxWindow_CenterOnParent)(self as _wxWindow ptr, d as wxInt)

_DS(wxWindow_Fit)(self as _wxWindow ptr)

_DS(wxWindow_FitInside)(self as _wxWindow ptr)

_DS(wxWindow_SetSizeHints)(self as _wxWindow ptr, minW as wxInt, minH as wxInt, maxW as wxInt, maxH as wxInt, incW as wxInt, incH as wxInt)

_DS(wxWindow_SetVirtualSizeHints)(self as _wxWindow ptr, minW as wxInt, minH as wxInt, maxW as wxInt, maxH as wxInt)

_DS(wxWindow_GetBestVirtualSize)(self as _wxWindow ptr, size as _wxSize ptr)

_DF(wxWindow_Hide)(self as _wxWindow ptr) as wxChar



_DF(wxWindow_IsShown)(self as _wxWindow ptr) as wxChar

_DF(wxWindow_HasFlag)(self as _wxWindow ptr, flag as wxInt) as wxChar

_DF(wxWindow_IsRetained)(self as _wxWindow ptr) as wxChar

_DF(wxWindow_GetExtraStyle)(self as _wxWindow ptr) as wxInt

_DS(wxWindow_MakeModal)(self as _wxWindow ptr, modal as wxBool)

_DS(wxWindow_SetFocus)(self as _wxWindow ptr)

_DS(wxWindow_SetFocusFromKbd)(self as _wxWindow ptr)

_DF(wxWindow_FindFocus) as _wxWindow ptr

_DF(wxWindow_AcceptsFocus)(self as _wxWindow ptr) as wxChar

_DF(wxWindow_AcceptsFocusFromKeyboard)(self as _wxWindow ptr) as wxChar

_DS(wxWindow_SetTmpDefaultItem)(self as _wxWindow ptr, win as _wxWindow ptr)

_DF(wxWindow_GetGrandParent)(self as _wxWindow ptr) as _wxWindow ptr

_DF(wxWindow_IsTopLevel)(self as _wxWindow ptr) as wxChar

_DF(wxWindow_Reparent)(self as _wxWindow ptr, newparent as _wxWindow ptr) as wxChar

_DS(wxWindow_AddChild)(self as _wxWindow ptr, child as _wxWindow ptr)

_DS(wxWindow_RemoveChild)(self as _wxWindow ptr, child as _wxWindow ptr)

_DF(wxWindow_FindWindowId)(self as _wxWindow ptr, id as wxInt) as _wxWindow ptr

_DF(wxWindow_FindWindowName)(self as _wxWindow ptr, nam as _wxString ptr)  as _wxWindow ptr

_DF(wxWindow_FindWindowById)(id as wxInt, parent as _wxWindow ptr) as _wxWindow ptr

_DF(wxWindow_FindWindowByName)(nam as _wxString ptr, parent as _wxWindow ptr) as _wxWindow ptr

_DF(wxWindow_FindWindowByLabel)(label as _wxString ptr, parent as _wxWindow ptr)  as _wxWindow ptr

_DS(wxWindow_PushEventHandler)(self as _wxWindow ptr, handler as _wxEvtHandler ptr)

_DF(wxWindow_PopEventHandler)(self as _wxWindow ptr, deleteHandler as wxBool) as _wxEvtHandler ptr

_DF(wxWindow_RemoveEventHandler)(self as _wxWindow ptr, handler as _wxEvtHandler ptr) as wxChar

_DF(wxWindow_Validate)(self as _wxWindow ptr) as wxChar

_DF(wxWindow_TransferDataToWindow)(self as _wxWindow ptr) as wxChar

_DF(wxWindow_TransferDataFromWindow)(self as _wxWindow ptr) as wxChar

_DS(wxWindow_InitDialog)(self as _wxWindow ptr)

_DS(wxWindow_ConvertPixelsToDialogPoint)(self as _wxWindow ptr, p1 as _wxPoint ptr, p2 as _wxPoint ptr)

_DS(wxWindow_ConvertDialogToPixelsPoint)(self as _wxWindow ptr, p1 as _wxPoint ptr, p2 as _wxPoint ptr)

_DS(wxWindow_ConvertPixelsToDialogSize)(self as _wxWindow ptr, s1 as _wxSize ptr, s2 as _wxSize ptr)

_DS(wxWindow_ConvertDialogToPixelsSize)(self as _wxWindow ptr, s1 as _wxSize ptr, s2 as _wxSize ptr)

_DS(wxWindow_WarpPointer)(self as _wxWindow ptr, x as wxInt, y as wxInt)

_DS(wxWindow_CaptureMouse)(self as _wxWindow ptr)

_DS(wxWindow_ReleaseMouse)(self as _wxWindow ptr)

_DF(wxWindow_GetCapture) as _wxWindow ptr

_DF(wxWindow_HasCapture)(self as _wxWindow ptr) as wxChar

_DS(wxWindow_Refresh)(self as _wxWindow ptr, eraseBackground as wxBool, r as _wxRect ptr)

_DS(wxWindow_RefreshRect)(self as _wxWindow ptr, r as _wxRect ptr)

_DS(wxWindow_Update)(self as _wxWindow ptr)

_DS(wxWindow_ClearBackground)(self as _wxWindow ptr)

_DS(wxWindow_Freeze)(self as _wxWindow ptr)

_DS(wxWindow_Thaw)(self as _wxWindow ptr)

_DS(wxWindow_PrepareDC)(self as _wxWindow ptr, dc as _wxDC ptr)

_DF(wxWindow_IsExposed)(self as _wxWindow ptr, x as wxInt, y as wxInt, w as wxInt, h as wxInt) as wxChar

_DF(wxWindow_GetCharHeight)(self as _wxWindow ptr) as wxInt

_DF(wxWindow_GetCharWidth)(self as _wxWindow ptr) as wxInt

_DS(wxWindow_GetTextExtent)(self as _wxWindow ptr, s as _wxString ptr, x as wxInt ptr, y as wxInt ptr, descent as wxInt ptr, externalLeading as wxInt ptr, f as _wxFont ptr)

_DS(wxWindow_ClientToScreen)(self as _wxWindow ptr, p1 as _wxPoint ptr, p2 as _wxPoint ptr)

_DS(wxWindow_ScreenToClient)(self as _wxWindow ptr, p1 as _wxPoint ptr, p2 as _wxPoint ptr)

_DS(wxWindow_HitTest)(self as _wxWindow ptr, p as _wxPoint ptr, hittest as _wxHitTest ptr)

_DF(wxWindow_GetBorder)(self as _wxWindow ptr) as wxInt

_DF(wxWindow_GetBorderByFlags)(self as _wxWindow ptr, flags as wxInt) as wxInt

_DS(wxWindow_UpdateWindowUI)(self as _wxWindow ptr)

_DF(wxWindow_PopupMenu)(self as _wxWindow ptr, m as _wxMenu ptr, p as _wxPoint ptr) as wxChar

_DF(wxWindow_HasScrollbar)(self as _wxWindow ptr, orient as wxInt) as wxBool

_DS(wxWindow_SetScrollbar)(self as _wxWindow ptr, orient as wxInt, po as wxInt, thumbvisible as wxInt, range as wxInt, refresh as wxBool)

_DF(wxWindow_GetScrollThumb)(self as _wxWindow ptr, orient as wxInt)  as wxInt

_DF(wxWindow_GetScrollRange)(self as _wxWindow ptr, orient as wxInt)  as wxInt

_DS(wxWindow_ScrollWindow)(self as _wxWindow ptr, dx as wxInt, dy as wxInt, r as _wxRect ptr)

_DF(wxWindow_ScrollLines)(self as _wxWindow ptr, lines as wxInt) as wxChar

_DF(wxWindow_ScrollPages)(self as _wxWindow ptr, pages as wxInt) as wxChar

_DF(wxWindow_LineUp)(self as _wxWindow ptr) as wxChar

_DF(wxWindow_LineDown)(self as _wxWindow ptr) as wxChar

_DF(wxWindow_PageUp)(self as _wxWindow ptr) as wxChar

_DF(wxWindow_PageDown)(self as _wxWindow ptr) as wxChar

_DS(wxWindow_SetHelpTextForId)(self as _wxWindow ptr, txt as _wxString ptr)

_DF(wxWindow_GetAncestorWithCustomPalette)(self as _wxWindow ptr) as _wxWindow ptr

_DF(wxWindow_GetAutoLayout)(self as _wxWindow ptr) as wxChar

_DS(wxWindow_SetSizerAndFit)(self as _wxWindow ptr, sizer as _wxSizer ptr, deleteOld as wxBool)

_DF(wxWindow_GetSizer)(self as _wxWindow ptr) as _wxSizer ptr

_DF(wxWindow_HasCustomPalette)(self as _wxWindow ptr) as wxChar

_DF(wxWindow_GetUpdateRegion)(self as _wxWindow ptr) as _wxRegion ptr

_DF(wxWindow_IsBeingDeleted)(self as _wxWindow ptr) as wxChar

_DS(wxWindow_InvalidateBestSize)(self as _wxWindow ptr)

_DS(wxWindow_CacheBestSize)(self as _wxWindow ptr, size as _wxSize ptr)

_DS(wxWindow_GetEffectiveMinSize)(self as _wxWindow ptr, size as _wxSize ptr)

_DS(wxWindow_SetInitialSize)(self as _wxWindow ptr, size as _wxSize ptr)

_DF(wxWindow_GetChildren)(self as _wxWindow ptr, num as wxInt) as _wxWindow ptr

_DF(wxWindow_GetChildrenCount)(self as _wxWindow ptr) as wxInt

_DF(wxWindow_GetDefaultAttributes)(self as _wxWindow ptr) as _wxVisualAttributes ptr

_DF(wxWindow_GetClassDefaultAttributes)(variant as wxWindowVariant ptr) as _wxVisualAttributes ptr

_DS(wxWindow_InheritAttributes)(self as _wxWindow ptr)

_DF(wxWindow_ShouldInheritColours)(self as _wxWindow ptr) as wxChar


#endif ' __window_bi__
