#ifndef __wx_object_bi__
#define __wx_object_bi__

#define WX_OBJECT

' enums / consts
#include once "defs.bi"
' classes and data types
#include once "common.bi"

#include once "bytebuffer_object.bi"
#include once "arrayint_object.bi"
#include once "arrayintptr_object.bi"
#include once "arraystring.bi"
#include once "disposablestringbox_object.bi"
#include once "wcharbuffer_object.bi"
#include once "string_object.bi"

#include once "size_object.bi"
#include once "point_object.bi"
#include once "rect_object.bi"

' wx classes
#include once "accel.bi"
#include once "app_object.bi"
#include once "archive.bi"
#include once "artprovider.bi"
#include once "bitmap.bi"
#include once "bitmapbutton.bi"
#include once "boxsizer.bi"
#include once "brush.bi"
#include once "button_object.bi"
#include once "caret.bi"
#include once "calendarctrl.bi"
#include once "checkbox_object.bi"
#include once "childfocusevent.bi"
#include once "clipboard.bi"
#include once "choice.bi"
#include once "choicedialog.bi"
#include once "closeevent.bi"
#include once "colour.bi"
#include once "colour_object.bi"
#include once "colourdialog.bi"
#include once "combobox.bi"
#include once "comboctrl.bi"
#include once "commandevent.bi"
#include once "config.bi"
#include once "contextmenuevent.bi"
#include once "control.bi"
#include once "controlwithitems.bi"
#include once "cursor.bi"
#include once "dataformat.bi"
#include once "dataobject.bi"
#include once "dc_object.bi"
#include once "dialog.bi"
#include once "dirdialog.bi"
#include once "displaychangedevent.bi"
#include once "dnd.bi"
#include once "document.bi"
#include once "eraseevent.bi"
#include once "event.bi"
#include once "evthandler.bi"
#include once "filedialog.bi"
#include once "filesys.bi"
#include once "findreplacedialog.bi"
#include once "flexgridsizer.bi"
#include once "focusevent.bi"
#include once "font.bi"
#include once "fontdialog.bi"
#include once "fontmisc.bi"
#include once "frame_object.bi"
#include once "gauge.bi"
#include once "gdicmn.bi"
#include once "gdiobject.bi"
#include once "glcanvas.bi"
#include once "global.bi"
#include once "grid.bi"
#include once "gridbagsizer.bi"
#include once "gridctrl.bi"
#include once "gridsizer.bi"
#include once "helpdata.bi"
#include once "helpevent.bi"
#include once "html.bi"
#include once "htmlhelpctrl.bi"
#include once "htmllbox.bi"
#include once "icon.bi"
#include once "iconizeevent.bi"
#include once "idleevent.bi"
#include once "image.bi"
#include once "imghandler.bi"
#include once "imagelist.bi"
#include once "initdialogevent.bi"
#include once "keyevent.bi"
#include once "laywin.bi"
#include once "listbook.bi"
#include once "listbox.bi"
#include once "listctrl.bi"
#include once "locale.bi"
#include once "log.bi"
#include once "maximizeevent.bi"
#include once "mdi.bi"
#include once "memorydc.bi"
#include once "menu.bi"
#include once "menubar.bi"
#include once "menuitem.bi"
#include once "messagedialog.bi"
#include once "miniframe.bi"
#include once "mousecapturechangedevent.bi"
#include once "mouseevent.bi"
#include once "moveevent.bi"
#include once "navigationkeyevent.bi"
#include once "ncpaintevent.bi"
#include once "notebook.bi"
#include once "object.bi"
#include once "paintevent.bi"
#include once "palette.bi"
#include once "palettechangedevent.bi"
#include once "panel_object.bi"
#include once "pen_object.bi"
#include once "picker.bi"
#include once "printdata.bi"
#include once "printdialog.bi"
#include once "printer.bi"
#include once "printpreview.bi"
#include once "progdlg.bi"
#include once "querynewpaletteevent.bi"
#include once "radiobox.bi"
#include once "radiobutton.bi"
#include once "reflectconfig.bi"
#include once "region.bi"
#include once "sashwindow.bi"
#include once "scrollbar.bi"
#include once "scrolledwindow.bi"
#include once "setcursorevent.bi"
#include once "showevent.bi"
#include once "sizeevent.bi"
#include once "sizer.bi"
#include once "sizeritem.bi"
#include once "slider.bi"
#include once "sound.bi"
#include once "spinbutton.bi"
#include once "spinctrl.bi"
#include once "splashscreen.bi"
#include once "splitterwindow.bi"
#include once "staticbitmap.bi"
#include once "staticbox_object.bi"
#include once "staticboxsizer.bi"
#include once "staticline_object.bi"
#include once "statictext.bi"
#include once "statusbar.bi"
#include once "stringclientdata.bi"
#include once "styledtextctrl.bi"
#include once "syscolourchangedevent.bi"
#include once "systemsettings.bi"
#ifdef __FB_WIN32__
#include once "tabctrl.bi"
#endif
#include once "taskbaricon.bi"
#include once "textctrl_object.bi"
#include once "textdialog.bi"
#include once "timer.bi"
#include once "tipdialog.bi"
#include once "tipwindow.bi"
#include once "togglebutton.bi"
#include once "toolbar.bi"
#include once "tooltip.bi"
#include once "treectrl.bi"
#include once "updateuievent.bi"
#include once "validator.bi"
#include once "vlbox.bi"
#include once "vscroll.bi"
#include once "window_object.bi"
#include once "windowcreateevent.bi"
#include once "windowdestroyevent.bi"
#include once "wizard.bi"
#include once "wizardpagesimple.bi"
#include once "wxdatetime.bi"
#include once "xmlresource.bi"

#endif ' __wx_object_bi__
